Version 21.1:

(2020-11-28)
 * Try to prevent a crash when using the actions play next/prev very fast.

(2020-11-27)
 * (Playlist) Fix position number after adding files.
 * Hide the shuffle column by default.

(2020-11-18)
 * Pass the option gpu-context when using wayland.
 
(2020-11-09)
 * Add mpsub to the extension list.
 
(2020-10-26)
 * (Find subtitles) Add filters for Spanish and Portuguese languages.

(2020-10-22)
 * Add cache in seconds and cache speed to the OSD info.

(2020-10-21)
 * Add option to display the remaining time in the status bar.

(2020-10-07)
 * Add the packages youtube-dl and python-is-python3 to the "recommends"
   section in the deb package.

(2020-09-14)
 * Try to prevent the video outside the GUI when using Wayland.
 * The shuffle button in the playlist window can be turned on/off.


Version 20.6:

(2020-05-19)
 * New option in the help menu to help install youtube-dl.

(2020-05-18)
 * The internal youtube code has been removed and now smplayer just
   uses youtube-dl to get the video urls.

(2020-04-18)
 * The shuffle option in the playlist does shuffle the items.

(2020-04-15)
 * Set a white background in the qr code label.


Version 20.4.2:

(2020-04-12)
 * Fix youtube titles.

(2020-04-10)
 * Fix youtube.
 * Don't use Qt script.


Version 20.4.0:

(2020-04-05)
 * Possibility to enter the opensubtitles credentials.

(2020-03-31)
 * Use IPC with mpv.

(2020-02-07)
 * Fix for mpv 0.32.

(2019-12-15)
 * Possibility to search for shortcuts in the shortcut editor.
 * Bug fix: the "previous subtitle" action didn't have a name.


Version 19.10.2:

(2019-11-05)
 * (Linux) Try to prevent the player window to be larger than the desktop
   after a resize.

(2019-11-04)
 * Fix compiling the web server on 32 bit with gcc 9.2.0.


Version 19.10:

(2019-10-26)
 * Fix the control problem with mpv 0.30.
 * Set minimum icon size for toolbars to 8 pixels.

(2019-09-19)
 * Allow negative margins for subtitles (mplayer only).
 * (Chromecast) Set overwrite_vtt to true and sub_position to 95.

(2019-09-13)
 * Fix youtube.

(2019-07-08)
 * New audio extensions: mp2, mpc, wv, shn.


Version 19.5:

(2019-05-10)
 * Fix for YouTube.

(2019-03-18)
 * Try to prevent to play invalid YouTube streams.

(2019-03-11)
 * Fix YouTube live streams (it seems to work only with mpv).

(2019-02-25)
 * Add actions for previous subtitle track, previous audio track
   and previous video track.

(2019-02-23)
 * Add command line option -start.


Version 19.1:

(2019-01-27)
 * Fix pause in mpris2.

(2019-01-26)
 * Possibility to play YouTube videos at 60 fps.

(2019-01-08)
 * Don't load the external audio file if it doesn't exist.

(2018-11-22)
 * Possibility to search for subtitles by title name.


Version 18.10:

(2018-10-09)
 * Fixed the YouTube age restricted videos.

(2018-10-07)
 * Experimental code which can decrypt the YouTube signatures without
   running javascript code.

(2018-10-01)
 * Add the option "Use adaptive streams" in Preferences -> Network.

(2018-09-30)
 * The internal code for YouTube now supports DASH streams, which provide
   videos with better resolutions.


Version 18.9:

(2018-09-08)
  * Fix Youtube.

(2018-09-05)
 * Display an icon in the system tray when the SMPlayer web server is running.

(2018-09-03)
 * Add option Play -> Cast to -> Smartphone/tablet. It displays a QR code
   that you can scan to play the video on your device.

(2018-08-31)
 * Add truehd to the audio-spdif option.

(2018-08-29)
 * (Chromecast) Change the default value for the position of the subtitles
   to -1 (default position).


Version 18.6:

(2018-06-18)
 * List all video tracks in the View Information dialog.

(2018-06-13)
 * Fix the "busy" cursor when using the functions play previous/next
   on Windows 10.

(2018-06-05)
 * Add an option in the playlist preferences to select if the playlist is
   dockable inside the main window (old behaviour) or just a normal
   window (new).

(2018-05-27)
 * Update the mongoose code which is used by the web server for the chromecast
   feature. The old one failed to compiled with newer versions of gcc and
   it seems it had several vulnerabilities.
 * Add option use_player_shortcuts_in_playlist for smplayer.ini.


Version 18.5:

(2018-05-20)
 * Add "opus" to the list of audio extensions and "part" to the list of
   video extensions.

(2018-05-19)
 * The cursor keys work now in the playlist (as long as the playlist
   is in a window and not docked).

(2018-05-17)
 * Fix compiling with Qt 5.11.

(2018-05-15)
 * Now it's possible to select which multimedia keys should be used as
   global shortcuts.

(2018-05-01)
 * (Windows) It seems on some systems the multimedia key events are sent
   twice by Qt, making some keys (like volume mute or play/pause) unusable.
   Added code to try to detect this and ignore the second event.

(2018-04-30)
 * (Windows) Use the Windows GetCommandLine function to get the command line
   arguments because it seems the Qt arguments function is not reliable to
   get unicode characters.


Version 18.4:

(2018-04-22)
 * Report errors in the status bar if the option to display a dialog for
   errors is disabled.
 * Set the option report_player_crashes to false by default on Windows.

(2018-04-21)
 * Remove the default shortcut key for the subtitle visibility action,
   since it usually causes problems when the user accidentally presses it.

(2018-04-08)
 * Add an option in Preferences -> Advanced to set the OSD bar position.

(2018-04-03)
 * Fix accuracy of the tooltip in the timeslider.

(2018-03-30)
 * Add the option 'Use the system native file dialog' in
   Preferences -> Interface.


Version 18.3:

(2018-03-16)
 * (mpv) Prevent to show subtitles in the images created by the thumbnail
   generator.

(2018-03-03)
 * Possibility to search for subtitles using the hash and filename methods
   at the same time.

(2018-02-23)
 * Fix a bug which prevented to play some YouTube URLs.


Version 18.2.2:

(2018-02-15)
 * The option Open -> URL can now also load YouTube playlists.

(2018-02-08)
 * Prevent the skins to be added to the themes combobox if the user folder
   and the config folder are the same (happens in the portable version).
 * Disable the screenshot actions if the screenshot folder is set to an
   empty string.

(2018-02-05)
 * Add an option in Preferences -> Subtitles to select the opacity of the
   background of the subtitles.

(2018-02-02)
 * The options to select the preferred number of track for audio and subtitles
   are back.

(2018-02-01)
 * (mpv) Use direct3d as default video output since some users are having
   troubles with the gpu output.


Version 18.2:

(2018-01-21)
 * Add option osd_show_filename_duration for smplayer.ini which specifies
   the time (in milliseconds) that the filename would be displayed on screen.

(2018-01-16)
 * Add support for YouTube playlists. In the playlist window, click in the
   Load/save icon, select "Load playlist from URL" and paste the URL of
   the YouTube playlist.

(2018-01-15)
 * (mpv) Don't use --video-stereo-mode since it's deprecated.
 * Add option emulate_mplayer_ab_section for smplayer.ini.

(2018-01-03 - 2018-01-16)
 * The initialization of the audio and subtitle tracks has been simplified
   and now it's possible to use a priority list of languages (it uses the
   mplayer/mpv alang and slang options).


Version 18.1:

(2018-01-09)
 * Fix Youtube.

(2017-12-27)
 * Prevent to display the OSD in fullscreen during initialization of playback.

(2017-12-26)
 * Use video/x-ogm+ogg in smplayer.desktop.


Version 17.12:

(2017-12-18)
 * New action which displays the filename in the OSD for 2 seconds. Assigned
   by default to Shift+O.
 * Disable the internal/own handling of stereo3d when using mpv.

(2017-12-10)
 * The option to record a stream has been temporary removed.
   It's currently broken.

(2017-12-07)
 * New option osd_bar_pos for smplayer.ini. It specifies the position of
   the OSD bar (0 = top, 100 = bottom).

(2017-12-03)
 * Two new actions to take screenshots with or without subtitles (they only
   work with mpv). Assigned by default to Ctrl+Shift+S and Ctrl+Alt+S.

(2017-11-30)
 * The support for DVD menus has been removed. It never worked well and also
   mpv already removed support for it a long time ago.

(2017-11-23)
 * The option to open an informative page after an upgrade has been removed.


Version 17.11.2:

(2017-11-15)
 * Allow wordwrap in the title in the thumbnail generator.

(2017-11-13)
 * Fix seek in MPRIS2 (fix function SetPosition).

(2017-11-12)
 * Prevent SMPlayer to cancel logout in KDE. (Bug #843)

(2017-11-11)
 * Fix a crash that may happen on KDE when the global menus
   are activated. (Bug #839)


Version 17.11:

(2017-10-30)
 * Cosmetic changes in the thumbnail generator.

(2017-10-27)
 * Add more precision in the thumbnail generator.

(2017-10-25)
 * (mpv) Improve the firequalizer filter.

(2017-10-22)
 * (mpv) Fix the option "AC3/DTS passthrough".

(2017-10-21)
 * Fix the option "add black borders on fullscreen".

(2017-10-20)
 * (mpv) Fix the software video equalizer.


Version 17.10.2:

(2017-10-14)
 * Bug fix: display the time in the thumbnail generator pictures when SMPlayer
   is compiled with Qt 5.

(2017-10-13)
 * (Windows) Enable HDPI support in the portable version.

(2017-10-12)
 * Fix subtitles not disappearing when using the letterbox filter with mplayer.

(2017-10-03)
 * Add an option in Preferences -> Network to select the preferred quality
   to be used with streaming sites handled by youtube-dl.

(2017-10-02)
 * Use mplayer on Windows Vista, since it seems mpv is not longer compatible
   with that version.

(2017-10-01)
 * (Linux) Don't use the audio equalizer by default.
 * (Windows) Fix letterbox with vertical videos.


Version 17.10:

(2017-09-22)
 * (mpv) Use firequalizer.

(2017-09-21)
 * (mpv) Use lavfi for stereo3d.

(2017-09-18)
 * (mpv) Use lavfi for rotate, yadif and pan.
 * (mpv) Don't restart the process when changing the stereo mode option.

(2017-09-16)
 * (mpv) Use lavfi for hqdn3d, kerndeint, phase, noise, blur, sharpen,
   lb, l5, deblock, dering, postprocessing, extrastereo, earwax and volnorm.
 * Enable the karaoke filter with mpv.

(2017-09-15)
 * (mpv) Use lavfi for flip and mirror.

(2017-09-14)
 * (mpv) Use the pad filter instead of expand.


Version 17.9:

(2017-08-23)
 * Increase the time to kill the external player process to try to 
   avoid a crash message.

(2017-08-21)
 * Possibility to search for subtitles using the filename as query.

(2017-08-12)
 * Fix OSD when using mpv 0.26.


Version 17.8:

(2017-07-22)
 * Add a "default" option for the audio channels menu.

(2017-07-13)
 * Add the earwax audio filter.


Version 17.7:

(2017-06-16)
 * (Playlist) Fix a crash when trying to delete selected items but there's none
   selected.

(2017-06-09)
 * Add subtitles configuration options in preferences -> network -> chromecast.


Version 17.6:

(2017-05-23)
 * (Add bookmark) Set focus on the name field.
 * Save bookmarks just after edit.

(2017-05-16)
 * Add an option in preferences -> network -> chromecast to convert automatically
   SRT subtitles to VTT.

(2017-05-11)
 * Possibility to pass options to the acompressor filter (in smplayer.ini).


Version 17.5:

(2017-05-03)
 * Fix when dragging a URL to the main window.

(2017-05-03)
 * Fix youtube.


Version 17.4.2:

(2017-04-22)
 * Add play_next and play_prev to the list of actions for the mouse buttons.

(2017-04-21)
 * Bugfix: remember the position of the video when it's opened by
   drag & drop.

(2017-04-17)
 * Fix the audio normalization filter when using mpv > 0.24.

(2017-04-16)
 * Fix for the thumbnail generator when using old versions of mpv.

(2017-04-14)
 * Disallow mpv installation on XP.
 * Add option for ffhevcvdpau.

(2017-04-09)
 * Add option View -> OSD -> Show times with milliseconds (requires mpv >= 0.21).

(2017-04-06)
 * (mpv) Be sure the suboptions for vo and ao aren't used.


Version 17.4:

(2017-03-16)
 * The H2O icon theme is now included in the smplayer binary and is the default
   theme. The old theme is still available with the name "classic".

(2017-03-11)
 * The thumbnail generator works now with recent versions of mpv.


Version 17.3:

(2017-02-26)
 * (mpv) Add more options for hardware decoding.

(2017-02-20)
 * (Playlist) Try to use numberofentries if NumberOfEntries returns 0 when
   loading pls files.

(2017-02-14)
 * (Windows) Try to run youtube-dl when mpv fails to use it to check if
   the Microsoft Visual C++ 2010 Redistributable is needed.

(2017-02-07)
 * Fix some of the subtitles' options when using mpv.


Version 17.2:

(2017-01-31)
 * Fix youtube.

(2017-01-30)
 * Use 'simple_web_server' on Linux as well instead of webfs.
 * Move some of the options in Preferences -> Playlist to the 'Misc' tab.

(2017-01-28)
 * Add vtt to the list of extensions for subtitles.

(2017-01-24)
 * Add the option 'Enable the option to delete files from disk' in
   Preferences -> Playlist.

(2017-01-22)
 * Add translation for Norwegian Bokmål.


Version 17.1:

(2017-01-05)
 * (Playlist) Add an option in context menu to open the current item on chromecast.

(2017-01-02)
 * Remove the option to delete files from the playlist.

(2016-12-30)
 * (mpv) Add support for the wasapi devices.

(2016-12-26)
 * Add the option "Play on Chromecast" in the Play menu.

(2016-12-20)
 * Add an option to display the current time with milliseconds in the status bar.

(2016-12-17)
 * Add an option to display the bitrate info in the status bar.

(2016-11-30)
 * (Playlist) Add option to open the source folder of the video in the context menu.

(2016-11-29)
 * (Playlist) Add a "copy URL to clipboard" option in the context menu.

(2016-11-28)
 * Parse the option #EXTVLCOPT:http-referrer and #EXTVLCOPT:http-user-agent from m3u
   playlists. This may allow you to play playlists intended for VLC.

(2016-11-21)
 * The option to add black borders in fullscreen is back.


Version 16.11:

(2016-10-20)
 * Pass the alpha component of the subtitles' colors to mpv.

(2016-10-11)
 * New option 'Show info on OSD' in View -> OSD (key shortcut Shift + I).
   It displays info about the current media (resolution, bitrate...) on the
   OSD.
 * (Playlist) If a playlist file is dropped to the playlist window, load it.

(2016-10-01)
 * Remove the option to add black borders on fullscreen.
 * New option 'Add black borders for subtitles by default' in
   Preferences -> General.

(2016-09-29)
 * Add option 'Case sensitive search' in Preferences -> Playlist.

(2016-09-26)
 * Add the option 'Auto sort' in Preferences -> Playlist.
 * Fix when the additional options for mpv contain quotes.

(2016-09-23)
 * Add the option 'Start playback after loading a playlist' in
   Preferences -> Playlist.

(2016-09-22)
 * Add an option in Preferences -> Interface to play the next file
   automatically or not.

(2016-09-18)
 * (Playlist) Add a 'save as' button.

(2016-09-16)
 * Store the playlist filename and display "*" in the title when the
   playlist is modified and not saved.

(2016-09-15)
 * (Playlist) Add a popup menu with the load/save options.


Version 16.9:

(2016-09-02)
 * Get the list of the pulseaudio output devices using the
   pulseaudio library (libpulse-dev is now a build dependency).

(2016-09-01)
 * Set the default font with the stylesheet.

(2016-08-29)
 * (Playlist) Scroll to current item after clearing the search field.

(2016-08-28)
 *  Build the deb package by default with Qt 4 since Qt 5 still
    has many problems.

(2016-08-26)
 * Fix alsa:device with mpv.
 * (Windows) Use the directx libraries to get info about the sound
   and display devices instead of running dxlist.exe.

(2016-08-25)
 * Add a submenu in the audio menu to send the audio to a device.

(2016-08-15)
 * (Playlist) Add actions to hide the columns.
 * (Playlist) Add a button to show/hide the search field.

(2016-08-14)
 * Don't disable the screenshot's actions and don't check if the
   screenshot path is a directory.
 * (Experimental) Don't use starting_time (affects seeking in ts files).
 * (Playlist) Disable wordwrap.
 * If maximized show normal before hiding the panel.

(2016-08-11)
 * Display 'Development version' in the about dialog when using a
   development version.


Version 16.8:

(2016-07-23)
 * Ignore the buffering state in checkStayOnTop.

(2016-07-20)
 * Don't try to resize the main window when it's maximized.

(2016-07-19)
 * (Playlist) Display an animation when loading.

(2016-07-18)
 * Possibility to download playlists from internet.

(2016-07-16)
 * The playlist settings are now saved to its own ini file (playlist.ini).

(2016-07-14)
 * Use the mpv ab-loop options.

(2016-07-11)
 * Don't use softvol and softvol-max with mpv 0.18.1.

(2016-07-10)
 * Possibility to search (filter) in  the playlist.

(2016-07-08)
 * Lots of internal changes in the playlist.


Version 16.7:

(2016-06-29)
 * The find subtitles window has a close button in the title bar.

(2016-06-23)
 * Fix youtube.

(2016-06-22)
 * (mpv) Don't pass the URL to youtube-dl if it contains a multimedia extension.

(2016-06-21)
 * The names in the playlist are not replaced with the title from metadata.

(2016-06-19)
 * Save the hdpi config in the smplayer config dir.

(2016-06-17)
 * Selecting the 'default' style in preferences selects the system's
   default style, instead of Fusion.

(2016-06-15)
 * Bugfix: (Qt 5) the playlist can be resized when docked to the main window.
 * Don't change the style's palette on linux.

(2016-06-14)
 * (mpv) Update the current position in the seek bar on pause.
 * In Qt 5 on linux accelerators in the numeric keypad don't work due
   to a bug in Qt 5. Added a workaround.


Version 16.6:

(2016-06-05)
 * Add option "remember settings for streams" in Preferences -> General.

(2016-05-27)
 * Use the mplayer/mpv default video and audio output.

(2016-05-25)
 * Disable the global shortcuts when opening the preferences dialog.

(2016-05-23)
 * Add an option to display the format info in the status bar.

(2016-05-17)
 * Add a quick access menu.

(2016-05-15)
 * Don't use a border in the style of the tooltip. For some reason the
   text is cut off with it.

(2016-05-13)
 * Add options in Preferences -> Interface to configure the high DPI
   support.

(2016-05-12)
 * Possibility to display the section area in the preferences dialog in
   icon mode.

(2016-05-10)
 * Add an option to set the cache to auto in Preferences -> Performance.
 * Don't change the playlist to floating state when entering fullscreen,
   if using Qt5 on linux. Seems to fix a problem when using Compiz.

(2016-05-09)
 * Increase the height of the audio equalizer.
 * Set the OSD to Seek as default.
 * Set the drag function to MoveWindow as default.

(2016-05-08)
 * Change the default values for outline and shadow of the ASS style.
 * Use mpv as default if available.
 * Remove the border of the tooltips. Otherwise, for some reason, the
   text is not shown complete.

(2016-05-06)
 * Use the style 'fusion' as default with Qt 5.

(2016-05-05)
 * Improve drag & drop on the main window. Now it allows to drop several
   folders and files.

(2016-05-02)
 * (Windows) Use the 'normal' priority by default.
 * Possibility to use the media keys as global shortcurts (option in
   Prefences -> Keyboard).

(2016-04-28)
 * Don't use the language toolbar.
 * Add the audio and subtitle track menus to the toolbar and increase the
   default size of the toolbar icons.

(2016-04-27)
 * Add close buttons to the audio and video equalizers.

(2016-04-26)
 * Disable the secondary subtitles and frame step back when using mplayer,
   and the karaoke filter when using mpv.

(2016-04-24)
 * Don't use a dockable playlist on linux with Qt 5 because the
   dockable one causes trouble when compiz is enabled.

(2016-04-23)
 * Ask the user if SMPlayer should change the tablet mode if the
   system (Windows 10) has changed to tablet mode.

(2016-04-22)
 * New option 'Send video to screen' in the video menu.
   This option allows to display the video (in fullscreen) on a
   second screen while controlling the player in the computer's
   screen.
 * Add an option to show information about the connected screens
   (menu View).

(2016-04-17)
 * Hide some options from menus in tablet mode.
 * Now it's possible to add the recents menu to a toolbar.

(2016-04-16)
 * Add a tablet mode (menu Options).
   When enabled, it changes some elements of the GUI so that's easy
   to use it on a touch screen.

(2016-04-15)
 * (Videopreview) Fix show duration with Qt 5.
 * Move the OSD menu to the view menu.

(2016-04-14)
 * Add new menu 'view'.

(2016-04-12)
 * Fixes for Qt 5.

(2016-04-10)
 * Better support for touch screens.

(2016-04-06)
 * Support for high DPI (requires Qt 5.4 or greater).

(2016-04-04)
 * Settings for streams can also be remembered.

(2016-04-01)
 * The mpcgui works now with Qt 5 as well.


Version 16.4:

(2016-03-25)
 * Add translations for Amharic and Persian (unfinished).

(2016-03-25)
 * A new layout is used to display the media information (Options -> View
  info and properties).

(2016-03-16)
 * Update the system tray icon when changing themes.

(2016-03-15)
 * Possibility to compile without mplayer2 support.
   (Support for mplayer2 will be removed soon).

(2016-03-14)
 * Add an animated icon for buffering.

(2016-03-07)
 * The option to support streaming sites in Preferences -> Network is
   different now, and allows these values:
     Disabled: support for video sites is turned off
     Auto: enables internal support for YouTube and uses mpv + youtube-dl
           for the rest of the sites
     YouTube: only the internal support for YouTube will be used
     mpv + youtube-dl: uses mpv + youtube-dl for all sites

(2016-03-04)
 * A fix for saving bookmarks.
 * (Linux) Look for the smtube executable in the system path.

(2016-02-26)
 * New smplayer.spec (works for Fedora and openSUSE).

(2016-02-20)
 * The option "Move the window when the video area is dragged" in
   Preferences -> Interface has been removed.
 * New option in Preferences -> Keyboard and mouse to specify the
   function to use when the mouse is dragged.

(2016-02-19)
 * Possibility to compile SMPlayer without the mini GUI and the default GUI.

(2016-02-12)
 * (Experimental) Mouse gestures. When the mouse is dragged up or down in the
   video window it changes the volume. If dragged left or right it changes
   the time position.

(2016-02-09)
 * Add vlc.keys.

(2016-02-02)
 * Allow to read the shortcut's file using spaces as separators.

(2016-01-19)
 * Add a combobox in preferences -> general to choose mplayer or mpv.

(2016-01-17)
 * Include mpv in the Windows installer.

(2016-01-16)
 * Add a function to save XSPF files.
 * (mpv) Add the extrastereo filter.

(2016-01-15)
 * Remove the fast_audio_change option since it's obsolete.


Version 16.1:

(2016-01-07)
 * (mpv) Allow screenshots to work with hardware acceleration enabled.

(2016-01-06)
 * Add a shortcut for the add_bookmark action.
 * Add icons for the bookmarks actions.

(2015-12-29)
 * (Qt5) Try to fix a problem when exiting from fullscreen and the option
   to stay on top is set to "while playing".

(2015-12-23)
 * (Experimental) Simplify changing style and stylesheet.

(2015-12-22)
 * (Screenshots) Keep compatibility with older versions of mplayer.

(2015-12-18)
 * Fix for Youtube.

(2015-12-16)
 * (mpv) If the option --screenshot-directory is not available change
   the working directory so that screenshots work.

(2015-12-14)
 * Add option 'Prevent window to get outside of screen' in
   Preferences -> Interface.

(2015-12-12)
 * Update stayontop after entering and exiting the fullscreen mode.

(2015-12-04)
 * Don't auto center the window if there's no video.
 * (mpv) Fix playback with -v

(2015-12-03)
 * Add the option 'Pass the -playlist option to MPlayer' to
   Preferences -> Advanced.

(2015-11-29)
 * Simplify the code for previous and next chapter.
 * Enable bookmarks.
Version 18.5:

(2018-05-20)
 * Add "opus" to the list of audio extensions and "part" to the list of
   video extensions.

(2018-05-19)
 * The cursor keys work now in the playlist (as long as the playlist
   is in a window and not docked).

(2018-05-17)
 * Fix compiling with Qt 5.11.

(2018-05-15)
 * Now it's possible to select which multimedia keys should be use as
   global shortcuts.

(2018-05-01)
 * (Windows) It seems on some systems the multimedia key events are sent
   twice by Qt, making some keys (like volume mute or play/pause) unusable.
   Added code to try to detect this and ignore the second event.

(2018-04-30)
 * (Windows) Use the Windows GetCommandLine function to get the command line
   arguments because it seems the Qt arguments function is not reliable to
   get unicode characters.


Version 18.4:

(2018-04-22)
 * Report errors in the status bar if the option to display a dialog for
   errors is disabled.
 * Set the option report_player_crashes to false by default on Windows.

(2018-04-21)
 * Remove the default shortcut key for the subtitle visibility action,
   since it usually causes problems when the user accidentally presses it.

(2018-04-08)
 * Add an option in Preferences -> Advanced to set the OSD bar position.

(2018-04-03)
 * Fix accuracy of the tooltip in the timeslider.

(2018-03-30)
 * Add the option 'Use the system native file dialog' in
   Preferences -> Interface.


Version 18.3:

(2018-03-16)
 * (mpv) Prevent to show subtitles in the images created by the thumbnail
   generator.

(2018-03-03)
 * Possibility to search for subtitles using the hash and filename methods
   at the same time.

(2018-02-23)
 * Fix a bug which prevented to play some YouTube URLs.


Version 18.2.2:

(2018-02-15)
 * The option Open -> URL can now also load YouTube playlists.

(2018-02-08)
 * Prevent the skins to be added to the themes combobox if the user folder
   and the config folder are the same (happens in the portable version).
 * Disable the screenshot actions if the screenshot folder is set to an
   empty string.

(2018-02-05)
 * Add an option in Preferences -> Subtitles to select the opacity of the
   background of the subtitles.

(2018-02-02)
 * The options to select the preferred number of track for audio and subtitles
   are back.

(2018-02-01)
 * (mpv) Use direct3d as default video output since some users are having
   troubles with the gpu output.


Version 18.2:

(2018-01-21)
 * Add option osd_show_filename_duration for smplayer.ini which specifies
   the time (in milliseconds) that the filename would be displayed on screen.

(2018-01-16)
 * Add support for YouTube playlists. In the playlist window, click in the
   Load/save icon, select "Load playlist from URL" and paste the URL of
   the YouTube playlist.

(2018-01-15)
 * (mpv) Don't use --video-stereo-mode since it's deprecated.
 * Add option emulate_mplayer_ab_section for smplayer.ini.

(2018-01-03 - 2018-01-16)
 * The initialization of the audio and subtitle tracks has been simplified
   and now it's possible to use a priority list of languages (it uses the
   mplayer/mpv alang and slang options).


Version 18.1:

(2018-01-09)
 * Fix Youtube.

(2017-12-27)
 * Prevent to display the OSD in fullscreen during initialization of playback.

(2017-12-26)
 * Use video/x-ogm+ogg in smplayer.desktop.


Version 17.12:

(2017-12-18)
 * New action which displays the filename in the OSD for 2 seconds. Assigned
   by default to Shift+O.
 * Disable the internal/own handling of stereo3d when using mpv.

(2017-12-10)
 * The option to record a stream has been temporary removed.
   It's currently broken.

(2017-12-07)
 * New option osd_bar_pos for smplayer.ini. It specifies the position of
   the OSD bar (0 = top, 100 = bottom).

(2017-12-03)
 * Two new actions to take screenshots with or without subtitles (they only
   work with mpv). Assigned by default to Ctrl+Shift+S and Ctrl+Alt+S.

(2017-11-30)
 * The support for DVD menus has been removed. It never worked well and also
   mpv already removed support for it a long time ago.

(2017-11-23)
 * The option to open an informative page after an upgrade has been removed.


Version 17.11.2:

(2017-11-15)
 * Allow wordwrap in the title in the thumbnail generator.

(2017-11-13)
 * Fix seek in MPRIS2 (fix function SetPosition).

(2017-11-12)
 * Prevent SMPlayer to cancel logout in KDE. (Bug #843)

(2017-11-11)
 * Fix a crash that may happen on KDE when the global menus
   are activated. (Bug #839)


Version 17.11:

(2017-10-30)
 * Cosmetic changes in the thumbnail generator.

(2017-10-27)
 * Add more precision in the thumbnail generator.

(2017-10-25)
 * (mpv) Improve the firequalizer filter.

(2017-10-22)
 * (mpv) Fix the option "AC3/DTS passthrough".

(2017-10-21)
 * Fix the option "add black borders on fullscreen".

(2017-10-20)
 * (mpv) Fix the software video equalizer.


Version 17.10.2:

(2017-10-14)
 * Bug fix: display the time in the thumbnail generator pictures when SMPlayer
   is compiled with Qt 5.

(2017-10-13)
 * (Windows) Enable HDPI support in the portable version.

(2017-10-12)
 * Fix subtitles not disappearing when using the letterbox filter with mplayer.

(2017-10-03)
 * Add an option in Preferences -> Network to select the preferred quality
   to be used with streaming sites handled by youtube-dl.

(2017-10-02)
 * Use mplayer on Windows Vista, since it seems mpv is not longer compatible
   with that version.

(2017-10-01)
 * (Linux) Don't use the audio equalizer by default.
 * (Windows) Fix letterbox with vertical videos.


Version 17.10:

(2017-09-22)
 * (mpv) Use firequalizer.

(2017-09-21)
 * (mpv) Use lavfi for stereo3d.

(2017-09-18)
 * (mpv) Use lavfi for rotate, yadif and pan.
 * (mpv) Don't restart the process when changing the stereo mode option.

(2017-09-16)
 * (mpv) Use lavfi for hqdn3d, kerndeint, phase, noise, blur, sharpen,
   lb, l5, deblock, dering, postprocessing, extrastereo, earwax and volnorm.
 * Enable the karaoke filter with mpv.

(2017-09-15)
 * (mpv) Use lavfi for flip and mirror.

(2017-09-14)
 * (mpv) Use the pad filter instead of expand.


Version 17.9:

(2017-08-23)
 * Increase the time to kill the external player process to try to 
   avoid a crash message.

(2017-08-21)
 * Possibility to search for subtitles using the filename as query.

(2017-08-12)
 * Fix OSD when using mpv 0.26.


Version 17.8:

(2017-07-22)
 * Add a "default" option for the audio channels menu.

(2017-07-13)
 * Add the earwax audio filter.


Version 17.7:

(2017-06-16)
 * (Playlist) Fix a crash when trying to delete selected items but there's none
   selected.

(2017-06-09)
 * Add subtitles configuration options in preferences -> network -> chromecast.


Version 17.6:

(2017-05-23)
 * (Add bookmark) Set focus on the name field.
 * Save bookmarks just after edit.

(2017-05-16)
 * Add an option in preferences -> network -> chromecast to convert automatically
   SRT subtitles to VTT.

(2017-05-11)
 * Possibility to pass options to the acompressor filter (in smplayer.ini).


Version 17.5:

(2017-05-03)
 * Fix when dragging a URL to the main window.

(2017-05-03)
 * Fix youtube.


Version 17.4.2:

(2017-04-22)
 * Add play_next and play_prev to the list of actions for the mouse buttons.

(2017-04-21)
 * Bugfix: remember the position of the video when it's opened by
   drag & drop.

(2017-04-17)
 * Fix the audio normalization filter when using mpv > 0.24.

(2017-04-16)
 * Fix for the thumbnail generator when using old versions of mpv.

(2017-04-14)
 * Disallow mpv installation on XP.
 * Add option for ffhevcvdpau.

(2017-04-09)
 * Add option View -> OSD -> Show times with milliseconds (requires mpv >= 0.21).

(2017-04-06)
 * (mpv) Be sure the suboptions for vo and ao aren't used.


Version 17.4:

(2017-03-16)
 * The H2O icon theme is now included in the smplayer binary and is the default
   theme. The old theme is still available with the name "classic".

(2017-03-11)
 * The thumbnail generator works now with recent versions of mpv.


Version 17.3:

(2017-02-26)
 * (mpv) Add more options for hardware decoding.

(2017-02-20)
 * (Playlist) Try to use numberofentries if NumberOfEntries returns 0 when
   loading pls files.

(2017-02-14)
 * (Windows) Try to run youtube-dl when mpv fails to use it to check if
   the Microsoft Visual C++ 2010 Redistributable is needed.

(2017-02-07)
 * Fix some of the subtitles' options when using mpv.


Version 17.2:

(2017-01-31)
 * Fix youtube.

(2017-01-30)
 * Use 'simple_web_server' on Linux as well instead of webfs.
 * Move some of the options in Preferences -> Playlist to the 'Misc' tab.

(2017-01-28)
 * Add vtt to the list of extensions for subtitles.

(2017-01-24)
 * Add the option 'Enable the option to delete files from disk' in
   Preferences -> Playlist.

(2017-01-22)
 * Add translation for Norwegian Bokmål.


Version 17.1:

(2017-01-05)
 * (Playlist) Add an option in context menu to open the current item on chromecast.

(2017-01-02)
 * Remove the option to delete files from the playlist.

(2016-12-30)
 * (mpv) Add support for the wasapi devices.

(2016-12-26)
 * Add the option "Play on Chromecast" in the Play menu.

(2016-12-20)
 * Add an option to display the current time with milliseconds in the status bar.

(2016-12-17)
 * Add an option to display the bitrate info in the status bar.

(2016-11-30)
 * (Playlist) Add option to open the source folder of the video in the context menu.

(2016-11-29)
 * (Playlist) Add a "copy URL to clipboard" option in the context menu.

(2016-11-28)
 * Parse the option #EXTVLCOPT:http-referrer and #EXTVLCOPT:http-user-agent from m3u
   playlists. This may allow you to play playlists intended for VLC.

(2016-11-21)
 * The option to add black borders in fullscreen is back.


Version 16.11:

(2016-10-20)
 * Pass the alpha component of the subtitles' colors to mpv.

(2016-10-11)
 * New option 'Show info on OSD' in View -> OSD (key shortcut Shift + I).
   It displays info about the current media (resolution, bitrate...) on the
   OSD.
 * (Playlist) If a playlist file is dropped to the playlist window, load it.

(2016-10-01)
 * Remove the option to add black borders on fullscreen.
 * New option 'Add black borders for subtitles by default' in
   Preferences -> General.

(2016-09-29)
 * Add option 'Case sensitive search' in Preferences -> Playlist.

(2016-09-26)
 * Add the option 'Auto sort' in Preferences -> Playlist.
 * Fix when the additional options for mpv contain quotes.

(2016-09-23)
 * Add the option 'Start playback after loading a playlist' in
   Preferences -> Playlist.

(2016-09-22)
 * Add an option in Preferences -> Interface to play the next file
   automatically or not.

(2016-09-18)
 * (Playlist) Add a 'save as' button.

(2016-09-16)
 * Store the playlist filename and display "*" in the title when the
   playlist is modified and not saved.

(2016-09-15)
 * (Playlist) Add a popup menu with the load/save options.


Version 16.9:

(2016-09-02)
 * Get the list of the pulseaudio output devices using the
   pulseaudio library (libpulse-dev is now a build dependency).

(2016-09-01)
 * Set the default font with the stylesheet.

(2016-08-29)
 * (Playlist) Scroll to current item after clearing the search field.

(2016-08-28)
 *  Build the deb package by default with Qt 4 since Qt 5 still
    has many problems.

(2016-08-26)
 * Fix alsa:device with mpv.
 * (Windows) Use the directx libraries to get info about the sound
   and display devices instead of running dxlist.exe.

(2016-08-25)
 * Add a submenu in the audio menu to send the audio to a device.

(2016-08-15)
 * (Playlist) Add actions to hide the columns.
 * (Playlist) Add a button to show/hide the search field.

(2016-08-14)
 * Don't disable the screenshot's actions and don't check if the
   screenshot path is a directory.
 * (Experimental) Don't use starting_time (affects seeking in ts files).
 * (Playlist) Disable wordwrap.
 * If maximized show normal before hiding the panel.

(2016-08-11)
 * Display 'Development version' in the about dialog when using a
   development version.


Version 16.8:

(2016-07-23)
 * Ignore the buffering state in checkStayOnTop.

(2016-07-20)
 * Don't try to resize the main window when it's maximized.

(2016-07-19)
 * (Playlist) Display an animation when loading.

(2016-07-18)
 * Possibility to download playlists from internet.

(2016-07-16)
 * The playlist settings are now saved to its own ini file (playlist.ini).

(2016-07-14)
 * Use the mpv ab-loop options.

(2016-07-11)
 * Don't use softvol and softvol-max with mpv 0.18.1.

(2016-07-10)
 * Possibility to search (filter) in  the playlist.

(2016-07-08)
 * Lots of internal changes in the playlist.


Version 16.7:

(2016-06-29)
 * The find subtitles window has a close button in the title bar.

(2016-06-23)
 * Fix youtube.

(2016-06-22)
 * (mpv) Don't pass the URL to youtube-dl if it contains a multimedia extension.

(2016-06-21)
 * The names in the playlist are not replaced with the title from metadata.

(2016-06-19)
 * Save the hdpi config in the smplayer config dir.

(2016-06-17)
 * Selecting the 'default' style in preferences selects the system's
   default style, instead of Fusion.

(2016-06-15)
 * Bugfix: (Qt 5) the playlist can be resized when docked to the main window.
 * Don't change the style's palette on linux.

(2016-06-14)
 * (mpv) Update the current position in the seek bar on pause.
 * In Qt 5 on linux accelerators in the numeric keypad don't work due
   to a bug in Qt 5. Added a workaround.


Version 16.6:

(2016-06-05)
 * Add option "remember settings for streams" in Preferences -> General.

(2016-05-27)
 * Use the mplayer/mpv default video and audio output.

(2016-05-25)
 * Disable the global shortcuts when opening the preferences dialog.

(2016-05-23)
 * Add an option to display the format info in the status bar.

(2016-05-17)
 * Add a quick access menu.

(2016-05-15)
 * Don't use a border in the style of the tooltip. For some reason the
   text is cut off with it.

(2016-05-13)
 * Add options in Preferences -> Interface to configure the high DPI
   support.

(2016-05-12)
 * Possibility to display the section area in the preferences dialog in
   icon mode.

(2016-05-10)
 * Add an option to set the cache to auto in Preferences -> Performance.
 * Don't change the playlist to floating state when entering fullscreen,
   if using Qt5 on linux. Seems to fix a problem when using Compiz.

(2016-05-09)
 * Increase the height of the audio equalizer.
 * Set the OSD to Seek as default.
 * Set the drag function to MoveWindow as default.

(2016-05-08)
 * Change the default values for outline and shadow of the ASS style.
 * Use mpv as default if available.
 * Remove the border of the tooltips. Otherwise, for some reason, the
   text is not shown complete.

(2016-05-06)
 * Use the style 'fusion' as default with Qt 5.

(2016-05-05)
 * Improve drag & drop on the main window. Now it allows to drop several
   folders and files.

(2016-05-02)
 * (Windows) Use the 'normal' priority by default.
 * Possibility to use the media keys as global shortcurts (option in
   Prefences -> Keyboard).

(2016-04-28)
 * Don't use the language toolbar.
 * Add the audio and subtitle track menus to the toolbar and increase the
   default size of the toolbar icons.

(2016-04-27)
 * Add close buttons to the audio and video equalizers.

(2016-04-26)
 * Disable the secondary subtitles and frame step back when using mplayer,
   and the karaoke filter when using mpv.

(2016-04-24)
 * Don't use a dockable playlist on linux with Qt 5 because the
   dockable one causes trouble when compiz is enabled.

(2016-04-23)
 * Ask the user if SMPlayer should change the tablet mode if the
   system (Windows 10) has changed to tablet mode.

(2016-04-22)
 * New option 'Send video to screen' in the video menu.
   This option allows to display the video (in fullscreen) on a
   second screen while controlling the player in the computer's
   screen.
 * Add an option to show information about the connected screens
   (menu View).

(2016-04-17)
 * Hide some options from menus in tablet mode.
 * Now it's possible to add the recents menu to a toolbar.

(2016-04-16)
 * Add a tablet mode (menu Options).
   When enabled, it changes some elements of the GUI so that's easy
   to use it on a touch screen.

(2016-04-15)
 * (Videopreview) Fix show duration with Qt 5.
 * Move the OSD menu to the view menu.

(2016-04-14)
 * Add new menu 'view'.

(2016-04-12)
 * Fixes for Qt 5.

(2016-04-10)
 * Better support for touch screens.

(2016-04-06)
 * Support for high DPI (requires Qt 5.4 or greater).

(2016-04-04)
 * Settings for streams can also be remembered.

(2016-04-01)
 * The mpcgui works now with Qt 5 as well.


Version 16.4:

(2016-03-25)
 * Add translations for Amharic and Persian (unfinished).

(2016-03-25)
 * A new layout is used to display the media information (Options -> View
  info and properties).

(2016-03-16)
 * Update the system tray icon when changing themes.

(2016-03-15)
 * Possibility to compile without mplayer2 support.
   (Support for mplayer2 will be removed soon).

(2016-03-14)
 * Add an animated icon for buffering.

(2016-03-07)
 * The option to support streaming sites in Preferences -> Network is
   different now, and allows these values:
     Disabled: support for video sites is turned off
     Auto: enables internal support for YouTube and uses mpv + youtube-dl
           for the rest of the sites
     YouTube: only the internal support for YouTube will be used
     mpv + youtube-dl: uses mpv + youtube-dl for all sites

(2016-03-04)
 * A fix for saving bookmarks.
 * (Linux) Look for the smtube executable in the system path.

(2016-02-26)
 * New smplayer.spec (works for Fedora and openSUSE).

(2016-02-20)
 * The option "Move the window when the video area is dragged" in
   Preferences -> Interface has been removed.
 * New option in Preferences -> Keyboard and mouse to specify the
   function to use when the mouse is dragged.

(2016-02-19)
 * Possibility to compile SMPlayer without the mini GUI and the default GUI.

(2016-02-12)
 * (Experimental) Mouse gestures. When the mouse is dragged up or down in the
   video window it changes the volume. If dragged left or right it changes
   the time position.

(2016-02-09)
 * Add vlc.keys.

(2016-02-02)
 * Allow to read the shortcut's file using spaces as separators.

(2016-01-19)
 * Add a combobox in preferences -> general to choose mplayer or mpv.

(2016-01-17)
 * Include mpv in the Windows installer.

(2016-01-16)
 * Add a function to save XSPF files.
 * (mpv) Add the extrastereo filter.

(2016-01-15)
 * Remove the fast_audio_change option since it's obsolete.


Version 16.1:

(2016-01-07)
 * (mpv) Allow screenshots to work with hardware acceleration enabled.

(2016-01-06)
 * Add a shortcut for the add_bookmark action.
 * Add icons for the bookmarks actions.

(2015-12-29)
 * (Qt5) Try to fix a problem when exiting from fullscreen and the option
   to stay on top is set to "while playing".

(2015-12-23)
 * (Experimental) Simplify changing style and stylesheet.

(2015-12-22)
 * (Screenshots) Keep compatibility with older versions of mplayer.

(2015-12-18)
 * Fix for Youtube.

(2015-12-16)
 * (mpv) If the option --screenshot-directory is not available change
   the working directory so that screenshots work.

(2015-12-14)
 * Add option 'Prevent window to get outside of screen' in
   Preferences -> Interface.

(2015-12-12)
 * Update stayontop after entering and exiting the fullscreen mode.

(2015-12-04)
 * Don't auto center the window if there's no video.
 * (mpv) Fix playback with -v

(2015-12-03)
 * Add the option 'Pass the -playlist option to MPlayer' to
   Preferences -> Advanced.

(2015-11-29)
 * Simplify the code for previous and next chapter.
 * Enable bookmarks.


Version 15.11:

(2015-11-22)
 * The thumbnail generator is faster now.

(2015-11-15)
 * (Experimental) Add support for Youtube live streams.

(2015-11-12)
 * When adding files to the playlist move the first item to its 
   correct place in the list.

(2015-11-10)
 * Fix for Youtube.

(2015-11-07)
 * Identify MPlayer 1.2.

(2015-11-04)
 * Add the possibility to set bookmarks in the videos.

(2015-10-28)
 * Don't use -playlist with mplayer by default.

(2015-10-26)
 * (mplayer) Don't add ffmpeg:// to the URL when playing https
   streams. It seems it's not necessary anymore.

(2015-10-23)
 * New action to start/stop capturing the playback stream.
   The captured stream will be saved to the folder specified in
   the smplayer.ini option capture_directory with the name
   capture_NNNN.dump.
   It only works correctly with mpeg. With other formats the
   dumped stream won't play back.

(2015-10-18)
 * Add a new option in Preferences -> General to select the
   image format for screenshots. It only works with mpv.

(2015-10-17)
 * Fix a crash when changing the GUI.
 * Set the screenshot directory in mpv with the option
   --screenshot-directory= and in mplayer with the prefix option
   for the screenshot filter, instead of changing the player's
   working directory.
   This requires recent versions of mplayer and mpv. With
   older versions the screenshots will be saved in the
   player's working directory.

(2015-10-15)
 * (Windows) Center the main window if it's partially outside of
   the desktop after an auto resize.

(2015-10-12)
 * Add an option in the find subtitles configuration window to
   append or not the language code to the subtitle filename.

(2015-10-07)
 * New options to seek to the previous or next subtitle (mpv only).

(2015-10-06)
 * (mpv) Disable the extrastereo and karaoke filters.

(2015-10-04)
 * Display in the time sliders a tooltip with the corresponding
   time of the mouse position.

(2015-10-02)
 * Add an option in Preferences -> Interface to automatically
   center the window.

(2015-09-30)
 * (mpv) Notify pause once


[b]Version 15.9[/b]:

(2015-09-08)
 * (Qt 5) Fix YouTube (URL not found).

(2015-09-05)
 * Fix the openfolder icon in the favorites list.

(2015-09-01)
 * Use the DefaultGUI with the H2O theme as default.

(2015-08-18)
 * Apply patch to show the language in the subtitle display name.

(2015-08-03)
 * Possibility to compile without mplayer or mpv support.

(2015-07-24)
 * Apply patch by Wilbert Hengs (wstudios at xs4all dot nl).
   It prevents the action for the left mouse button to run when
   dragging the video window.

(2015-07-22)
 * Fix for video track in mpv.

(2015-07-19)
 * Update the links to the SMPlayer website.

(2015-07-09)
 * New YouTube code.

(2015-06-24)
 * Possibility to disable MPRIS2 in smplayer.ini (option use_mpris2).

(2015-06-22)
 * Fix volume when using softvol with newer versions of mpv.

(2015-06-12)
 * (Windows) Disable MPRIS2 with Qt 5.

(2015-06-10)
 * Reduce the time to activate the floating control from 500ms to 100ms.

(2015-06-05)
 * Add option for command-line: -media-title

(2015-06-02)
 * Fix thumbnail creation with newer versions of mpv.

(2015-05-28)
 * (mpv) Use --input-file=/dev/stdin instead of --slave-broken.

(2015-05-21)
 * Fix the audio and video bitrate info with newer versions of mpv.

(2015-04-23)
 * Apply patch to handle PTS rollover at MPEG-TS.

(2015-04-13)
 * Add a 3D stereo filter.

(2015-04-10)
 * Add support for MPRIS D-Bus Interface (http://specifications.freedesktop.org/mpris-spec/latest/)
   Based on a patch for smplayer2 (https://github.com/lachs0r/SMPlayer2/commit/cea863e6b75f00c93da95d1a73d696cf717adf78.patch)
   and a patch by WiseLord (http://forum.smplayer.info/viewtopic.php?p=11548#p11548)

(2015-03-22)
 * (mpv) Use the --sub-text-* options to set the style of the subtitles since
   the option --ass-styles doesn't work anymore for this.

(2015-03-13)
 * Add the possibility to delete a file in the playlist from the filesystem.
   Based on a patch by capt.d.:
   http://forum.smplayer.info/viewtopic.php?p=11220#p11220

(2015-03-04)
 * Add the possibility to use the mouse buttons for the actions
   "next chapter" and "previous chapter".

(2015-03-02)
 * The kerndeint filter works with mpv.
 * Changing the deinterlace filter doesn't restart mpv.

(2015-02-28)
 * Now the rotate filter doesn't restart mpv.

(2015-02-26)
 * The flip and mirror options don't restart mpv.
 * The deblock, dering, denoise and phase filters don't restart mpv.

(2015-02-25)
 * The blur and sharpen filters don't restart mpv.

(2015-02-23)
 * Change the play/pause icon according to the player state in the default
   and mini GUIs.

(2015-02-19)
 * Now the following filters don't restart mpv when they are turned on/off:
   add black borders, gradfun, add noise and software scaling.

(2015-02-18)
 * New action show_time (assigned by default to key I). It shows the current
   playback time, total time and percentage, for 2 seconds on the OSD.
 * (Experimental) Now, if using mpv, the option to add black borders doesn't
   restart mpv.

(2015-02-14)
 * Allow duplicate items in the playlist.

(2015-02-06)
 * Add new option in the playlist section in preferences:
   "Play next file even if the previous file failed"
   If the option is enabled, when a file fails to play (mplayer crashes or
   exits with an error code), the playlist will play the next file in the
   list.

(2015-02-01)
 * Add an option in the toolbar editor to set the size of the icons.
   (Currently it doesn't look good if you increase the size of the icons
   in the skin gui).

(2015-01-31)
 * Add the options -ontop and -no-ontop for the command line.
   They just change the "Stay on top" options in the preferences.

(2015-01-21)
 * Add a combobox in Preferences -> Performance to select the hardware
   decoding option (mpv only).

(2015-01-18)
 * (mpv) Don't use the pp filter if it's not available 

(2015-01-16)
 * Fix for Youtube.

(2014-12-31)
 * (Videopreview) Use -nofontconfig to prevent to create the font cache.

(2014-12-16)
 * New version of the installer, which offers the user the possibility
   to install mpv (will be downloaded). By redxii.

(2014-12-12)
 * Add an option to change the size of the OSD.

(2014-11-29)
 * Add an option to enable or disable the internal Youtube support.
 * Add an option to enable streaming sites (requires mpv and youtube-dl).

(2014-11-27)
 * (Windows) Replace / with \ in the screenshot folder name.
 * Move the Youtube options from the performance section to the network
   section.

(2014-11-26)
 * Add the possibility to select a secondary subtitle track, which is 
   displayed on top of the screen. (mpv only)

(2014-11-25)
 * Add an option to disable the scroll of the title in the skingui.

(2014-11-20)
 * Replace the option 'Use SSA/ASS library' in the subtitles menu with 
   'Use custom style'.

(2014-11-18)
 * Add an option to go back one frame (frame_back_step). Only works with mpv.
 * Add an option in Preferences -> General to set the template for screenshots
  (works only with mpv).

(2014-11-16)
 * Add support for mpv.
   It took 25 days. 6983 lines were changed.
   It's not complete yet, some things may not work yet, but
   I think the most important things work.
   Notice: it requires mpv 0.6.2 or greater.
 * During the process of adding support for mpv, the options to customize
   the non ASS font were removed.
 * Add the Albanian translation.
 * Add Notes_about_mpv.txt.

(2014-10-08)
 * (Bugfix) Prevent to pass the filename twice to mplayer when using
   use_short_pathnames.

(2014-09-25)
 * Add options in Preferences -> Network to set a proxy.

(2014-09-14)
 * (Qt 5) Fix the option pause when minimized.

(2014-09-10)
 * Open https URLs with ffmpeg://
 * (Themes and skins) Now if the resource file (*.rcc) is not found
   the images will be loaded from PNGs files, as in previous versions.
   This will make easier for users to customize themes, since they
   won't need to create the rcc files.


[b]Version 14.9.0[/b]:

(2014-08-20)
 * Now the themes and skin icons are loaded from resource files (*.rcc).

(2014-08-12)
 * Set recents max to 100.

(2014-08-07)
 * Fix Youtube.

(2014-07-20)
 * Display the file's title in the recents' menu.

(2014-07-16)
 * mpcgui: add a label to display the time in the floating control.

(2014-05-21)
 * Videopreview: calculate better the size of the thumbnails so the
   width of picture is not greater than the maximum width.

(2014-04-22)
 * Sort the files dragged to the playlist.

(2014-04-12)
 * (Windows) Bring back the 'avoid screensaver' option.

(2014-04-10)
 * Add an option to shut down the computer when playback has finished.

(2014-04-07)
 * New workaround for opensubtitles that should return the best results.

(2014-04-06)
 * Add wtv to the list of video extensions.

(2014-04-03)
 * Fix: correctly check if a skin is in the combobox before adding it.


[b]Version 14.3.0[/b]:

(2014-03-29)
 * (Windows) Try to catch multimedia keys sent by the appcommand
   message.

(2014-03-17)
 * If no file is opened, the Play option will play a file from the
   playlist.

(2014-03-15)
 * Possibility to automatically add other media files to the
   the playlist when playing a file.

(2014-03-12)
 * New translation: British English.

(2014-03-09)
 * Add audio/aac, audio/flac, audio/ogg to smplayer.desktop and
   smplayer_enqueue.desktop.

(2014-03-07)
 * Another workaround for opensubtitles.

(2014-02-20)
 * Add more media keys as shortcuts.

(2014-02-09)
 * Add the option 'Global audio equalizer' in preferences -> general
   -> audio.
 * (Windows) Now it's possible to open Windows shortcuts (symlinks).

(2014-02-06)
 * Add more presets to the audio equalizer.
 * (Windows) Add an option in preferences -> subtitles to enable or
   disable the use of the windows font directory.
   Disabling this option prevents the annoying font scanning.

(2014-01-20)
 * Don't ignore the wheel event in the timeslider.
 * Don't display the resolution of the video in the statusbar if the
   width or height is 0.

(2014-01-19)
 * New option min_step for smplayer.ini (section [General]).
   Sets the step value for the actions that increase or
   decrease the volume, contrast, brightness...

(2014-01-07)
 * Add an option in preferences -> interface to set the time
   to hide the floating control.

(2013-12-20)
 * Add the option "Show only when moving the mouse to the bottom of the screen"
   in preferences -> interface -> floating control.

(2013-12-11)
 * Use -noflip-hebrew when using -ass. It seems to be necessary to
   display arabic subtitles correctly.

(2013-12-09)
 * Add option for aspect ratio 11:8.

(2013-11-19)
 * (Experimental) Add an option in preferences -> advanced to use the
   lavf demuxer by default.

(2013-11-12)
 * Add an option in preferences to enable or disable the delay of
   the mouse left button.

(2013-11-11)
 * Avoid that the action for left button of the mouse is activated with a
   double click.
 * (Skingui) Update the volume control when mute is changed.

(2013-11-10)
 * Fix the option "Move the window when the video area is dragged".

(2013-11-06 - 2013-11-08)
 * Add a basic support to play blurays.

(2013-11-04)
 * Add support for the mp4/m4a files downloaded by youtube-dl.
   Now when opening a mp4 file, smplayer will check if there's a 
   file with the same name but extension m4a. In that case the m4a file 
   will be used as the audio.

   This is intented to play the DASH format from Youtube, where the video and
   audio are in separated files. The application youtube-dl can download
   those files.

   This feature can be turned off by setting autoload_m4a to false in 
   smplayer.ini (no option in the GUI yet).

   Notice: you need a recent version of mplayer or mplayer2. With older
   versions seeking don't work with these files.

(2013-10-30 - 2013-11-05)
 * The control for fullscreen mode has been rewritten and improved.
   Now it shows over the video (not reducing the video) in all
   GUIs.

(2013-10-16)
 * (Skingui) Don't use a fixed size for the font of the menubar.
   It can cause that the menu bar won't be visible with some fonts.

(2013-10-04)
 * (Windows) Apply patch for better screensaver disabling, by Vavooon
   (http://forum.smplayer.info/viewtopic.php?f=4&t=6778)

(2013-10-02)
 * Remove the "About Qt" option.

(2013-09-22)
 * Start to implement presets for the audio equalizer.

(2013-09-05 - 2013-10-03)
 * Improve support for the encrypted signatures of Youtube.

(2013-08-29 - 2013-10-09)
 * Adapt the code for Qt 5.
   Note: the MpcGui is not available if compiled with Qt 5.


[b]Version 0.8.6[/b]:

(2013-07-30)
 * Add option Help->Donate.

(2013-07-26)
 * Add option to show or hide the resolution info in the skingui.

(2013-07-25)
 * Don't report about new version if installed version is newer.

(2013-07-23)
 * Set the layout of the control widgets to left to right even when
   using a right to left language.

(2013-07-22)
 * Another fix for finding subtitles. Sometimes it doesn't return any 
   result with 2 items in the search but it does with 1. 
   Workaround: use 3 items... Seems to work in all cases.

(2013-07-21)
 * Read the script from the file ytsig.script in the smplayer config
   directory.
 * Ask the user to update the youtube code when an unknown signature is
   found.

(2013-07-20)
 * Youtube: now the signature decrypt function is written in script code 
   instead of C++.

(2013-07-16)
 * Add a workaround for a problem with opensubtitles.org. Sometimes it
   returns no subtitles when a query with only one search is performed.

(2013-07-11)
 * Youtube fix.
 * Don't show the "youtube browser" entry in the menu and toolbar if
   smplayer has been compiled without support for youtube.

(2013-07-10)
 * Youtube fix.

(2013-07-05)
 * Be sure the main window is visible when another instance requests to 
   open a file.

(2013-06-28)
 * Youtube fix.

(2013-06-26)
 * Add an "updates" section in preferences, where the user can configure
   the update checker.

(2013-06-24)
 * Ignore -fontconfig and -nofontconfig in the additional options if using 
   mplayer2.

(2013-06-21)
 * Youtube fix.
 * Youtube improvements.

(2013-06-18)
 * Check for infinite recursion in favorites.

(2013-06-13)
 * Bugfix. The list of subtitles found at opensubtitles was not deleted, so
   the list of subtitles wrongly displayed subtitles for previous searches.

(2013-06-07)
 * A new icon has been added for the mplayer error dialog.

(2013-06-05)
 * Bugfix in the skingui. In fullscreen mode, the menubar would appear if the
   mouse was near of the top of the video area. Now it shows only if the mouse
   is near of the top of the main window.
 * Display a wait cursor during the creation of the preferences and properties 
   dialogs.

(2013-06-03)
 * Save/restore the window state.

(2013-05-22)
 * Add an option for command line: -delete-config.
   This option deletes the smplayer configuration files.
   The files which are deleted are: smplayer.ini, smplayer_files.ini, 
   styles.ass and all files in the subdirectory file_settings.

(2013-05-16)
 * (Experimental) Download the subtitles from opensubtitles.org in gzip
   format instead of zip. The quazip library is not needed anymore.

(2013-05-15)
 * Bugfix: check for the skin in the user dir before falling back to the
   default gui.

(2013-05-13)
 * (Windows) Read and write text to mplayer as utf8. 
   Hopefully this will fix loading of external subtitles if the 
   filename contains non latin characters.

(2013-05-12)
 * (Skingui) Add a label to display the resolution of the video.


[b]Version 0.8.5[/b]:

(2013-05-05)
 * The volume slider in the skingui now updates the volume while the
   slider is been moved.

(2013-05-03)
 * Add the Malay translation, by abuyop (transifex).

(2013-05-02)
 * Compile without USE_FONTCONFIG_OPTIONS in linux to prevent the
   -fontconfig problem when using mplayer2.

(2013-05-01)
 * Add an option to enter url(s) in the playlist.

(2013-04-30)
 * The SkinGUI is now the default gui.
 * If the SkinGUI is selected, a check is done on startup to see if the
   skin theme is installed. If not found, the default gui will be used.
 * New command line option: -skingui

(2013-04-28)
 * The option "Move the window when the video area is dragged" is
   now disabled by default because it has some issues that need to
   be fixed.

(2013-04-24)
 * Connect to opensubtitles.org using xmlrpc instead of using the
   simplexml method, which it seems it's not working well and that causes
   that smplayer couldn't find subtitles. This fixes the problem.

(2013-04-20)
 * Add two new options for Audio -> Stereo mode: Mono and Reverse.

(2013-04-07)
 * The size actions work even the autoresize is set to never.
 * Set the resize method to never as default.


[b]Version 0.8.4[/b]:

(2013-03-15)
 * Change the default value for file and stream cache to 2048.

(2013-03-11)
 * Add the option "Pressing the stop button once resets the time position"
   in preferences -> interface -> seeking.

(2013-03-07)
 * (Testing) Now smplayer checks for updates automatically. 
   On startup it connects to the smplayer web to know if there's a new 
   version available and in that case the user gets a notification.
   The check is only done once per week, and it can be totally disabled
   by setting "enabled=false" in the [update_checker] section in smplayer.ini.

(2013-03-04)
 * Add the checkbox "Move the window when the video area is dragged" 
   in preferences -> interface.

(2013-03-03)
 * Add an option in the help menu to show a first steps guide.

(2013-03-01)
 * (Windows) Fix: now all key shortcuts should work when using the
   floating control.

(2013-02-28)
 * Hopefully fix bug 3605753 (stay-on-top-while-playing not
   working after fullscreen).

(2013-02-27)
 * Add a submenu to the help menu, to share smplayer with your friends.
 * Add support for encoding ISO-8859-16 for subtitles.

(2013-02-22)
 * Copy the content of the clipboard, if it looks like a url, to 
   the open url input field.

(2013-02-16)
 * Now it's possible to set the fps for external subtitles.

(2013-02-11)
 * Change the default value of the OSD to "subtitles only".
 * Change the default value of "allow frame drop" to false.

(2013-02-05)
 * Add the Thai translation, by มาโนชญ์ สมศักดิ์ <xyteton at hotmail dot com>

(2013-01-31)
 * Add the Hebrew translaton, by Genghis Khan <genghiskhan at gmx dot ca>

(2013-01-26)
 * Add an option to enable the video equalizer by software in the
   video equalizer window.

(2013-01-25)
 * The video equalizer dialog has been rewritten.

(2013-01-21)
 * Add a confirmation dialog to delete the list of recent files.

(2013-01-13)
 * Add bik and smk to the list of video extensions.
 * Add aac and dts to the list of audio extensions.
 
(2013-01-12)
 * Add mts to the list of video extensions.

(2012-12-23)
 * Ignore other mouse events if the window is been moved by dragging
   the video area.


[b]Version 0.8.3[/b]:

(2012-12-20)
 * Fix for youtube playback.

(2012-11-28)
 * Show the mouse cursor immediately when the mouse is moved on the video
   area.
 * Help -> FAQ opens http://smplayer.sourceforge.net/faq.php


[b]Version 0.8.2[/b]:

(2012-11-15)
 * New option Help -> Open configuration folder.

(2012-11-12)
 * Don't use slices as default, as it seems to cause problems when using
   multiple threads.

(2012-11-08)
 * (Windows) When a new version is run for the first time it tries to
   create a font cache before showing the GUI. Avoids that the font cache
   would be created when the user plays the first video.

(2012-11-05)
 * (Windows) Don't change the priority of the smplayer process. Fixes a
   freeze that may happen on windows xp when you click on the video window.

(2012-11-03)
 * Don't use -fontconfig with mplayer2.

(2012-10-28)
 * Port the umplayer skins to smplayer.

(2012-10-22)
 * Bug fix: stop playback when the user selects to play the next
   item in the playlist and there are no more items to play.

(2012-10-17)
 * Move the main window by dragging in the video area.
   Code copied from umplayer.

(2012-10-05)
 * Add support for 6.1 and 7.1 audio output. Patch by AdrianoML
   (http://smplayer.sourceforge.net/forum/viewtopic.php?f=4&t=5655)

(2012-09-30)
 * Add new section "Privacy" in Preferences -> Interface.
 * Move max. items for recent files to the privacy section.
 * Add an option to remember or not the last directories.
 * Add an option to select the maximum number of items in the
   Open->URL dialog.

(2012-09-28)
 * (Linux) Install larger icons. smplayer.svg contributed by akovia
   (http://smplayer.sourceforge.net/forum/viewtopic.php?f=7&t=5557)

(2012-09-21)
 * Add the option "Report MPlayer crashes" in Preferences -> Advanced.
 * New option for smplayer.ini: time_to_kill_mplayer. Specifies the
   time (in milliseconds) that smplayer should wait before killing
   the mplayer process if the process doesn't teminate on its own
   when the stop button is pressed. Default value: 5000.


[b]Version 0.8.1[/b]:

(2012-09-14)
 * Fix youtube playback.

(2012-08-26)
 * Fix: mplayer2 was not recognized if the name was in lowercase in the
   identification string.

(2012-08-24)
 * Show the background picture on stop.

(2012-08-14)
 * Youtube: don't use a user agent by default. It's possible to set
   the user agent in smplayer.ini though.

(2012-07-30)
 * Add mka and m4a to the list of extensions (for audio).

(2012-07-04)
 * New option "save_dirs" in the [directories] section. If set to false
   the latest used directory won't be saved.

(2012-07-23)
 * Add wtv to the list of extensions

(2012-06-25)
 * Add oga and ogx to the list of extensions
 
(2012-05-29)
 * Enable Audio CD on Windows (requires a libcdio enabled MPlayer)

[b]Version 0.8.0[/b]:

(2012-04-01)
 * Find subtitles window: display first the most used languages in the
   filter combobox. And add "pb" for Portuguese from Brasil.

(2012-03-31)
 * Fix the line breaks on downloaded *.sub files from opensubtitles.

(2012-03-29)
 * (Youtube) Recognize short urls.

(2012-03-28)
 * Display chapter names in the chapter menu.

(2012-03-19)
 * It's possible to change GUI without restarting.
 * Bug fix: remote m3u didn't open from the favorites menu or command line.

(2012-03-17)
 * Move the blur and sharpen filters to a group, so only one can be activated.
   It doesn't make much sense to be able to enable the blur and sharpen
   at the same time.
 * Move the denoise and blur/sharpen options to submenus.
 * Youtube quality by default is now mp4/720p.
 * The default width of the floating control is now 70%.
 * Toolbar editor: give a name to the widget actions (time slider and so on).

(2012-03-15)
 * Add gradfun to video -> filters.
 * Add blur and sharpen filters.

(2012-03-14)
 * Support for drag and drop in the toolbar editor.

(2012-03-13)
 * Toolbar editor. If you right click on any toolbar you'll get a menu
   with options to edit the toolbars (including the control bars).
   That will show a new dialog, with two list. On the left you'll see
   all available actions (mainly buttons, but also volume or seek sliders) 
   and on the right the current actions.
   The left and right buttons allow to move actions from one list to the
   other. The up and down buttons move the selected action in the current
   actions' list.
   The "add separator" button allows to add more separators.
   The "defaults" button removes all your changes in the current actions' 
   list and sets the default actions for the toolbar.

(2012-03-08)
 * Use QtSingleApplication instead of the old client/server code to use a 
   single instance and communication with other instances.
 * Possibility (smplayer.pro) to disable the build of some parts of the
   code (QtSingleApplication, Youtube support, Find subtitles and 
   video preview).
 * Fix: the buttons to select the color of the subtiles in preferences ->
   subtitles may not change the background color with some styles. Now the
   color is changed using a stylesheet, so it should work with all styles.

(2012-03-03)
 * Improve detection of youtube urls.


[b]Version 0.7.1[/b]:

(2012-03-01)
 * Apply handle_local_urls.diff 
   (https://sourceforge.net/tracker/?func=detail&aid=3294481&group_id=185512&atid=913575)

(2012-02-27)
 * Youtube: flv videos now have the lowest priority.

(2012-02-25)
 * New option in the menu Options to run the smplayer youtube browser
   (if installed).
 * The single instance is enabled by default on windows.

(2012-02-22)
 * Now it's possible to change the opensubtitles server.
 * Opensubtitles: fix download link.
 * Fix a crash in the favorite editor if the KDE open dialog is used 
   (now it uses the Qt dialog).

(2012-02-19)
 * Store by default the screenshots in a folder inside the user's pictures 
   folder. (Requires Qt 4.4)
 * Bugfix: don't try to create the lock file if the config dir doesn't exist.
   This caused a 10sec delay when smplayer is run for the first time.


[b]Version 0.7.0[/b]:

(2012-01-28)
 * Add Help -> Check for updates (replaces Help -> Tips)

(2012-01-27)
 * Simplify the about dialog.

(2012-01-25)
 * Detect mplayer2.
 * Use precise seeking is using mplayer2.
 * Add an option in preferences -> interface to enable or not precise seeking.

(2012-01-24)
 * Move the open dvd, vcd and audio cd to a submenu.

(2012-01-23)
 * New option for command-line: -disable-server. This option disables the 
   server used to communicate with other instances. This, of course, disables 
   too the possibility to use a single instance.

(2012-01-23)
 * Move the favorite menu to the open menu, and add an icon to the toolbar.

(2012-01-13 - 2012-01-21)
 * New favorite menu, where you can add your favorite videos, music, streams,
   youtube videos... It's also possible to add submenus.

(2012-01-20)
 * Use QtLockedFile instead of QxtFileLock, so we can get rid of the libqxt
   dependency on windows.
   The QtLockedFile is under the BSD license.

(2012-01-19)
 * The title of youtube videos is displayed correctly. And the stream url is 
   replaced by the url of the youtube page.

(2012-01-14)
 * Added the Croatian translation, by jk <marshsmello@gmail.com>

(2012-01-12)
 * Detect asx, m3u, pls, and ram streams and pass -playlist to mplayer, so
   the user doesn't have to indicate if a url is a playlist.

(2012-01-11)
 * Added an option in preferences -> performance to select the desired
   quality for youtube videos.

(2012-01-11)
 * Added a very basic support for youtube. Now you can open urls like
   http://www.youtube.com/watch?v=dq4Oj5quskI in smplayer (Open -> URL). 
   You can also drag and drop a link from a browser to the smplayer window.

(2012-01-04)
 * New option "Hide video window when playing audio files" in 
   preferences -> interface.


[b]Version 0.6.10[/b]:

(2011-12-06)
 * Added a vdpau configuration dialog, now it's possible to select which 
   vdpau codecs to use.

(2011-12-05)
 * Patch by Silvan Scherrer <silvan.scherrer@aroa.ch> to add support for
   eCS, OS/2.

(2011-12-03)
 * Removed the option "Visualize motion vectors". It caused problems to many
   people when activated by mistake.

(2010-12-07)
 * Added a submenu to select the closed caption channel. 
   Requires mplayer >= r32607.

(2010-09-03)
 * Added webm and vp8 to the list of extensions (for video).

(2010-07-30)
 * Added thd to the list of extensions (for audio).

(2010-04-28)
 * Added hdmov to the list of extensions (for video).

(2010-04-22)
 * Added f4v to the list of extensions (for video).

(2010-04-14)
 * (Experimental) If using mplayer svn r31030, the audio filters (karaoke, 
   extrastereo and volnorm) are changed without restarting mplayer, using the
   new slave commands af_add and af_del.

(2010-03-22)
 * For consistency, the playlist preferences have been moved to the
   playlist section in the main preferences dialog (and the playlist own
   preferences dialog has been deleted).
 * Added the Danish translation, by Martin Schlander <mschlander@opensuse.org>

(2010-03-01)
 * Added the possibility to select the seeking method (absolute or relative) in
   Preferences -> Interface.

(2010-02-25)
 * Possibility to sort the items of the playlist. Implemented by 
   Neo254 <manuel.ohrndorf@gmx.net> 
   http://smplayer.berlios.de/forum/viewtopic.php?p=423#p423


[b]Version 0.6.9[/b]:

(2010-02-18)
 * New option for smplayer.ini: relative_seeking (section [gui]). If true
   seeking (with the time slider) will be done by using a percentage. If false
   seeking will be done using an absolute time. The default value for this
   option is true.

(2010-02-09)
 * Fix: using now -af channels to select the left or right audio channel, as 
   it seems the -stereo option in mplayer doesn't work as expected.
   Should fix bug #1962349.

(2010-02-02)
 * Added a new action to toggle deinterlacing (assigned to key D). It just 
   runs the mplayer slave command "step_property deinterlace". It toggles 
   deinterlacing on/off. Requires the yadif or kerndeint filters.
   Note: when using this action, the deinterlace menu is not updated.

(2010-02-01)
 * Added an option (Options -> Statusbar) to display the video resolution and
   fps in the statusbar.
 * For consistency, moved the option to show the frame counter to the submenu
   Options -> Statusbar. (Which by the way required to remove the old and ugly
   implementation and create a new one)

(2010-01-28)
 * (Experimental) Now the slider seeks again by percentage instead of time, but
   this time the percentage uses fractions so it should be as accurate as
   before, and makes seeking work better when the length reported by mplayer is
   wrong.

(2010-01-20)
 * Now the command line options -close-at-end and -no-close-at-end don't
   modify the preference's option "close when finished playback".
 * Now the command line options -fullscreen and -no-fullscreen don't
   modify the preference's option "start videos in fullscreen".

(2010-01-15)
 * (Linux) Use pulse as default audio output instead of alsa, as alsa is
   causing problems (at least) in Ubuntu 9.10 when seeking on a video (image
   freezes).

(2010-01-10)
 * Fix: the "unicode" encoding for subtitles works now on Windows.

(2009-12-13)
 * Added the possibility to mark an A-B section. When the A-B section has been
   selected only that section will be played. If the option Play->Repeat is 
   enabled, the A-B section will be repeated.
   A new submenu "A-B section" has been added to the "Play" menu, with the
   following options:
     - set A marker
     - set B marker
     - clear A-B markers
     - repeat
   This is exactly how it works: 
    - the "set A marker" option allows to mark the beginning of the section. 
      If the B marker has previously been set, the file will be restarted so 
      the change can take effect.
    - the "set B marker" option allows to mark the end of the section.
      If the A marker has previously been set, the file will be restarted so 
      the change can take effect.
    - the "clear A-B markers" option deletes the A and B markers and restarts
      the playback so the change can take effect. If the A and B markers 
      weren't set, this option does nothing.
    - if the "repeat" option is enabled, the A-B section will played back once
      and again (If no A-B section is set, the whole file will be repeated). 
      If the "repeat" option is not enabled, when the playback gets to the B 
      marker, the file will be stopped. 

   Notice: as a side effect, when an A-B section has been set, any action which
   requires to restart mplayer, will start the playback at the A marker and not
   at the point it was previously!

(2009-11-26)
 * Added icons for the buttons in the find subtitles window.

(2009-11-19)
 * Added the new option "Save SMPlayer log to file" in Preferences -> Advanced
   -> Logs. If the option is checked, the smplayer logs will be saved to
   to a file named smplayer_log.txt in the smplayer config file (in linux
   $HOME/.config/smplayer/).

(2009-11-06)
 * Pass the text for the slave command osd_show_text in utf8. Should fix
   bug #2854097 (incorrect charset in OSD texts). 
   Fix based on a patch by c0rnholio 
   (https://sourceforge.net/tracker/?func=detail&atid=913575&aid=2893306&group_id=185512)

(2009-10-26)
 * Added a new option for smplayer.ini: fast_load_sub
   If true (the default) loading an external subtitle will be fast
   because it will be done by using a slave command (which is nice but it
   has the problem that smplayer may restore the wrong subtitle after a
   restart of the video). If false, the subtitle will be loaded by
   restarting mplayer (which is a little bit slower but doesn't have the
   mentioned problem).

(2009-10-20)
 * Bugfix: pad the hash for opensubtitles with zeroes. This bug caused that
   sometimes smplayer couldn't find any subtitles for a given file.

(2009-10-03)
 * Applied patch smplayer-3270-mandriva-mplayer-version.patch by Anssi Hannula 
   (http://sourceforge.net/users/anssih/). Makes SMPlayer detect the mplayer 
   version strings in Mandriva.

(2009-09-14)
 * New action "show_filename" (assigned to Shift+I). It displays the filename
   in the OSD.

(2009-09-13)
 * Don't pass to mplayer any audio filter (-af ...) when using -afm hwac3.

(2009-09-09)
 * (Streams) Added support to 'StreamTitle' without 'StreamUrl'

(2009-09-04)
 * Applied patch mousewheel_seekalt_checkbox_r3257.patch by Steven Eastland
   (grassmonk at users.sourceforge.net). It adds the possibility to reverse
   the direction of seeking with the mouse wheel.

(2009-08-31)
 * Added the checkbox "Disable video filters when using vdpau" in Preferences ->
   General -> Video.

(2009-08-30)
 * (Linux) New option for smplayer.ini: disable_video_filters_with_vdpau. If 
    set to true /the default) all video filters will be disabled when using 
    the vdpau vo.

(2009-08-16)
 * All video filters in the Video menu will be shown disabled if using vdpau.

(2009-08-12)
 * Bugfix: some of the items in the the recents menu may be lost.

(2009-07-31)
 * The default cache for local files is 0.
 * New option for smplayer.ini: osd_delay. It specifies the delay in 
   milliseconds to show the OSD (default 2200).

(2009-07-30)
 * If using vdpau, don't pass any video filter to mplayer (instead of passing 
   them and then clear them with -vf-clr)


[b]Version 0.6.8[/b]:

(2009-07-14)
 * Check for new channels first in ~/.mplayer/channels.conf.ter. Use 
   channels.conf if channels.conf.ter is not found.
 * Removed the "Jump..." item from the tv and radio menus. The actions
   are still available.
 * (Playlist) Fix: don't try to a load pls file if the file doesn't exist.
   Prevents QSettings to create subdirectories pointing to that file.
 * Updated the texts of the OSD options.

(2009-07-13)
 * Moved the option "Visualize motion vectors" from menu Options to menu
   Video.

(2009-07-12)
 * Fixed error "302 - Moved temporarily" when connecting to opensubtitles.org.

(2009-07-09)
 * Added the new option "Jump" to the TV and radio menus. It displays a dialog
   which allows the user to enter the number of the channel to open.

(2009-07-07)
 * Applied patch numbered_recent_files.diff by greenest 
   (greenest at users.sourceforge.net). It adds numbers in front of the recent 
   files, and a key accelerator.

(2009-07-06)
 * Save the last TV channel, which will be used when "dvb://" or "tv://" is
   opened.

(2009-07-05)
 * (Linux) vdpau doesn't allow to use any video filter (mplayer would crash)
   so now smplayer will clear the filter list if vdpau is used.
 * New option for smplayer.ini (section [playlist]): automatically_play_next.
   If set to false the playlist won't play the next item when the current one
   finishes.

(2009-07-04)
 * The settings of TV channels are saved on ~/.config/smplayer/smplayer_tv.ini.

(2009-07-02)
 * Added a new section in the preferences dialog: TV and radio.

(2009-06-30)
 * Apply patch play_action_disabled_while_playing.diff by Francesco Cosoleto.
   (cosoleto at users.sourceforge.net). It disables the play action while 
   playing.
 * (Fix) Now the command line option -sub passes the subtitle file to another 
   running instance.

(2009-06-29)
 * Added actions to select the previous and next tv channels, and also for
   previous and next radio. Assigned by default to the keys L and H (for TV) 
   and Shift+L and Shift+H for radio.

(2009-06-28)
 * Changing chapters works again with mplayer > svn r29407 (0-based).
   For DVDs, it only works if cache = 0.
 * Added two options for smplayer.ini (section [tv]): 
   check_channels_conf_on_startup and initial_tv_deinterlace.

(2009-06-27)
 * The tv and radio submenus can be added to the toolbars (tv_menu and 
   radio_menu).

(2009-06-25)
 * New menus Open->TV and Open->Radio. The items for those menus are taken from
   ~/.mplayer/channels.conf. The services with video and audio pid are added
   to the TV menu, those with audio pid are added to the radio menu. The
   rest are discarded. The file channels.conf is rescanned on every startup
   and will add new channels to the menus. 
   Note: the file channels.conf is not read at all on Windows (mplayer lacks 
   dvb support on Windows).
 * The list of channels can be edited.

(2009-06-23)
 * Initial support for TV (dvb:// and tv://):
    - You can open dvb channels through commandline (smplayer 
      dvb://CHANNEL_NAME). It may also work with tv:// but it's untested.
    - There's an option under Preferences->Performance to set the cache for TV.
    - The view info and properties dialog recognizes dvb:// and tv:// and
      display a TV icon for them. 

(2009-06-21)
 * Added the new menu Program under the Browse menu. It allows to change
   the program track for ts files. Known issue: when a program changes, the 
   video and audio track will probably change too but the video and audio menus
   doesn't show that change.
 * The OSD is not shown until 3 seconds after the video started to play. This
   avoid a lot of messages being printed on the OSD at startup.

(2009-06-12)
 * Applied (with a few changes) the patch wheelfunctionpatch4.txt by
   Stivo (helifan at users.sourceforge.net).
   It adds the possibility to change the function of the mouse wheel with
   a mouse click.

(2009-06-02)
 * (Windows) smplayer should recognize now Windows 7, if using Qt 4.5.1 
   (untested).
 * (Windows, portable version) The default screenshot directory is 
   ./screenshots, and the default additional option for mplayer is 
   -nofontconfig. This way it's not necessary to supply a customized 
   smplayer.ini in the portable package.
 * Recognize the multithreaded mplayer build from kovensky (checks for 
   'MPlayer GIT*'). It assumes it's version 1.0rc3.

(2009-05-24)
 * Bugfix: now the color tags from the mplayer output are really removed
   (linux only).

(2009-05-21)
 * Two new options for the command line have been added: -pos and -size. Both 
   options expect two arguments. -pos specifies the coordinates (x, y) where 
   the main window will be displayed, -size specifies the size (width, height).
   If any of the values is invalid, the option will be silently ignored.

(2009-05-18)
 * New option in the subtitle menu: "subtitle visibility". If the option
   is checked (default) subtitles are visible, otherwise the subtitles won't
   appear in the screen. This is a global option.
 * In the subtitle initialization function, try to find the external subtitle
   using its filename, and not assuming that it's always the last one. 
   It should make the -sub command line option to work as expected.

(2009-05-11)
 * Added the Estonian translation, by olav m�gi <olav.magi@hotmail.com>
 * The option "Audio/video auto synchronization" has been moved from 
   Preferences -> Performance to Preferences -> General -> Audio.
 * Added the new option "A-V sync correction" in Preferences -> General -> 
   Audio (for the mplayer option -mc).

(2009-05-05)
 * New option for smplayer.ini: row_spacing (in the [playlist] section). It
   specifies the spacing between rows in the playlist. If the value is -1
   the row height is not changed.

(2009-05-04)
 * Added an option in Preferences -> Advanced -> Logs to make the mplayer logs
   more verbose (passes -v to mplayer).

(2009-05-01)
 * Applied patch coreavc.patch by Shurygin Egor <qdiesel@users.sourceforge.net>
   It adds a checkbox in performance settings to switch coreavc usage.
   When checked passes to mplayer "-vc coreavc," unless vdpau video driver is
   used and any other video codec has been set explicitly.

(2009-04-30)
 * Bugfix: hide the mouse cursor when it's over the black borders.

(2009-04-29)
 * (Windows) New options for smplayer.ini: turn_screensaver_off (false by
   default) and avoid_screensaver (true by default). The option
   disable_screensaver won't be used on windows anymore.
   turn_screensaver_off disables the screensaver from the control panel,
   while avoid_screensaver prevents the screensaver to appear when windows
   requests for it in an event.
 * Added checkboxes in preferences->general->video to allow to configure
   the avoid_screensaver and turn_screensaver_off options.

(2009-04-24)
 * Deleted the option "Change volume just before playing" (Preferences -> 
   General -> Audio). That option had sense when a patch was required for the
   -volume option, but not now.
   Now it will just use -volume if using mplayer >= SVN r27872.
 * Deleted the option "Change volume on every file" (Preferences -> 
   General -> Audio). It did more or less the same now it does the "Global
   volume" option.
 * Deleted the "Default volume" slider in (Preferences -> General -> Audio).
   With time it lost its original meaning. It's still possible to configure 
   the default volume in smplayer.ini.

(2009-04-23)
 * Started to implement the possibility to customize the options for the
   audio/video filters passed to mplayer (in the section [filter_options] 
   in smplayer.ini).
   Currently 3 filters can be customized: noise, volnorm and deblock.
   BTW, the volnorm filter has changed its default value from 2 to 1.

(2009-04-20)
 * (Experimental) Added the new option "Global volume" (Preferences -> General
   -> Audio). If the option is checked, the volume and mute are global
   options. If not checked, the volume and mute options are independent for
   each file.
   Known issues: the default value is 50, it doesn't honor the "default volume"
   setting. On the other hand, the option "change volume before playing" is
   honored even if that option is shown disabled when the "global volume" is
   checked.

(2009-04-18)
 * Added the Vietnamese translation, by Lê Xuân Thảo <thaolx@gmail.com>.
 * Display the current playback speed in the status bar when it changes.
 * Added support for the mplayer tags DVDNAV_TITLE_IS_MENU and 
   DVDNAV_TITLE_IS_MOVIE added in mplayer svn r29156. 
   It just simply stops sending the set_mouse_pos slave command if not in a 
   dvd menu.

(2009-04-16)
 * (Bugfix) Don't stop the file if already stopped when closing smplayer
   to prevent that the current position would reset to 0.

(2009-04-15)
 * Added two aspect ratios: 3:2 and 14:10.
 * The next_aspect action changes the aspect ratio in the right order.

(2009-04-07)
 * Added an option in preferences to turn on/off the screenshot feature.
   So no need now to clear the screenshot path to disable it.

(2009-04-06)
 * Pass to mplayer "-vc ffh264vdpau,ffmpeg12vdpau,ffwmv3vdpau,ffvc1vdpau," if
   using vdpau as video driver and not other video codec has been set.
   (Untested)

(2009-04-02)
 * Now the mouse cursor is hidden only when playing.

(2009-04-01)
 * (Fix) The preferences dialog sets the default video driver to "direct3d,"
   if using Windows Vista.

(2009-03-26)
 * Added ogv to the list of extensions (for video).

(2009-03-25)
 * (Linux) Using -input nodefault-bindings:conf=/dev/null to disable the 
   mplayer keys if using mplayer >= SVN r29058.

(2009-03-23)
 * (Experimental) Now some of the submenus can be added to the toolbars
   (actions names: speed_menu, videotrack_menu, screen_menu, videosize_menu, 
   panscan_menu, aspect_menu, deinterlace_menu, videofilter_menu, rotate_menu, 
   ontop_menu, audiotrack_menu, audiofilter_menu, audiochannels_menu, 
   stereomode_menu, subtitlestrack_menu, titles_menu, chapters_menu, 
   angles_menu, osd_menu).

(2009-03-22)
 * Added an icon for the next_aspect action. Contributed by TT 
   (http://smplayer.berlios.de/forums/viewtopic.php?id=1104).

(2009-03-20)
 * The subtitle and audio delay actions keep now the file paused. They also
   display the current value in the status bar.

(2009-03-19)
 * Added some icons for: Help -> Tips, Video -> Preview, Video -> Start/stop
   taking screenshots, Subtitles -> Find subtitles on opensubtitles.org and
   updated the Qt logo (taken from the Qt sources).

(2009-03-18)
 * (Videopreview) Ctrl+H toggles displaying the info about the video.
 * Don't use "set_property switch_video" when using the nsv demuxer. It makes
   mplayer stop displaying the video after a few seconds.
 * Added a new option: Video -> Start/stop taking screenshots (of each frame)
   assigned by default to "Shift+D" (the icon for this action: screenshots.png)
   When this option is selected, a screenshot will be taken (and saved in
   png format to the screenshot folder) for each frame. Select the option
   again to stop taking screenshots. 

(2009-03-16)
 * (Windows) Now by default the combos in Preferences -> Drives will show all
   drives, not only CD/DVD devices, as it has been reported that checking
   for those devices can be slow if there are network drives. Now there's
   a button "Scan for CD/DVD devices" to force the detection of CD/DVD devices.

(2009-03-12)
 * Deleted the obsolete translations from smplayer_gl.ts (caused lrelease
   to fail with Qt 4.5.0).

(2009-03-11)
 * Fixed some build problems that could make the installation fail, trying to 
   recompile everything again with qt3 because QMAKE can be undefined during 
   make install.


[b]Version 0.6.7[/b]:

(2009-03-06)
 * The media type icons (type_audio.png, type_dvd.png, type_url.png, 
   type_video.png, type_cdda.png, type_unknown.png and type_vcd.png) which 
   appear in the info window can now be overridden by the icon themes.

(2009-03-05)
 * (Playlist) Try to figure out if a file is local (when the file is added
   to the playlist) not using QFile::exists, as it seems it can be slow
   with remote files. It might fix bug #2586395, although I can't test.

(2009-02-19)
 * Using software volume by default.

(2009-02-17)
 * Using multiple ini files to store the file settings by default now.

(2009-02-15)
 * Added preliminary support for the upcoming mplayer 1.0rc3.

(2009-02-09)
 * (ASS subtitles) The outline and shadow options now accept values with
   decimals.

(2009-02-04)
 * Now the default value for the "correct pts" option is auto.

(2009-01-31)
 * (Videopreview) Added a new option to remember the last folder used for
   saving the preview image. If not checked, it will suggest the same
   folder of the video to save the image.
 * New action toggle_stay_on_top, which toggles between "stay on top always" 
   and "stay on top never". If "stay on top while playing" is enabled, this
   action does nothing.

(2009-01-29)
 * Added two options (in the audio and subtitle menus) to allow the user to 
   enter the audio and subtitle delay (in milliseconds).

(2009-01-28)
 * Added names for the rest of dvdnav actions.
 * The dvdnav_mouse action is assigned to the left mouse button by default.
 * Added all dvdnav actions to the list of actions that can be selected with
   the mouse buttons.

(2009-01-27)
 * Fix: now spaces in arguments for mplayer (in Preferences->Advanced and 
   Options->View info and properties) are respected if they are between
   quotes. Now for instance this will work as expected:
     -heartbeat-cmd "gnome-screensaver-command -p &"
 * Fix: the playlist is not allowed to be docked in fullscreen mode.

(2009-01-26)
 * (Playlist) When a file is added to the playlist, if it was already in
   the list, it's moved to the end of the list.

(2009-01-24)
 * (Videopreview) Add jpg to the "extract frame as" combobox only if the
   jpg format is available for reading.
 * The direct3d video output is now the default for Windows Vista (untested).

(2009-01-18)
 * The dvdnav actions are now only enabled when playing a dvd (using dvdnav).

(2009-01-17)
 * Now the mplayer process is not restarted when loading an external subtitle
   file (using the sub_load slave command), except for idx/sub subtitles. 

(2009-01-15)
 * (Windows) Now the screensaver is allowed to turn on if the file is
    paused or it's an audio file.
 * The "it's a playlist" option in the Open URL dialog is automatically
   checked if the url ends with ".ram", ".asx" or ".m3u" (and unchecked if
   it ends with another extension).

(2009-01-14)
 * New option for the config file: user_forced_ass_style under the 
   [subtitles] section. If the value is not an empty string, it will be
   passed to mplayer for the -ass-force-style option, overriding the string
   generated automatically by smplayer.
 * Added a "Customize" button in the SSA/ASS section in preferences to
   allow the user to customize the SSA/ASS style which will be passed to
   mplayer with the -ass-force-style option.

(2009-01-12)
 * (Fix) When opening an iso file, start to play from the dvd menu instead
   of title 1.
 * Added a new option to select the shadow color for ass subtitles.

(2009-01-11)
 * Now it's possible to play a dvd with menus from command line 
   (smplayer dvdnav://) or by selecting "dvdnav://" from the recents menu.
   It'll even work if the option "Enable DVD menus" is not checked.
 * Now the highlighted option in the DVD menu changes when the mouse is
   moved.

(2009-01-10)
 * Fixed the initialization of the Angles menu when using dvdnav.
 * Added to the Browse menu the options 'DVD menu' and 'DVD previous menu'.

(2009-01-09)
 * Now the length of the title is updated when playing a dvd using dvdnav.

(2009-01-08)
 * (Linux) Added the option "Enable DVD menus" in Preferences->Drives. If 
   this option is checked, when you select "DVD from drive" or "DVD from 
   folder" under the Open menu, the DVD will be played using dvdnav (including 
   menus).
   Note: this is experimental, there are still a lot of things to be fixed.
   Use at own your own risk.

(2009-01-05)
 * Added an option in Preferences->Subtitles to apply the ass style defined by
   the user to ass subtitles (overriding the style defined in the ass file).

(2009-01-04)
 * Now the dvd names follow the same scheme as mplayer: 
   dvd://title/device (where device can also be a folder or iso file).
   Internally it tries to avoid the use of the string "dvd:" so it could
   be easy to add support for dvdnav:

(2008-12-31)
 * Now the correct pts option can have a value of "auto". In this case
   neither -correct-pts nor -nocorrect-pts are passed to mplayer, the demuxer
   will decide. Should fix bug #2479566.
 * The proxy settings have been moved to a config dialog inside the find
   subtitles window.


[b]Version 0.6.6[/b]:

(2008-12-28)
 * (Linux) Now the options in the dvd menus can be selected with the mouse.
   To do so, select "Activate option in DVD menus" for the left mouse button
   in Preferences -> Keyboard and mouse.
 * Implemented a different way to select the initial audio track (or restore
   the old one after a restart). 
 * (Experimental) New code to show/hide the mouse cursor in the video window.

(2008-12-27)
 * (Linux) Added some actions to control the dvdnav buttons.

(2008-12-26)
 * The language filter in the find subtitles dialog is now saved to the ini 
   file.
 * New option for smplayer.ini: include_lang_on_filename (section 
   [findsubtitles]). If set to true (the default) the language code is 
   appended to the subtitle filename (e.g. video.avi => video_es.srt).
   Otherwise the language code is not appended (video.avi => video.srt).

(2008-12-24)
 * Implemented a different way to select the initial subtitle track (or restore
   the old one after a restart). Still needs some testing.

(2008-12-23)
 * Now smplayer tries to update the subtitle tracks if they change during
   playback. This makes subtitles work if using dvdnav, and seems to fix
   a problem when selecting the initial track 
   (see http://sourceforge.net/tracker/index.php?func=detail&aid=2422574&group_id=185512&atid=913573)
   This is the kind of changes that can break something or produce an 
   unexpected behaviour...

(2008-12-20)
 * Applied with a few changes the patch customStyleAction.patch by
   matt <matt@endboss.org>. It adds a few more functions for the widgetactions,
   like to set a custom style.
 * Added a new gui (mpcgui, a media player classic clone) developed by 
   Matthias Petri <matt@endboss.org>

(2008-12-19)
 * Applied (with a few changes) a patch by matt <matt@endboss.org>.
   This patch adds 3 modes for the stay on top option: always, never and 
   while playing.

(2008-12-12)
 * Added a new option Video->Preview. This option creates a preview 
   (thumbnails) of the selected video. There are options to choose the
   number of columns, rows, maximum width of the generated image...
   Finally the preview can be saved (as jpg or png).
   Note: the video preview is not finished yet.

(2008-12-07)
 * (Experimental) Increased the resolution of the seekbar. Previously
   a step of the seekbar (in a 90 minute movie) was equal to 54 seconds.
   Now it's equal to 5.4 seconds. As there's usually an I-frame about 10
   seconds (and mplayer always jumps to an I-frame) I think that's enough.

(2008-12-06)
 * Bug #2399200: the downloaded subtitle filename was wrong if the video 
   filename contained a dot in the name (example: video.hdtv.avi created a 
   video_es.srt file instead of video.hdtv_es.avi). This is now fixed.

(2008-12-03)
 * Now the logs in the mplayer/smplayer log windows update in realtime.
 * The "MPlayer language" tab in the Advanced section in preferences has
   been removed. It's not necessary anymore, although if you've got a 
   mplayer which prints the output texts in a non-english language you'll need
   at least MPlayer SVN r28066.
 * Added two new options: "Auto zoom for 16:9" and "Auto zoom for 2.35:1".
   Those options zoom the image assuming the aspect ratio of the video image
   is the one specified in the option, even if that's not the actual aspect
   ratio. Useful for videos which include black borders (letterbox) in the 
   image, where the normal "Auto zoom" option will fail.

(2008-11-30)
 * New option for smplayer.ini: actions_to_run ([advanced] section).
   Specifies a list of actions (separated by spaces) which will be run every
   time a file is loaded. For instance "actions_to_run=auto_zoom compact true"
   will run the auto_zoom action and set the gui to compact mode. If the
   commandline option -actions is used too, the actions from commandline
   will be added to the end of the list.
   There's a limitation: the actions will be run only when a file is opened 
   and not when the mplayer process is restarted (e.g. you select an option in 
   the menus which requires to restart mplayer, like a video or audio filter).
   Note that allowing to run the actions after a restart of mplayer could
   lead to infinite recursion if any of the actions in the list needs to 
   restart mplayer.
 * Added a field in Preferences->Advanced to enter the list of actions to
   be run every time a file is opened.

(2008-11-27)
 * Added an option in Preferences->General to change the method to store
   the file settings.
 * (Experimental) Added the new option Video->Pan&scan->Auto zoom. It 
   calculates the zoom factor so you can't see any black borders.

(2008-11-26)
 * Implemented a new (and optional) method to save the file settings.
   This method uses an ini file per each played file (instead of using only 
   one big ini file for all of them).

   The files are saved under the subdirectory "file_settings" in the config
   directory (usually $HOME/.config/smplayer/). As filename it uses a hash,
   and it's stored on a subdirectory starting with the first letter of the
   filename. 

   For example:
   $HOME/.config/smplayer/file_settings/d/dd017f9d6706a75f.ini
   $HOME/.config/smplayer/file_settings/9/95e963e59826699d.ini

 * Added a new option for smplayer.ini: file_settings_method.
   This option allows to select the method to be used for the file settings.
   Possible values: normal and hash.

   normal = uses one file (smplayer_files.ini) to store the file settings of
   all played files. This is cleaner as you only have one file for all files'
   settings but it could be slow if there are info for many many files in it.

   hash = uses one ini file per each played file. This could be much faster if 
   you have info for many files, but you'll end up with many ini files and 
   subdirectories.

(2008-11-24)
 * Added a new option in Preferences->Video: add black borders on fullscreen.
   If this option is enabled, black borders will be added to the image in 
   fullscreen mode. This allows subtitles to be displayed on the black borders.

(2008-11-23)
 * Added a history to the open URL dialog. Based on a patch by Francesco 
   Cosoleto.
   Not finished yet. Missing options to clear the history or set the maximum
   number of items.
 * Added a new option for smplayer.ini: urls\max_items (section [history]).
   It specifies the maximum number of items for the open URL history.
   By default, 10. Set it to 0 to disable the history.

(2008-11-20)
 * The "Recents" code has been reorganized. Also the list of recent files
   is now saved in a different place in smplayer.ini, in section [history].

(2008-11-19)
 * When using SSA/ASS, use the same font for OSD. Otherwise the OSD
   might not be visible.

(2008-11-18)
 * Added the possibility to select the type of proxy to be used: Http or
   Socks5. (More info: http://doc.trolltech.com/4.3/qnetworkproxy.html)

(2008-11-17)
 * Added a new option in Preferences->Subtitle: Freetype support. Disabling
   that option could make smplayer work with a mplayer compiled without
   freetype support. But subtitles may not work at all!

(2008-11-16)
 * The mini gui can now also remember the position and size of the window.
 * (Linux) Now all devices which match with dvd*, cdrom*, cdrw*, sr* 
   and cdrecorder* are added to the comboboxes in Preferences->Drives.

(2008-11-15)
 * Added a new action to select the next aspect ratio. Assigned by default to
   key "A". Unfortunately this change breaks compatibility and the aspect
   ratio setting for all your played videos will be lost.
 * Display the text for the statusbar in the OSD if in fullscreen mode (and
   not paused).
 * Added a new option for smplayer.ini: initial_stereo_mode. It sets the
   stereo mode which will be used as default. 
   Possible values: 0 (stereo), 1 (left) and 2 (right).

(2008-11-14)
 * Added the new section Advanced->Proxy in preferences to configure the 
   proxy.

(2008-11-13)
 * Added some options in smplayer.ini (section [proxy]) to configure a proxy 
   for internet connections. Untested.


[b]Version 0.6.5.1[/b]:

(2008-11-12)
 * Don't pass to mplayer the option -no-correct-pts or -nocorrect-pts if
   the mplayer version is still unknown. Prevents mplayer to fail on the first
   run, complaining about an unknown -no-correct-pts if using a recent version 
   of mplayer (r26842 or above).


[b]Version 0.6.5[/b]:

(2008-11-11)
 * (Linux) Now smplayer tries to follow the XDG Base Directory Specification
   (http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html)
   for the config files. So now smplayer will save its config files under
   the directory $XDG_CONFIG_HOME/smplayer or $HOME/.config/smplayer if
   $XDG_CONFIG_HOME is not defined.
   If you want to keep your preferences, copy the files in $HOME/.smplayer to
   $HOME/.config/smplayer

(2008-11-07)
 * Added a new option "Floating control" in Preferences->Interface. It allows
   to configure the floating control (width, margin...).

(2008-11-06)
 * (Experimental) Added the possibility to select the adaptor for xv. Requires
   at least MPlayer SVN r26762 (from 2008-05-13).

(2008-11-05)
 * Added support for another patch: 
   http://smplayer.svn.sourceforge.net/viewvc/smplayer/mplayer-builds/patches/id_exit.diff
   This patch allows the playlist to work properly even if the output messages 
   of mplayer are not in English.
 * New option for smplayer.ini: bypass_window_manager (section 
   [floating_control]). If set to true (the default), the floating control 
   widget will bypass the window manager (seems necessary for some window
   managers). You can try to set it to false if you have problems with the
   floating control.

(2008-11-04)
 * On startup the previous position of the main (default) window is checked
   if it's valid for the current screen. If it's not, then the window is
   moved to 0x0.
 * The same for the playlist (if it's not docked).

(2008-11-01)
 * Cleanup and reorganization of the config path code. 
   The commandline option -ini-path has been removed and replaced with
   -config-path, which specifies the directory where smplayer will store
   its data (not only smplayer.ini).
 * Now to know if a file has no video, instead of looking for the line 
   "Video: no video" (it's not reliable as it's a string that can be translated),
   it will check the video codec, if it's empty, there's no video.

(2008-10-30)
 * The reorganization of the subtitles section in preferences is finished.
 * The mplayer devs have added the -volume option in svn r27872, so now the
   hack to try to detect a patched mplayer have been removed. Now smplayer
   will simply use the -volume option if mplayer is r27872 or newer.

(2008-10-28)
 * The subtitles for srt, sub... formats when using the SSA/ASS library, 
   can now be more customized. It's possible to select the font, size,
   colors, bold, italic, outline, shadow... 
   Not finished yet.

(2008-10-27)
 * Added the new option "Correct pts" in Preferences->Advanced. Disabled by
   default because it causes some problems with mkv files.
 * The dialog to jump to a specified time allows now to enter the seconds
   too.


[b]Version 0.6.4[/b]:

(2008-10-22)
 * (Linux) Now smplayer will pop up a warning if the mplayer version is old.
   This popup will appear only once, although there'll be a reminder in the
   status line.
   A mplayer is considered old if it's older than svn r25158 (that includes
   1.0rc2)

(2008-10-21)
 * Now if the SSA/ASS lib is enabled and a file named styles.ass exists in the 
   smplayer config directory ($HOME/.smplayer/ or the application directory if 
   compiled with PORTABLE_APP) smplayer will load it (mplayer option 
   -ass-styles). In this case the color for subtitles and styles configured
   in Preferences->Subtitles WON'T be used.
   In the future smplayer will create that file automatically and the 
   preferences dialog will allow to configure all (or at least the most 
   important) styles.

(2008-10-20)
 * Bugfix: the show equalizer option didn't work when assigned to any of
   the mouse buttons. (Reason: the action name was changed some time ago
   from "equalizer" to "video_equalizer)
 * Added "Show audio equalizer" to the mouse buttons' combos too.

(2008-10-19)
 * (Experimental) Added the possibility to change the video track.
   Only tested with this sample video: http://www.megaupload.com/?d=3GAGZCTP

(2008-10-16)
 * Moved the comboboxes for the video & audio drivers to the Video and Audio
   tabs.
 * Added a new section in the preferences dialog: Playlist.

(2008-10-15)
 * Added the possibility to add consecutive files (video_01.avi, 
   video_02.avi..) to the playlist. This feature is controlled by the option 
   add_to_playlist_consecutive_files (under the [gui] section).
 * Now the available tracks in DVDs, CDs and VCDs won't be automatically added
   to the playlist if the option gui/auto_add_to_playlist is false. Should fix 
   bug #2049998.

(2008-10-14)
 * Logout is not cancelled by smplayer. Fixes bug #2155555.
 * Now the options in preferences display a tooltip with a help message.
 * Revised and corrected some of the help messages in preferences.
 * Added 1:1 to the aspect ratio menu.

(2008-10-10)
 * Added a work-around for Traditional Chinese. The names of the arrow keys 
   were deleted from the shortcuts if using Qt 4.3.

(2008-10-09)
 * Now the video keeps paused when changing brightness, contrast, hue, 
   saturation and gamma.
 * Now the dialog to find subtitles can also download the subtitles (the
   zip file) and extract the subtitle file. This is exactly how it works:
   when you click on the download button, the zip file is downloaded to a
   temporary file. If the zip file contains only one subtitle, it's extracted, 
   trying to use the same name of the video. So if the video is named movie.avi
   and you downloaded a French subtitle, the subtitle is saved as movie_fr.srt.
   If there are more than one subtitle in the zip file, a dialog will appear 
   so the user can choose the subtitle(s) to extract. In that case, and in 
   order not to make things more complicated, the subtitles are just saved 
   with their original names.

(2008-10-06)
 * (Windows) Added a tool (dxlist) which can list the dsound audio devices
   and the ddraw display devices. Read the README.txt inside the dxlist
   subdirectory for more info and how to compile it.
 * (Windows) Now it's possible to choose the audio device to be used with 
   dsound. It requires dxlist.exe to be installed in the same folder as
   smplayer.exe. This is experimental.

(2008-10-05)
 * Added a new option for smplayer.ini: display_in_compact_mode (under section
   [floating_control]). If true the floating control will appear too in
   compact mode. Note: it may not look very well in this mode...

(2008-10-04)
 * (Linux) Now it's possible to choose the audio device to be used with alsa.
   It requires the application "aplay" to be installed.

(2008-10-03)
 * Added an option in Preferences->General->Video to set the default zoom.

(2008-10-02)
 * Applied (with some changes) the patch to add support for enca, by
   Stanislav Maslovski <s_i_m@users.sourceforge.net>.
   This adds a new option in Preferences->Subtitles, which can make mplayer
   to try to autodetect the encoding for subtitles. This requires a mplayer
   compiled with enca support.

(2008-09-29)
 * Now the chapters on DVD should work again.
 * Reorganization in some data structures.
 * Added another experimental new code to resize the main window.

(2008-09-28)
 * Added an (experimental) generic code to manage chapters, instead of two 
   separate codes for mkv and DVDs. Seems to work well with mkv but it's
   still untested on DVDs.

(2008-09-27)
 * Added basic support for the tag ID_CHAPTERS, added in mplayer svn r27667.
   This makes things easier to know the number of chapters in a video.
   Don't know if it could cause a conflict with DVD chapters. Some code
   has still to be revised and modified.
 * Bugfix: if using "directx," the -colorkey option wasn't passed to mplayer
   (thus the video was black). Now this should be fixed.

(2008-09-26)
 * Added support for the new "pausing_keep_force" slave mode command prefix
   (added in mplayer r27665).
   This prefix really keeps the file paused after processing a slave command. 
   So now if you, for example, mute the audio when the video is paused it 
   won't advance one frame after it. It also keeps the video paused when you 
   take a screenshot (although you won't see the confirmation message until 
   playback resumes).
   There's also an option for smplayer.ini, use_pausing_keep_force. You can
   set to false if you find any trouble or prefer the old behaviour.

(2008-09-25)
 * Added the Galician translation, by Miguel Branco <mgl.branco@gmail.com>.


[b]Version 0.6.3[/b]:

(2008-09-24)
 * Added a new shortcut set (sda.keys) taken from 
   http://speeddemosarchive.com/forum/index.php/topic,7774.0.html, which you 
   can load in the shortcut editor in preferences.

(2008-09-23)
 * Added two icons for the mirror and flip actions (mirror.png and flip.png)
   taken from the Gimp.
 * Added a new option for smplayer.ini: default_size (section [gui]). It
   specifies the default size of the main window. Previously it was hardcoded
   (580x440).

(2008-09-22)
 * Now the subtitles can be mirrored, flipped or rotated along with the image.
   The way to enable it is not obvious though. You need to enable the option 
   "Include subtitles on screenshots" (Preferences->Subtitles).
 * (Linux) Tries to set "/dev/dvd" and "/dev/cdrom" (if they exist) as default 
   values for the dvd and cdrom devices.

(2008-09-21)
 * Added the new option Video->Mirror image. This option mirrors the image 
   on the Y axis.

(2008-09-20)
 * The comboboxes to select the video and audio driver in Preferences->
   General have changed. Now they are not editable, and only show some
   of the available drivers (png, jpeg... and so on are not shown). There's
   also an "User defined" option. If selected, a line edit will appear where
   the user can type the driver to use (possibly with additional options).
 * The code in preferences.h/preferences.cpp has been reorganized, and 
   now the preferences are saved in several sections in smplayer.ini.
   That means most of your settings will be lost and you'll have to reconfigure
   smplayer again (I even recommend to delete smplayer.ini, otherwise there'll 
   be a mix of the old settings with the new ones).

(2008-09-19)
 * It seems crashes still happen in the code to select subtitle tracks.
   The bug hasn't been located yet (the crash is difficult to reproduce)
   but I have added a new check in a lower level, in the function 
   SubTracks::itemAt(). Now it checks if the requested item is in range. If
   it's not valid it will print a warning and return an empty subtitle.

(2008-09-17)
 * Added an icon for the Play/Pause action. (This breaks all icon themes...)
 * Added a new option for smplayer.ini: gui_minimum_width. The width of the
   main window won't be smaller than the value of that option.
   If gui_minimum_width is set to 0 (the default) then the minimum width 
   will be the size hint of the window.

(2008-09-16)
 * (Windows) Added a new option in Preferences->General that allows the user 
   to select which screen will display the video when using directx as video 
   driver. This option is visible only when directx is selected.
 * (Windows) Added also a submenu Screen under the Video menu for an easier
   selection of the screen.

(2008-09-14)
 * Check in Core::changeSubtitle() that the selected subtitle is in a valid
   range. This should avoid crashes.

(2008-09-13)
 * Added the Kurdish translation, by Si_murg56 <simurg56@gmail.com>

(2008-09-12)
 * Added a new option in Preferences->General->Video: "Draw video using slices"
   (-slices / -noslices in mplayer). Enabled by default.
 * Bugfix: the items in the combobox for the mouse right click action weren't
   retranslated properly.

(2008-09-09)
 * For some unknown reason sometimes the playlist is not shown. I think this 
   is because it's outside of the screen. Now smplayer checks if the playlist 
   is actually outside of the screen, and in that case it's moved to pos 0x0.

(2008-09-08)
 * Moved the option "Create index if needed" from the section Performance to
   Advanced.
 * Added an icon for the audio equalizer action.

(2008-09-06)
 * Added a new option in Preferences->Performance: Threads for decoding.
   Sets the number of threads to use for decoding (for MPEG-1/2 and H.264 only).
   It could be useful for multicore processors.
 * Bugfix: the volume may be changed on startup even if the option "Change 
   volume on every file" was off. 

(2008-09-04)
 * Don't change the window size if the panel is already the requested size. 
   Seems to fix a problem when using Compiz.

(2008-09-01)
 * The option "Repaint background of the video window" (in Preferences->
   Advanced) is now enabled by default in linux. It seems with newer versions
   of Qt it works well with it. If you have problems with the video window
   going blank, just disable the option.
 * The single instance option is now disabled by default on Windows, as some 
   people reported smplayer didn't start with it.
 * 2nd try to make "gl:yuv=2:force-pbo:ati-hack" the default vo on Windows
   Vista.

(2008-08-28)
 * Set the frame counter to 0 when starting to play a file. Fixes bug
   #2080802.
 * Added in Preferences->Advanced an option to select the preferred network
   connection, IPv4 or IPv6. (IPv4 is the default)

(2008-08-26)
 * Added a new option for smplayer.ini: report_mplayer_crashes. If set to
   false, smplayer won't display the error dialog when mplayer crashes or
   fails to start.

(2008-08-25)
 * Added the Arabic translation, by Muhammad Nour Hajj Omar 
   <arabianheart@live.com>
 * Added some options in menu Play->Speed to increase/decrease the
   speed by 1% and 4%.
 * Bugfix: the gamma was not remembered. Fixes bug #2073257.
 * Moved the log's section in Preferences->Advanced to a new tab.

(2008-08-24)
 * Fix: some of the actions passed to -actions may not work as expected
   because they might be executed when the video is not playing yet.
   This should now be fixed, as if a file is passed on command line, the
   actions are not run until the video has started to play. (If there's no
   file on command line the actions are run immediately)

(2008-08-21)
 * Added a new option in Preferences->General->Audio: "Enable the audio
   equalizer". If this option is checked, the mplayer equalizer filter will
   be used and the menu option Audio->Equalizer will be enabled.

(2008-08-20)
 * Moved the eq2 filter before the screenshot filter, otherwise the 
   screenshots are not affected by the settings in the video equalizer.
   Obviously this requires the software equalizer (eq2) to be enabled.
   This should fix bug #2062425.
 * Added a new section in the config file: [floating_control] with 3
   options: animated, width and margin. The options "animated" and "width"
   were previously available as floating_control_animated and 
   floating_control_width in the [default_gui] and [mini_gui] sections.
   The option "margin" is new, and sets the number of pixels that the
   floating control will be away from the border of the screen (by default, 0).

(2008-08-19)
 * Added two new functions for the mouse buttons: increase volume and 
   decrease volume. Closes feature request #2055061.

(2008-08-18)
 * Renamed Video->Aspect ratio->None to Video->Aspect ratio->Disabled and
   Video->Aspect ratio->Autodetect to Video->Aspect ratio->Auto.

(2008-08-17)
 * Added a new (experimental) option: Video->Aspect ratio->None. When this 
   option is selected the video will be stretched to fill all the available 
   space, not keeping the aspect ratio.
   Note: this option does NOT work properly if using x11 as video driver.

(2008-08-16)
 * Added m2ts to the list of extensions for video.


[b]Version 0.6.2[/b]:

(2008-08-13)
 * (Linux) The SSA/ASS library is enabled by default.

(2008-08-12)
 * Added the document Configuring_the_toolbars.txt.
 * Added the new option Tips in the Help menu. It just opens a web browser
   to http://smplayer.wiki.sourceforge.net/Tips.

(2008-08-11)
 * Bugfix: the volume slider appeared in the mini gui even if it had been
   removed from the config file.

(2008-08-09)
 * As it seems many people don't understand (and even send bug reports without
   reading the online help) the new meaning of the font scale options in 
   Preferences->Subtitles, those two options have been hidden. 
   (They can be made visible again changing the value of the new config 
   option show_font_scale_options_in_preferences).

(2008-08-07)
 * Added a time display to the floating control in the minigui.
 * The playlist and the volume slider don't send mouse events to their
   parents. Should fix bugs #1993291 and #2020003.
 * Avoid to resize the main window to the default size (400x300) when 
   playing an audio file.

(2008-08-06)
 * The find subtitles dialog is now a top level window, instead of a dialog.
 * Play the last item in the playlist if the "play previous" button is
   pressed and the current item is the first one. Fixes bug #2040473.
 * Added "play next" and "play previous" to the Play menu.

(2008-08-03)
 * A little reorganization in the General section in preferences and other
   minor changes in other sections.

(2008-07-28)
 * Now the default cache for local files is 2000 KB, and for audio CDs and VCDs 
   is 1000 KB.

(2008-07-26)
 * Added an option in Preferences->Performance to set the cache for VCDs.

(2008-07-25)
 * Added an option in Preferences->Performance to set the cache for
   audio CDs.

(2008-07-22)
 * (Windows) Added to the file associations section the playlist 
   extensions.
 
(2008-07-17)
 * Try to use alsa as default audio driver in linux.

(2008-07-16)
 * Fix: remember the last directory used when adding files to the 
   playlist. Fixes bug #2019139.

(2008-07-13)
 * Another fix for Qt 4.4. Dragging files to the playlist didn't work.
 * Added the Slovenian translation, by Janez Troha <janez.troha@gmail.com>.
 * Fix: mplayer crashed when trying to play audio files if the option to
   run mplayer in its own window was enabled. Now I hope this is fixed.
 
(2008-07-12)
 * Added a new option for command line: -sub. It specifies a subtitle file
   to be loaded for the first video. It requires at least a file to play
   in the command line, otherwise the option will be ignored.
 * Added a new option "Play files from start" in the playlist preferences.
   If enabled (the default) files in the playlist will begin to play from
   the beginning, otherwise they'll play from the position they were last
   time you played them.

(2008-07-09)
 * Now the initialization of the audio track should work ok again, even if
   the option "Fast audio track switching" is set to "No".

(2008-07-08)
 * Added a context menu in the find subtitles dialog, with two options:
   "download" and "copy link to clipboard".

(2008-07-05)
 * Some changes in the single instance options. Now the single instance is
   enabled by default. There's also the possibility to let the application
   to choose automatically the port to be used, which is also the default
   option.

(2008-07-03)
 * Temporary fix for the problem created yesterday: now when a file starts to 
   play, the audio track will be changed using the mplayer slave command even 
   if the option "Fast audio track switching" is set to "No". This makes that 
   the selection of the initial audio track works ok with avi and mkv files 
   for example, but it won't work yet with ogm for instance. 
 * The floating control in the default gui saves/restores its actions to 
   the config file, so now it can be customized by the user.
 * The seeking mini buttons come back. Now by default, the default gui
   will show only two seeking buttons. Keeping them pressed for a moment
   will pop up the rest of the buttons. You may need to delete the 
   [default_gui] section in the config file (or at least the options which
   start with "actions\...") to see them. If you don't like these buttons
   you can delete them from the config file and add the old ones.

(2008-07-02)
 * The SSA/ASS library is NOT enabled by default. It seems there are memory 
   leaks in libass...
 * Fixed a crash which may happen if the option "Fast audio track switching" 
   was set to "No". As a side effect, now if that option is set to "No" the 
   preferred audio language (set in the preferences), won't be selected on
   startup, the file will just start to play with the default audio track.

(2008-07-01)
 * The minimum size of the video window is now 1x1 instead of 0x0. Fixes a
   crash that may happen under certain circumstances.

(2008-06-26)
 * Now everything in the audio equalizer should work. The "apply" button
   restarts the file and passes the equalizer settings using the "equalizer"
   filter in mplayer, so it allows to use the dialog with non-patched mplayer.
   The "set as default values" just saves the current settings in the config
   file and they will be used when playing new files.

(2008-06-25)
 * Added an audio equalizer. Not finished yet!
   In order to work you need to patch mplayer with this patch:
   http://smplayer.svn.sourceforge.net/viewvc/*checkout*/smplayer/mplayer-builds/patches/patcheq.diff
   Otherwise it won't do anything (lie, if you restart the file the values in
   the equalizer will take effect)
   Missing or not working things: the "set as default values" button doesn't
   work, an "apply" button is missing (this button will set the values 
   restarting mplayer, so it will work with a normal non-patched mplayer).

(2008-06-24)
 * Removed the action dock_playlist. It was causing a lot of troubles, even
   crashes.
 * New option for the config file: hide_video_window_on_audio_files. If
   true (the default) the video window will be hidden when playing audio
   files. Otherwise the video window won't be hidden and it will show the
   smplayer logo instead. 
   It's not recommended to set this option to false in linux.

(2008-06-21)
 * Created a huge list of languages (with the ISO 639-1 codes) and make
   the "find subtitles" dialog to use it.
 * The Qt version is saved along with the toolbars state. This should avoid
   problems when upgrading Qt, as the toolbars info won't be used if the
   Qt version doesn't match.
 * Added new action: dock_playlist.

(2008-06-19)
 * Some fixes in the find subtitles dialog: 
    - the dialog is retranslated
    - the table is sorted (sometimes, still doesn't work well, at least with
      Qt 4.2)
    - it won't download the subtitle info again if the filenane didn't changed
 * The floating control will be hidden if the mouse is not over the widget
   within 5 seconds.

(2008-06-18)
 * The option "Subtitles->Find subtitles on the web" now displays a dialog
   which retrieves the info about the available subtitles from 
   opensubtitles.org. To download a subtitle just double click on it or
   click the "Download" button.
   Known issues: the table is not sorted after adding new data.
   To filter a language you have to type the ISO 639-1 code in the language
   box. So to display only the Spanish subtitles you have to type "es", for
   German "de" and so on. In the future there'll be a combobox to select
   the language.

(2008-06-13)
 * Now the SSA/ASS library is enabled by default.
 * gl:yuv=2:force-pbo:ati-hack will be the default under Windows Vista 
   (untested).

(2008-06-12)
 * Updated the Hungarian translation, by CyberDragon <cyberdragon777@gmail.com>

(2008-06-11)
 * Now the default value for option change_equalizer_on_startup is true
   (users which run the previous svn revision will have to make the change
   manually) but the brightness, contrast... won't be changed on startup 
   if the value is 0.
 * Also be sure that the equalizer dialog is updated just after a file begins
   to play.
 * Check that the values for brightness, contrast, saturation. hue and gamma
   have actually changed before updating them. 
 * Renamed change_equalizer_on_startup to change_video_equalizer_on_startup.

(2008-06-10)
 * Renamed the config option "dont_use_eq_options" to 
   "change_equalizer_on_startup" and set it to false as default because 
   it seems some people are having problems with high brightness and contrast.

(2008-06-09)
 * Added the opensubtitles patch by Kamil Dziobek <turbos11@gmail.com> (with
   some modifications). This adds an option in the subtitles menu which 
   allows you to download subtitles for the file you're playing, and another
   one to upload subtitles.

(2008-06-07)
 * Manually removed "<pixmapfunction>qPixmapFromMimeSource</pixmapfunction>"
   from several *.ui files because otherwise the files generated by uic
   would depend on Q3Support.

(2008-06-05)
 * Now if we've got info about the size and aspect ratio (the file has been 
   played before) the main window will be resized before starting to play 
   the file.

(2008-06-04)
 * When entering in fullscreen, the playlist is hidden only if it's in the
   same screen as the main window. (Untested!)

(2008-06-03)
 * Added the possibility to compile smplayer in Windows without the
   file associations code, so it doesn't write anything in the 
   registry (important for a portable app). Just comment the line
   DEFINES += USE_ASSOCIATIONS in smplayer.pro.
 * Another fix for Qt 4.4. The language toolbar wasn't restored
   properly.
 * More work to make smplayer a better portable application (although most of
   the following work on linux, it's intended for windows). If PORTABLE_APP 
   is defined (it can be done with 'qmake DEFINES+=PORTABLE_APP') then:
    - it will use by default the application directory for the ini files
    - it won't try to create the smplayer home directory or the screenshot
      directory ($HOME/.smplayer and $HOME/.smplayer/screenshots)
    - by default the path for the screenshots is empty
    - under windows the associations code won't be compiled, so smplayer won't
      write anything in the windows registry.
   
(2008-06-02)
 * Now the controlbar and floating control in the minigui can be 
   configured too.
 * Some minor (and internal) changes:
    - the playlist doesn't save its size as that is already done by 
      QMainWindow::saveState()
    - sizes and positions are saved to the config file as QSize's and
      QPoint's

(2008-06-01)
 * (Bugfix) The "modify shortcut" dialog was under the other windows if
   the option Video -> Stay on top was enabled.
 * Started to write the code to make the toolbars configurable:
    - the list of actions in a widget can be saved to the config file
    - a widget can be populated with the actions read from the config file 
    - as a test the toolbar1, controlwidget and controlwidget_mini in 
      defaultgui are saved to the config and loaded on startup

(2008-05-30)
 * The maximum port for the single instance is 65535, instead of 99999.
 * Added a new option in guiconfig.h, USE_MINIMUMSIZE. If set to 1
   the main window will not be smaller than the control widget size hint.


[b]Version 0.6.1[/b]:

(2008-05-26)
 * The command line option -mini has been renamed to -minigui (-mini still 
   works)
 * Added a new command line option -defaultgui, which selects the default
   gui.
 * Added an option in Preferences->Interface to select the preferred GUI.
   This option is not applied immediately, you need to close smplayer and
   open it again.
   Note: the command line options -minigui and -defaultgui have preference 
   over this option.

(2008-05-25)
 * Some internal changes: baseguiplus saves some variables to the config
   file so it can exit from compact mode properly even if made between
   different sessions. Also the code to resize the main window when
   entering/exiting compact mode has been moved from defaultgui to
   baseguiplus. BTW, compact mode is broken if the playlist is embedded
   in the main window.
 * Maybe the compact mode with the playlist embedded in the main window 
   is fixed now.

(2008-05-24)
 * Added "gl:yuv=2:force-pbo:ati-hack" to the list of video drivers. This
   seems to be very fast. Requires mplayer svn r26853 (from 2008-05-22).
 * Now the video driver by default on Windows Vista is gl, instead of
   directx. (Untested)

(2008-05-22)
 * Fix: changing the demuxer should not lose the audio or subtitles (but
   the selected tracks after restart may be different).

(2008-05-19)
 * Fix: zoom didn't work well with directx.
 * Added the Catalan translation, by Roger Calvó <rcalvoi@yahoo.com>.

(2008-05-17)
 * Now the maximum port for the single instance is 99999 instead of 10000.

(2008-05-15)
 * Now the "latest_dir" is updated too when opening a file from command line.
   Also the "latest_dir" now defaults to the home directory instead of the
   smplayer working directory.
 * Now when switching to compact mode, the main window is resized instead of
   leaving black borders where the widgets were placed. This resize will only 
   be done if the autoresize option is set to "whenever it's needed".


[b]Version 0.6.0[/b]:

(2008-05-12)
 * Improved the file smplayer.spec and added the script create_rpm.sh, both
   contributed by iSage.

(2008-05-08)
 * Added m2t to the list of extensions for video.

(2008-05-05)
 * The option Play->Repeat is now always enabled, so it can be activated
   before playing anything.

(2008-05-03)
 * Now, when browsing the recents menu, the statusbar shows the full path of 
   the selected item.

(2008-04-30)
 * Now the video equalizer displays the values of each control.

(2008-04-28)
 * Hopefully fixed the problem of the ghost playlist, visible for a moment
   on startup.
 * Updated the Portuguese (pt_PT) translation, made by Sérgio Marques 
   <contatica@netcabo.pt>
 * (Linux) Added the file smplayer_enqueue.desktop which allows to add 
   the selected files in the file browser to the playlist.

(2008-04-27)
 * Now the time (and volume) sliders should work better.

(2008-04-26)
 * Now the default filter for Open->File is "multimedia", it shows video,
   audio and playlist files.
 * Added an option in the playlist's preferences to save a copy of the
   contents of the playlist to the config file.
 * (Bugfix) Don't allow to enter in compact mode when in fullscreen. 
   Fixes bug #1951297.

(2008-04-25)
 * Added a new widget (a line edit + a button) which allows the user to
   select a file or directory. The preferences dialog now uses this widget.

(2008-04-23)
 * Fix loading idx/sub subtitles. The filename was incorrectly passed to 
   mplayer if it contained several dots. 

(2008-04-22)
 * Now smplayer can detect if mplayer has been patched with the 
   startupvol patch. Autodetection will only succeed if mplayer has been
   patched with this 2nd version of the patch: 
   http://smplayer.svn.sourceforge.net/viewvc/*checkout*/smplayer/mplayer-builds/patches/startupvol-2.diff
 * Now the option "Change volume just before playing" in 
   Preferences->General->Audio can be set to "Auto".

(2008-04-20)
 * Added a preferences dialog for the playlist.

(2008-04-19)
 * Don't get info about the files added automatically by the GUI to the 
   playlist (usually it's the file to play, so it's a waste of time).
 * Added possibility to add directories recursively to the playlist. Right
   now it's necessary to edit smplayer.ini and set recursive_add_directory to
   true (inside [playlist] section). Soon there'll be an option for this 
   in the GUI.

(2008-04-18)
 * (Windows) Applied a patch by "hackykid" to fix a link error when compiling with
   Visual Studio.
   http://sourceforge.net/tracker/index.php?func=detail&aid=1924296&group_id=185512&atid=913575

(2008-04-17)
 * Updated the Italian and Polish translations.
 * (Bugfix) If the option to start videos in fullscreen is activated, now
   fullscreen mode will be entered only when the video is opened, and not for
   instance when you unpause the video.
 * (Windows) Added the exit fullscreen and close actions to the floating
   control widget, so their key shortcuts can work in the floating control.

(2008-04-16)
 * Now the mouse right button can be configured. By default it will
   show the context menu. The context menu can also be assigned to another
   button (or key).
 * Added the open directory action to the systray menu. Fixes bug #1943895.


[b]Version 0.6.0rc4[/b]:

(2008-04-13)
 * Added the action next_osd to the list of actions available for mouse 
   buttons.

(2008-04-12)
 * Now the possibility to get info (length, name) about the files added to
   the playlist can be disabled. It's not in the preferences dialog as usual
   but in the playlist itself, as an option in the "add" menu.
 * Added the rewind and forward actions to the list of actions available for
   mouse buttons.

(2008-04-11)
 * Added support for the mouse XButton1 and XButton2. This is untested as
   my mouse doesn't have those buttons.

(2008-04-10)
 * Added in Preferences->General->Video an option to select the default
   deinterlacer. It will be used for new videos opened.

(2008-04-07)
 * Now when a file is added to the playlist, it will get some info about it.
   This allows to display the length and name (if available) in the list.
   Very useful for mp3 and similar.

(2008-04-06)
 * If a file with the same name of the file to play but with extension 
   .edl (or .EDL) exists then smplayer will load it automatically (this can
   be disabled by setting use_edl_files in smplayer.ini to false).
   An edl file allows to skip or mute parts of the video.
   Info about edl files: http://www.mplayerhq.hu/DOCS/HTML/en/edl.html

(2008-04-02)
 * (Bugfix) When using the command line options -send-action or -actions, some
   actions like aspect_4:3 didn't work.

(2008-04-01)
 * Don't check if the items in the recent's menu are local files, as it can
   take a long time if they are not.
 * Compiled with MINI_ARROW_BUTTONS = 0 by default (so reverting changes in
   r1038-r1039).

(2008-03-29)
 * Fix: DVDs started to play at chapter #2 if using mplayer 1.0rc2 or older.
 * Now the default gui will only show two arrow buttons for seeking 
   (rewind 10 secs and forward 10 secs) but if you keep those buttons 
   pressed for a moment a popup menu will show with the rest of the buttons.


[b]Version 0.6.0rc3[/b]:

(2008-03-21)
 * Try to use xv (or directx in windows) if the video driver is not set.
 * Added Play->Jump to, which will show a dialog where you can enter the
   position (time) to jump.

(2008-03-20)
 * Fix: selection of chapters should work again with newer versions of mplayer.
 * Removed the option "Fast seek to chapters in dvds" in 
   Preferences->Performance. Now it will use the fast method if not using
   a cache, and the slow one otherwise (the latter won't even work in newer 
   versions of mplayer, so it's recommended not to use a cache for dvds).
 * Added rm and swf to the list of extensions.

(2008-03-17)
 * Added new menu Video->Rotate, with options to rotate the image.
 * Show the language -if available- along with the name in the audio menu
   (it may work too in the title menu).

(2008-03-14)
 * Now a dialog appears too if mplayer fails to start or crashes.
 * Add the scale filter if using the soft equalizer and gl/gl2, to avoid
   mplayer to complain.
 * The subtitle actions are enabled now if the close caption option is checked.

(2008-03-13)
 * Added a new dialog to report the mplayer errors.

(2008-03-11)
 * Displays a warning dialog if mplayer exits with an exit code 
   different to 0. 

(2008-03-10)
 * (Internal change) Use -monitorpixelaspect instead of -monitoraspect.

(2008-03-08)
 * Use -colorkey for directx only.

(2008-03-06)
 * Added more help for the subtitle, interface and advanced sections in 
   preferences.

(2008-03-05)
 * Ignore action restore/hide if system tray icon is not visible. Fixes
   bug #1908229.
 * Added option in config.h to disable the use of the colorkey.

(2008-03-03)
 * Now the shortcut editor should recognize some of the multimedia keys.
 * (By user request) Added an action to reset the video equalizer.
 * Remove starting and ending whitespaces in mp3 tags. Patch by 
   Tanguy Krotoff <tkrotoff@gmail.com>

(2008-03-02)
 * Bugfix: the keys PgDown and PgUp were incorrectly identified as PageDown
   and PageUp by shortcutgetter.

(2008-03-01)
 * Try to keep fullscreen mode if running mplayer in its own window when
   opening a new file.
 * Added flac to the list of audio extensions. Patch by 
   Tanguy Krotoff <tkrotoff@gmail.com>
 * Now changing the application stylesheet can be disabled setting
   ALLOW_CHANGE_STYLESHEET to 0 in config.h

(2008-02-29)
 * Added the Macedonian translation by Marko Doda <mark0d0da@gmail.com>
 * Added the Basque translation by Piarres Beobide <pi@beobide.net>

(2008-02-26)
 * Add the hue filter if the software equalizer is enabled. This allows to
   change the hue in the video equalizer.
 * Allow the software equalizer to be used with gl/gl2. Note: it won't work
   with gl or gl2 but it will work with gl:yuv=3 and gl2:yuv=3.

(2008-02-25)
 * Bugfix: mark the right current item in the playlist if deleted an item
   above it. Patch by corentin1234.

(2008-02-23)
 * Added two new options in the Subtitles menu: "Enable closed caption" and
   "Forced subtitles only". These two options are global because they are
   intended for DVDs. None of these two options have been tested!

(2008-02-17)
 * On startup smplayer will create a lock file (smplayer_init.lock in the
   config directory) which will be removed once smplayer has been initialized.
   If another instance finds that file it will wait until the file is deleted
   (or 10 seconds have passed). 
   The reason for this is to give the first instance some time to proper 
   initialize in case several instances were launched at the same time (Windows
   does it if you select to "Enqueue in smplayer" multiple files).

(2008-02-16)
 * New experimental code. New class "SMPlayer" which initializes the global
   objects and can parse the arguments. There's also a new main (main2.cpp).
   It's possible this could have broken something!


[b]Version 0.6.0rc2[/b]:

(2008-02-11)
 * Added gl:yuv=3 and gl2:yuv=3 to the list of video drivers.

(2008-02-09)
 * (Windows) Screensaver: set the timeout for lowpower, poweroff and 
   screensaver before playing, and restore on stop.
 
(2008-02-08)
 * (Windows) Bugfix: don't try to convert to 8.3 short names files that
   don't exist.
 
(2008-02-07)
 * The script create_deb should compile and create the package much faster.
 * Bugfix: if the mplayer binary configured in preferences is just "mplayer" 
   and there's a directory or file named mplayer in the smplayer working
   directory, smplayer would try to call that file. Now it won't call it
   if it's a regular file or directory, but WARNING if it's a binary it
   still will call it (this is because it tries to convert the path in an
   absolute path).
 * Some fixes so smplayer can work ok with a relative mplayer path.

(2008-02-06)
 * Now selection of chapters in mkv files should work properly again if
   using mplayer >= r25391.

(2008-02-05)
 * (Windows) Bugfix: the buttons to select the font color in 
   Preferences->Subtitles->SSA/ASS didn't show the color.
 * Removed Yurkovsky Andrey from the list of translators, as requested 
   by himself.

(2008-02-04)
 * The option Play->Repeat should work better now. Also if using mplayer
   >= r23747 toggling the option won't require to restart mplayer (uses
   the loop slave command instead).

(2008-02-03)
 * Try to remember if the window was maximized after exiting from fullscreen.
 * Added workaround for the problem of subtitles which don't disappear when
   using the "Add black borders" filter.


[b]Version 0.6.0rc1[/b]:

(2008-01-30)
 * Added the Korean translation, by Heesu Yoon <imsu30@gmail.com>

(2008-01-29)
 * If a version is not recognized, assume it's an old version instead of new.
   This way at least the file will play.
 * Now smplayer should recognize the mplayer version from ubuntu packages
   (MPlayer 2:1.0~rc1-0ubuntu13.1 (C) 2000-2006 MPlayer Team).
 * Changed some defaults in preferences: framedrop will be enabled, and
   subtitles on screenshots disabled.

(2008-01-28)
 * Now the user can tell smplayer what version of mplayer is using, with the
   config option mplayer_forced_version. Anyway in the future there'll be
   a dialog to configure this.
 * Renamed mplayer_forced_version to mplayer_user_supplied_version. That
   version will be used only if smplayer can't parse the mplayer version from
   the mplayer output.
 * Now if the mplayer version can't be parsed a dialog will pop up asking the
   user for the mplayer version.

(2008-01-26)
 * Now it's possible to zoom out on the video image.
 * Cosmetic change: now the mouse icon in Preferences->Interface->Seeking
   has the same size as the icons above.
 * Moved to old-txt some outdated txt files.
 * Updated Release_notes.txt, with the changes since version 0.5.62.
 * Now under Windows, the main window will never start hidden even if the 
   system tray icon is shown. This should fix bug #1851817.
   On linux the behavior didn't change, as this is the way other applications
   work.

(2008-01-25)
 * Updated the FAQ.
 * If changing the size of the normal (no -ass) subtitles requires to
   restart mplayer (because using an old version or configured this way)
   the size will increase or decrease in steps of 1, instead of 0.2, to
   make the resize faster.
 * Added an option in Preferences->Subtitles to set the default font scale
   for SSA/ASS subtitles. This has required to redesigned the section.

(2008-01-24)
 * Using now the sub_scale slave command for -ass subtitles. This allows to
   change the font size on runtime. Requires MPlayer r25843.
 * Now the font scale is stored in two independent variables, one if not
   using libass and another if using it. This is because the same value
   produces very different font sizes. A value of 7 can display subtitles
   with a normal size if not using libass, but if libass is enabled the 
   font will be  huge.
   Important: the Scale option in Preferences->Subtitles, which sets the
   initial font scale for new videos, will now be only used if libass is 
   disabled.
   It has been added a similar option for libass, but currently it can only 
   be changed by editing smplayer.ini (initial_sub_scale_ass, default value 1).

(2008-01-22)
 * Now the delay to update the video while dragging the time slider can
   be configured in smplayer.ini, option time_slider_drag_delay. The
   value by default is 100 (milliseconds).
 * The scale field in Preferences->Subtitles now accepts doubles.
   Fixes bug #1876114.

(2008-01-21)
 * Added some new icons to the default theme taken from nuvoX 
   (http://www.kde-look.org/content/show.php/nuvoX?content=38467)

(2008-01-18)
 * "Help->Command line options" now shows an html text, so it looks better.

(2008-01-17)
 * Added "Help->Command line options", which shows a text with help about
   the available command line options. It displays the same as smplayer -h
   but it will useful for Windows users, as smplayer -h doesn't work for 
   them.

(2008-01-16)
 * Now "Stay on top" is made properly, not cleaning the other flags.
 * The Makefile installs the files in docs/ru
 * Fixed a bug: Help->FAQ displayed the FAQ in the locale language and not
   in the language set in smplayer.
 * Now all the gpl.html in docs/ should be in UTF-8.
 * Converted docs/es/gpl.html and docs/de/gpl.html to UTF-8.
 * Added docs/ru/gpl.html.

(2008-01-15)
 * Now the colorkey is passed properly to mplayer.
 * Added a new option: Options->Visualize motion vectors (-lavdopts vismv=7).

(2008-01-14)
 * Added gl:yuv=3:lscale=1 in the video output combo in preferences.

(2008-01-10)
 * Added an icon in the Instances tab so it doesn't look so empty 
   (instance1.png and instance2.png).
 * Moved the seeking options in the Interface section to another tab.

(2008-01-09)
 * Added the possibility to update the position of video while
   dragging the time slider (instead of updating it only when the
   slider has been released). Currently it's only possible to
   enable this option by changing the option update_while_seeking in
   smplayer.ini. There'll be an option in preferences soon.
 * Added an option in Preferences->Interface to configure that option.

(2008-01-08)
 * Added an icon for Help->FAQ (faq.png).
 * Added an icon for Help->About Qt. The icon has been taken from the Qt
   sources (qmessagebox.cpp). This icon can't be changed by any icon theme
   (I don't think Trolltech would like it).

(2008-01-06)
 * The subtitles size will increase or decrease in steps of 1 instead of
   0.2 if using SSA/ASS lib (it requires restart mplayer, which is slower).

(2008-01-04)
 * Fixed a crash which may happen if trying to select a subtitle but
   the subtitle list was empty.

(2008-01-03)
 * Now the GPL in English is in html too. From now on, all documents
   that smplayer have to load should be in html. This is because the
   debian packager compress all txt files, and so smplayer won't able
   to find them.
 * The file FAQ.txt has been moved to docs/en and converted to html.
 * New option Help->FAQ, which will display the FAQ in your web browser.

(2008-01-02)
 * Added a function to get the path of a translatable document. The 
   translatable documents should be (in the sources) in the docs subdir.
 * Now the GPL file is loaded from that path.
 * Added the Spanish and German translation of the GPL v2.

(2007-12-31)
 * Now the QTextBrowsers really should have the same background color as the
   near widgets.
 * Now the about dialog can show the version number of mplayer.
 * The about dialog displays the GPL in the license tab. Temporary the file
   with the GPL text is embedded in the smplayer executable. In the future it
   will be read from documentation directory.

(2007-12-30)
 * Replaced the QLabels and QTextEdits in the about dialog with QTextBrowsers,
   and changed the background colors.

(2007-12-29)
 * Split the section "Video and audio" in Preferences->General into 2 sections.
 * Added 3 icons in the about dialog (contributors.png, translators.png and 
   license.png), taken from Crystal Clear.
 * (By user request) Added "normal speed" to the list of actions available for
   mouse buttons.

(2007-12-27)
 * Added a new option in Preferences->General->Video and audio: change volume
   just before playing. This should fix the problem of the loud volume on
   startup. It sets the volume using the commandline option -volume, but
   WARNING: mplayer doesn't have such option, you need a patched mplayer!

(2007-12-26)
 * New about dialog, with some tabs.

(2007-12-24)
 * (Windows) Preferences->Drives shows only cdrom devices.

(2007-12-22)
 * (Windows) Now idx/sub subtitles should work also when using short names.
   So I think this stuff is finished.
 * Added the Finnish translation, sent by peeaivo <peeaivo@gmail.com>
 * For the option to skip the loop filter on HD videos: now a video is
   considered HD if its height (not width!) is equal or greater than 
   the value specified in the HD_height option in smplayer.ini (720 by default).
 * Updated the help for the loop filter option in Preferences->Performance.

(2007-12-21)
 * (Windows) Now the short names are used too for subtitle files (except
   idx/sub) and external audio files.
 * Added a manpage for smplayer, created by Matvey Kozhev <sikon@lucidfox.org>
 * (By user request) The skip loop filter in Preferences->Performance has 
   changed. Now it's called "loop filter" and the possible values are:
   "Enabled", "Skip (always)" and "Skip only on HD videos". If the last option
   is selected, the loop filter will be skipped if the codec for the video is
   "ffh264" and the width of the video is 1024 or greater (this value is
   subject to change, possibly in the future it could be configured by the 
   user).
 * Support for colored console output is disabled under Windows. I don't 
   know any build compiled with that option.

(2007-12-20)
 * (Windows) Added a new option for the config file: use_short_pathnames.
   If set to true, smplayer will pass to mplayer the short filename(8+3)
   to mplayer. This allows to play files which contains characters outside 
   the local codepage (mplayer bug). Currently this only works with the file
   to play, not with subtitles filenames or other filenames that smplayer 
   might pass to mplayer.
   To test: I don't know if this would break compatibility with Win98.
 * (Windows) Added an option in Preferences->Advanced to enable easily the
   option mentioned above.
 * Added patch by profoX to add support for the mplayer output when compiled
   with -enable-color-console.
 
(2007-12-18)
 * Moved the letterbox option to the filters submenu and renamed to 
   "Add black borders".
 * Added the new option Video->Filters->Software scaling. Makes mplayer to
   scale the video up to the width of your screen. This is slow, you'll need
   a really fast computer.

(2007-12-17)
 * Updated the Russian translation, and added regular expressions 
   (Advanced->MPlayer language) for Russian, sent by wiselord1983@gmail.com
 * Added patch by Florin Braghis <florin@libertv.ro> to support Win 98.
   Modified a little bit by me to allow it to compile under linux (for testing).
 * Added a new option: Video->Letterbox. It adds a black border around the
   video, according to the aspect ratio of the monitor.
 * Simplified the aspect ratio menu. The options "4:3 Letterbox", 
   "16:9 Letterbox", "4:3 Panscan", "4:3 to 16:9" have been deleted. The first
   two are not necessary anymore because of the new Video->Letterbox option, 
   and the last two I think they are not necessary because smplayer can 
   simulate pan&scan since some time ago. Anyway they could be added again 
   if someone really needs them.

(2007-12-14)
 * Now smplayer stores the version number of mplayer in the config file and
   can use it to know if that version provides some feature (like the 
   scaletempo filter) before running it. This makes possible to add
   "autodetection" too for options that should be passed on command line.
 * Now the option "High speed playback without altering pitch" (scaletempo) on 
   Preferences->General has 3 possible values: auto, yes and no. Auto 
   (the default) will use the scaletempo filter only if the mplayer you're
   using has that filter. "Yes" or "no" will force to use it or not, no matter
   of the mplayer version number.

(2007-12-13)
 * (Windows) Added patch by Florin Braghis <florin@libertv.ro> to improve the 
   file associations code.
   See http://smplayer.sourceforge.net/forums/viewtopic.php?pid=470#p470
 * (By user request) Added the possibility to configure any of the mouse
   buttons to show the equalizer.
 * (Windows) Some clean up in the file associations code. Also made some
   changes to allow to compile in linux (for testing, file associations
   of course won't work, but I can see the dialog, translations and so on).

(2007-12-10)
 * (Internal change) Added mplayerversion.h and mplayerversion.cpp which
   parses the mplayer version from the output of mplayer. Inforeader can also
   get the mplayer version.
 * Now the size of OSD/subtitle text increases/decreases in steps of 0.20.

(2007-12-08)
 * Added a new option for the config file: use_volume_option. If set to 
   true, smplayer will set the initial volume using the command line option
   -volume in mplayer, so that should avoid that the volume is too loud on
   startup. But... mplayer doesn't have a -volume option yet, you have to
   patch it:
   http://lists.mplayerhq.hu/pipermail/mplayer-users/2007-December/070500.html

(2007-12-05)
 * (By user request) Added a new option for the config file: 
   auto_add_to_playlist. If true, new opened files are added automatically to
   the playlist (this is the default). Otherwise the playlist won't be 
   modified unless it's strictly necessary (play a dvd, vcd, audiocd, or
   several files are opened at the same time).

(2007-12-04)
 * When a file has stopped, the screensaver won't be allowed to run until
   an additional minute has passed, so it there are more files in the
   playlist they have time to start. A minute should be enough even for
   internet streams.

(2007-11-29)
 * Now the cache setting is independent for each type of media. That means
   that you can disable cache for local files (faster startup) while keeping
   a cache for internet streams.
   The following options for the config file have been added: cache_for_files,
   cache_for_streams, cache_for_dvds, cache_for_audiocds and cache_for_vcds
   (the last two untested).
   The section Performance in the preferences dialog has been changed too,
   adding options for cache for files, cache for streams and cache for dvds.
   Note: it's not recommended to set a cache for DVDs, seeking might not work
   properly.

(2007-11-28)
 * Added a new experimental code to disable the screensaver (and monitor
   turning off) on Windows.
 * Deleted the old (ancient) code for subtitle management.
 
(2007-11-27)
 * If mplayer is compiled with gui support, it seems pause may not work 
   properly. I think this is fixed now, by changing the PAUSE command in
   input.conf. Should fix bug #1839110.
 * Now the option Open->VCD is enabled under Windows.

(2007-11-25)
 * A very important changed has been added in this revision. SMPlayer is
   the first mplayer frontend in the world (I guess) which uses the new 
   slave commands sub_vob, sub_demux and sub_file (added a few hours ago in the
   mplayer svn). These commands, at last, allow to accurately select the 
   subtitle track. Now you can mix without problems subtitles from different 
   sources: embedded subtitles (like in mkv or mp4 or dvds) and external 
   subtitles (srt, sub, idx/sub...), and now subtitle selection in mp4 files
   should work again (fixes bug #1806153).
   This possibility requires mplayer svn r25158 or above.
   The following option for the config file has been added: 
   use_new_sub_commands. The possible values are: 0 (false), 1 (true), 
   -1 (autodetect). The default value is -1. Autodetection will use the new
   commands or the old command according to the mplayer version.

(2007-11-24)
 * Added Polish texts for the comboboxes in Preferences->Advanced->MPlayer
   language, sent by jarek. 

(2007-11-21)
 * Added support for playlists in format pls. Now smplayer can open and
   save pls files (only local files). 
   Not much sure if QSettings produce a file readable by other applications 
   (tested with xmms and it seems it works ok).

(2007-11-20)
 * (Internal change) Added a new list in extensions: multimedia, which
   includes both video and audio extensions.
 * Now "Add directory" in playlist only adds video and audio files (not
   subtitles files, images or any other stuff you may have there).

(2007-11-19)
 * Added patch by redxii, which provide a new icon for file associations
   under Windows.

   
[b]Version 0.5.62[/b]:

(2007-11-16)
 * Added a new option in Preferences->General->Audio that allows to change
   the playback speed without altering the pitch (requires at least 
   MPlayer dev-SVN-r24924).
 * Released version 0.5.62. Why not?

(2007-11-15)
 * Fixed a bug in the new code in defaultgui: if you close the program in
   compact mode, then later when quiting compact mode the toolbars don't 
   appear.
 * (Internal change) Now lists for video, audio, subtitles and playlists
   extensions are defined in extensions.h/extensions.cpp.
 * Added the audio types to the associations section in preferences.

(2007-11-13)
 * Simplified the code of defaultgui, using the actions provided by
   the toolbars instead of creating new ones, and removing some old
   code.

(2007-11-12)
 * (Fix) Now changing the volume when the file is paused really keeps
   pause. This is done by not changing the volume immediately but
   scheduling the volume change just after the file plays again.
 * The position and size calculations of the floating widget is now made
   in the floatingwidget code instead of the gui code.
 * Now the floating control shows with an animation! (It can be disabled in 
   the config file).
 * (By user request) Added a new function for the mouse wheel: change playback
   speed.
 
(2007-11-10)
 * (Experimental) New floating control (it looks like the old one) by using the
   new floatingwidget. This time it has an embedded toolbar, so actions are 
   added to it (can't actions be added directly to widgets?). Previously every 
   button and widget had to be created individually (making connections and 
   so on), duplicating code. Now it's a lot easier.
 * Started to write the "mini gui". This is an optional gui, with very few
   buttons: it doesn't have a toolbar, and the control bar only have a 
   play/pause, stop and mute buttons, and the time slider. It also provides
   a floating control with less buttons.
   To enable it: smplayer -mini
   This gui is in fact intended to be an example on how to create alternative
   gui's for smplayer. 

(2007-11-09)
 * Added options in Preferences->Advanced to save automatically the mplayer
   log every time a new file is played. Intended for external applications.
   Most of the code developed by iSage.

(2007-11-07)
 * More work on the new code for time and volume sliders.

(2007-11-06)
 * (Experimental internal change) Created a wrapper for the time and volume
   slider using QWidgetAction. Until now whenever a time or volume slider were
   needed (there are 3 time sliders and 3 volume sliders) each widget had to
   be created, set its properties, make connections...  individually = a lot 
   of duplicated code. Now only one object has to be created (one for the time
   slider, another one for the volume slider) and then it can be inserted in 
   any widget that accepts QAction's, as many times as necessary. 
   Less code and easier.

(2007-11-05)
 * Removed option H.264->Skip frames, as it affects non H.264 videos too.
   The option in the config file is still available.
 * Added again the "Fast audio track switching" in Preferences->Performance,
   with a combo to select the 3 possible values: Auto, Yes and No.
   There's included help for this option, so I won't explain here.
 * (By user request) Added a new option for the mouse wheel combo in 
   Preferences->Keyboard & mouse: "No function". If selected the mouse
   wheel will do nothing.

(2007-11-03)
 * Adapted the code for patch select_sub_by_source_property2.diff.

(2007-11-02)
 * Added the Greek translation sent by my80s <wamy80s@gmail.com>.

(2007-11-01)
 * Fixed a bug which prevented to select the first (or preferred) subtitle
   when playing a new video.
 * Now mplayerprocess can identify the mplayer version (or svn revision).
 * Added autodetection possibility for changing the font size of subtitles.
   Now the values for the config option "change_sub_scale_requires_restart"
   are different: -1 means autodetect, 0 = false, 1 = true (by default -1).
   Autodetect will check the mplayer version to know if it's recent enough
   to have the slave command "sub_scale". But autodetect can fail with very
   old versions of mplayer (< 1.0rc1).
 * Renamed "change_sub_scale_requires_restart" to 
   "change_sub_scale_should_restart" to force everyone to use the new default
   value.
 * Added autodetection possibility for changing audio track.
 * The config option "audio_change_requires_restart" has been renamed to
   "audio_change_should_restart". It also accepts three values (-1, 0 and 1)
   being -1 autodetection. The default option is -1, which means that 
   the mplayer version will be checked to know if changing audio track 
   needs to restart the mplayer process or not.
 * The option "Fast audio track switching" in Preferences->Advanced has been
   disabled until a new one (a combobox) which supports the 3 values is added.

(2007-10-31)
 * Added code to test the slave command "select_sub" (see 
   http://lists.mplayerhq.hu/pipermail/mplayer-dev-eng/2007-October/054651.html)
   The code is disabled by default. To activate it set USE_SELECT_SUB to 1 in
   config.h.

(2007-10-30)
 * Changed the layout of some sections in preferences to make them smaller.

(2007-10-29)
 * (Experimental) Enable or disable some actions according to the current state.
   For example, the audio actions should be disabled if the file has no audio
   track.
 * (Fix) The time slider goes to 0 if the user press stop twice.

(2007-10-26)
 * (Internal change) Renamed font_textscale in preferences to initial_sub_scale.
 * Assigned the new actions to change font size to the keys Shift+R (Size-) and
   Shift+T (Size+).
 * (Experimental) Now it's possible to dock the playlist on the left and right
   sides of the main window.

(2007-10-25)
 * Now the -nostop-xscreensaver option is passed to mplayer if the screensaver
   is not to be disabled.
 * Added two new options for the subtitle menu: Size+ and Size-. They change
   the subtitle size. This also changes the meaning of the Scale setting in
   Preferences->Subtitles, it specifies now the default subtitle size for 
   new videos.
   These new options use the new mplayer slave command sub_scale, so changing
   the size won't require to restart mplayer. Unfortunately this doesn't work
   with the SSA/ASS lib, in this case mplayer will be restarted.
   If you use an old version of mplayer which doesn't have the sub_scale 
   slave command, you need to set to "true" the following option in the 
   config file: change_sub_scale_requires_restart

(2007-10-22)
 * Reorganized the layout of Preferences->Subtitles.
 * Preferences->Keyboard and mouse: the list of available actions for mouse
   buttons has been reduced. Only the most useful for mouse buttons are there.
 * Now the middle click button is also configurable. The default action is
   mute.
 * Now the default icon theme is Nuvola.
 * Added two new options in Preferences->Performance for H.264 videos:
   Skip loop filter (the famous "-lavdopts skiploopfilter=all") and
   Skip frames. 
   This may allow "slow" computers (like mine) to play H.264 HD videos, 
   although these options may produce a high quality loss. I prefer to scale
   down a little bit the image (1024x576 or 768x432).

(2007-10-21)
 * Now the aspect ratio settings should work when using the mplayer own window.
   Note: the option "Autodetect" may not work correctly in this case.

(2007-10-19)
 * Updated the Polish translation.
 * Improved layout of section "Preferred audio & subtitles" in 
   Preferences->General.

(2007-10-18)
 * (Internal change) Don't use the pref object in mplayerwindow.
 * Now the first track number for initial_subtitle_track and 
   initial_audio_track (in config) is 1, instead of 0, to make it more natural.
 * Added in Preferences->General options to choose the initial audio &
   subtitle tracks.

(2007-10-17)
 * Added a 2nd patch by LoRd_MuldeR for winfileassoc.cpp.
 * Added a work-around for a problem which prevents to use the arrow keys
   for shortcuts when using Simplified-Chinese.

(2007-10-15)
 * Added clean_windows.bat, which deletes the compilation files.
 * Now the settings for played files will be saved in an independent file:
   ~/.smplayer/smplayer_files.ini (or under the directory set in -ini-path).

(2007-10-14)
 * Added patch by LoRd_MuldeR for prefassociations.cpp and winfileassoc.cpp to
   make the file associations code compatible with SetFileAssoc.exe. It also
   adds an "Enqueue in SMPlayer" for the context menu. Not tested yet.
 * Disable compact mode when the video window is hidden (playing an audio
   file or using the mplayer window). I think this fixes bug #1812952.
 * New option for the config file: allow_video_movement. If true the video
   can be moved (Alt+cursors) even if not using zoom.

(2007-10-13)
 * Updated the Ukrainian translation.

(2007-10-10)
 * Updated the Slovak translation.


[b]Version 0.5.61[/b]:

(2007-10-08)
 * Updated the Polish translation.
 * Added new icon (pref_associations.png).
 * Not compiling prefassociations and winfileassoc in linux, as they won't be
   used, to save some bytes and some secs of compilation.
 * Added *.ape to the list of audio files.

(2007-10-07)
 * (Windows) Added a new section in Preferences to associate file types with
   SMPlayer. Patch by Florin Braghis (florin@libertv.ro).

(2007-10-06)
 * Updated the Polish translation.
 * Added two new options for the configuration file, in section [defaults]:
   initial_audio_track and initial_subtitle_track. When a new file is played
   the values of these options will be used to select the audio and subtitle
   tracks. The first track is 0 (not 1). If the value is wrong, the first
   track will be used. The default value for both options is 0.
   Note: the "Preferred audio and subtitles" in Preferences->General will have
   preference over these options.
 * Added "Arabic (CP1256)" to the list of encodings for subtitles.

(2007-10-05)
 * Now the icon for Windows (smplayer.ico) is bigger (48x48).
 * Updated the Chinese (zh_CN) translation.
 * Commented code to use an intermediate program for mplayer, 'cos it doesn't
   work at all.
 * Added new option for command line: -no-close-at-end, which is the opposite
   of -close-at-end.
 * Added two new options for command line: -fullscreen and -no-fullscreen.
   -fullscreen will play the video in fullscreen mode, while -no-fullscreen
   will play it in window mode. For simplification these options just modify 
   the option "Start videos in fullscreen" in Preferences->General->Video and 
   audio.

(2007-10-04)
 * Added some code to use an intermediate program for mplayer, when using
   Windows 98 and ME. Not tested yet. (Written in linux)

(2007-10-02)
 * Ported to Qt 4 the old code to handle subtitles. It seems we may need it.

(2007-10-01)
 * Added a work-around to try to fix a problem in windows. When using gl/gl2,
   minimize the window, when restored the video is black. The only fix I
   found until now is to restart mplayer.
 * Try to keep the video paused when changing volume. It doesn't work well
   because of limitations of mplayer.
 * Small fix: don't use the screenshot filter if the screenshot directory
   entered by the user is not a real directory.

(2007-09-30)
 * Updated the German translation.
 * Added USE_MULTIPLE_SHORTCUTS in config.h to enable or disable the new
   code for multiple shortcuts (enabled by default).
 * Deleted the actions inc_volume2 and dec_volume2 as now they are not 
   necessary. Their shortcuts are now in increase_volume and decrease_volume.
 * Activated again the new resize code.

(2007-09-28)
 * Now actions can have multiple shortcuts. That means that you can assign
   several keys for the same action. To do this, in the "modify shortcut"
   dialog in the actions editor, disable the "Capture" button and then
   enter the keys names separated by commas. For example: "Space, A" (will
   activate the action when pressed Space or A), "F, Ctrl+F, W" (will 
   activate the action when pressed F or Ctrl+F or W).
   Note 1: the menus (and tooltips) will only show the first shortcut.
   Note 2: the actions editor won't be able to detect conflicts when entered
   shortcuts this way. In case of a conflict (the same key assigned to
   several actions) the key won't work.

(2007-09-27)
 * Updated the Polish translation.

(2007-09-26)
 * Updated the Polish translation.
 * Now if a smplayer.ini is found on the application directory, it will be 
   used to read and save the configuration (unless -ini-path is used).
 * Now -ini-path requires a directory. -ini-path alone will fail and report
   an error.

(2007-09-25)
 * Updated the Hungarian translation.
 * Bugfix: Drag&drop didn't work with *.part files, as the extension
   matched with a subtitle extension (*.rt), so it was tried to be loaded
   as a subtitle.
 * Added help messages for all options in Preferences->General.
 * Updated the Dutch and Polish translations.
 * Added help messages for all options in Preferences->Performance.
 * Added help messages for all options in Preferences->Keyboard and mouse.
 * Updated the Spanish translation.

(2007-09-23)
 * Updated the Romanian translation.
 * Added *.ra to the list of audio files. This fixes bug #1799930.
 * Translated into Spanish the help texts I took from the mplayer manpage
   (in fact I've just took the translations from the Spanish translation of 
   the manpage)

(2007-09-20)
 * Updated the Ukrainian translation.
 * Added new option for command line: -add-to-playlist. If another instance
   of smplayer is found, the specified files will be added to that instance's
   playlist (nothing more will be done). If no other instance is found,
   this option won't do anything, the specified files will be opened as usual
   in a new instance.
 * Removed the option Audio->Channels->Default, as the mplayer default 
   is stereo.

(2007-09-19)
 * Fix: Don't try to connect in main.cpp to another running instance if
   the single instance is disabled! That also means that the command line
   option -send-action won't work in that case.


[b]Version 0.5.60[/b]:
 * Updated the Japanese and French translations.

(2007-09-19)
 * Updated the German translation.
 * (Windows) Maybe a fix to avoid the video to pause when entering in 
   fullscreen and the option "Pause when minimized" is enabled. Not tested
   yet.

(2007-09-18)
 * The playlist will be floating as default.
 * (By user request) Added the option "Pause when minimized" in Preferences->
   General. If checked, the current file will be paused when the main window
   is hidden. When the main window is visible again play will resume.
   Currently it has two problems: if the file was already paused before
   hiding, smplayer won't remember it so when the main window is made visible
   the file will be played. And this setting also affects audio files, which
   maybe is not appropriate.
 * Updated the Polish translation.

(2007-09-16)
 * Replaced the QAction's activated() signal with triggered(). Now smplayer
   runs without warnings in kubuntu with Qt 4.3. And I think now the port to
   Qt 4 has really finished.
   Anyway this is a delicated change, a small mistake and something could stop
   working.
 * Updated the Hungarian translation.

(2007-09-15)
 * The script create_deb.sh changes the debian changelog so the SVN revision 
   number is added to the generated *.deb file.
 * Added new option "Channels by default" in Preferences->General->Audio.
 * BTW, now the initial_* options in preferences are stored in its own
   section "[default]" in the config file.

(2007-09-14)
 * Added a small program (getrev) to extract the SVN revision number. Intended
   for Windows, where the script get_svn_revision.sh doesn't work.
 * Compiling as default the old code to resize the main window, as it has been
   reported that the new one doesn't work on some systems.

(2007-09-13)
 * Updated the Ukrainian, German and Japanese translations.
 * Now version.cpp returns the svn revision number.

[b]Version 0.5.59[/b]
 * Updated the Ukrainian translation.
 * Bugfix: when passing only one file through command line, the file wasn't
   added to the playlist.
 * Added support for right to left languages. The arrow icons are reversed.
   Has the play icon to be reversed too? I've done, but I'm not sure.
   Unfortunately the jump-where-clicked feature in time (and volume) slider 
   doesn't work well with RTL layout, so it's disabled in that case.
   If you want to take a look, run "smplayer -reverse".
 * By user request, added the total time in the floating control.

[b]Version 0.5.58[/b]
 * Updated the Polish, Ukrainian and German translations.
 * I hope the problems in Windows with the new code to resize the main 
   window are fixed now.
 * If the user selects the option to never resize the main window, the
   main window won't be resized when the playlist is docked/undocked.
 * The playlist is enabled again in fullscreen mode, although it will only
   appear floating.
 * Added dvr-ms to the list of extensions that the open dialog will show
   for videos.
 * Added an option in Preferences->Interface to change the default font of
   the application.

[b]Version 0.5.57[/b]
 * Fixes in the window resize code. Now resizes should be much smoother.
   Only if you do something that alter the size of the window, like moving
   a toolbar or docking the playlist, could produce some flickering if
   you later change the video size using any of the options in the menu 
   Video->Size. It also has to fix the problem that the window gets a very 
   small that happens in Windows (although I couldn't test it).
   Of course this is in linux using Qt 4.2.3. Will it work on Windows with
   Qt 4.3.1?
 * Added the action "Toggle double size" in Video->Size.

[b]Version 0.5.56[/b]
 * Updated the French translation.
 * Fixed regular expression in core.cpp to identify the DVD drive letter.
 * Rewrite the code to automatically resize the main window.
 * More fixes in the code to embed the playlist in the main window.
   Now exiting fullscreen works ok, the playlist is restored where it was
   before. There are still some minor issues.
   In my computer (linux, Qt 4.2.3) it works quite well, so I enable again
   the code by default. But... will it work on Windows and Qt 4.3.1?

[b]Version 0.5.55[/b]
 * Updated the Japanese, Polish, Ukrainian, German, Romanian and Dutch 
   translations.
 * The trailing "/" in dvd device paths will be removed again, but not
   if used with drive letters (E:/ for instance). It seems that sometimes
   it's necessary to enter the drive that way in order to play a DVD.
 * Fixed all deprecated warnings. Now smplayer can be compiled without
   QT3_SUPPORT defined. Still using deprecated signals (for instance
   for QActions) but I've got no warnings about them so it'll be
   difficult to fix unless I compile Qt with no Qt3 support at all 
   (I guess).

[b]Version 0.5.54[/b]
 * Updated the German, Ukrainian and Romanian translations.
 * Disabled again the playlist in main window as it has serious problems with
   Qt 4.3.1 (at least in Windows).
 * The trailing "/" in dvd device paths won't be removed. It seems that 
   sometimes it's necessary. But be carefully, Windows users, when playing a
   dvd from a folder in the hard disc the path shouldn't end in "/", that 
   would make mplayer to fail.
 * (By user request) Added "Video->Flip image" which flips the image 
   upside-down. This option will affect the current video only, it's not
   a global option.
 * Now you can move the toolbars wherever you want.
 * Added the option "Create index if needed" in Preferences->Performance.
   The option will pass -idx to mplayer. From mplayer manpage:
   "Rebuilds index of files if no index was found, allowing seeking.
   Useful with broken/incomplete downloads, or badly created files."

[b]Version 0.5.53[/b]
 * Some fixes in the code to add the file to play in the playlist.
 * Some more improvements on the playlist embedded in the main window: 
   now the main window resizes when the playlist is docked/undocked.
   It also remembers its state on startup.
   For first time this code will be compiled as default so other people could
   test it. Anyway there's two known issues: the main window doesn't resize
   properly when playing an audio file (no video window) and the playlist 
   is undocked (maybe another Qt 4.2.3 bug?). And to avoid some problems when
   exiting from fullscreen, the playlist is made floatable when entering in
   fullscreen mode.
   How to use it? The playlist will appear by default docked in the bottom area. 
   You can move it to the top area if you want, or make it floatable
   by dragging it outside the window. You can dock it again by dragging the
   playlist to the bottom or top areas of the main window (there's also
   a button in the title bar for this).
 * Added a help message about the option "It's a playlist" in Open->URL.

[b]Version 0.5.52[/b]
 * Updated the Russian translation.
 * Fix in the open URL dialog: the text should be selected now.
 * Fix for Qt 4.3.1 under Windows: after playing an audio file the video window
   didn't show when playing a video.
 * Experimental: add file to be opened in the playlist (deleting the whole
   playlist first). This prevents that when a file finishes, an item from an
   old playlist starts to play.
 * Added a context menu for when clicking on a toolbar.

[b]Version 0.5.51[/b]
 * Updated the Chinese (zh_CN), French, Romanian, German, Ukrainian and
   Polish translations.
 * By mistake, the new option "close when finish" was enabled by default.
   Now that option will be disabled by default.
 * (Windows) When using Qt 4.3, inforeader fails, it can't read the output
   of mplayer. That means there won't be info about the codecs, demuxers,
   output drivers... I don't know why that happens, but disabling redirection
   of the mplayer output to a temporary file makes it to work again.
   I also realized that QProcess in Qt 4.3 works much better, so it's not
   necessary to send the mplayer output to a temporary file. So now if
   compiled with Qt 4.3 it won't use temporary files, fixing the problem with
   inforeader. Still there's a problem, if compiled with Qt 4.2.3 but using
   the Qt 4.3 dll's, the problem will still be present. Unless...
 * Now inforeader uses QProcess (not myprocess), so now it shouldn't be 
   affected by the problem metioned before.
 * It doesn't try to create the app home directory ($HOME/.smplayer) if 
   -ini-path is used.

[b]Version 0.5.50[/b]
 * Updated the German, Ukrainian and Japanese translations.
 * I hope, fixed a problem with the playlist actions not showing (or
   appearing duplicated) in the actions editor. Now it works ok with Qt 4.2.3 
   but I won't be sure the problem is really fixed until I test it with Qt 4.3.
 * Added the option Subtitles->Use SSA/ASS library, to make easy to enable
   or disable the use of the ass lib without having to open the 
   preferences dialog.
 * Added new option in Preferences->General: Close when finished. If checked,
   the main window will be closed when the current file/playlist finishes.
   Now the command line option -close-at-end just will enable that option.
 * Added shortcuts in the Preferences->Subtitles dialog.

[b]Version 0.5.49[/b]
 * Updated the Polish and Ukrainian translations.
 * Fixed warnings about using deprecated setBackgroundColor.
 * Renamed command line option -action to -send-action. This option will
   try to send the specified action to another running instance of smplayer,
   after that it will quit.
 * Added a new option for command line: -actions. As opposite to -send-action,
   this option will run the actions in the same instance. There could be
   several actions, separated by spaces (and enclosed in quotes). Examples:
   [i]smplayer video.avi -actions fullscreen[/i] (the file video.avi will be
   loaded, and just after that fullscreen mode will be toggled).
   [i]smplayer video.avi -actions "extrastereo_filter on_top"[/i] (will load
   the video, and then the extrastereo filter and the stay on top options 
   will be toggled.
   "Toggled" means: if the option was previosly enabled now it will disabled
   and vice versa. If you want to be sure that an option will be on or off
   you can pass "true" or "false" as parameter:
   [i]smplayer video.avi -actions "on_top true"[/i] (the option Video->Stay on
   top will be checked, no matter the previous state).
   [i]smplayer -actions "show_language_toolbar false"[/i] (will hide the 
   language toolbar)
   Some actions are not checkable, like open_vcd, double_speed... In that case 
   you shouldn't use "true" or "false". But if you do it will be ignored.
   If you make a mistake and enter an action that doesn't exists, you'll get
   a warning (in the logs or in console) and it'll be ignored.

[b]Version 0.5.48[/b]
 * Updated the Russian and Japanese translations.
 * Now smplayer will also look for icon themes in $HOME/.smplayer/themes. 
   In the case a theme is both in the user directory and the system directory
   (usually /usr/share/smplayer/themes) it will look first in the user
   directory. If the icon is not there then it will look in the system
   directory.
 * Under linux the buttons for color selection (Preferences->Subtitles) now
   look better.

[b]Version 0.5.47[/b]
 * Updated the Russian, German, French and Romanian translations.
 * Now the helping messages (for -help) are formated automatically by a 
   function, making easy to translate these messages. I apologize for 
   yesterday's madness. As compensation I have adapted myself the translations
   I received today.
   There's nothing more new in this version, but I release it so other 
   translators don't go crazy.

[b]Version 0.5.46[/b]
 * Added the option -playlist for command line. This option should be
   prepended in front of a filename (URL or whatever). This option will make
   mplayer to treat the file as a playlist. This option has nothing to do 
   with smplayer's playlist! In fact smplayer won't have any control over
   the playlist at all. For smplayer it will just be like a single file.
 * Added the option -help for command line. It will show a helping message.
   BTW, the translators will have a challenge, as keeping the formating
   is not easy. (Take a look at the Spanish translation).
 * Added the option -close-at-end command line. The main window will be
   closed when the file/playlist finishes.

[b]Version 0.5.45[/b]
 * Updated the Ukrainian and German translations.
 * The playlist check in the open URL dialog works. If checked the option 
   -playlist will be added to the mplayer command line. (Internally some text
    will be appended to the URL, so smplayer can recognize it. This may seem
    ugly (and it is) but allows to add the URL to a playlist or to the recent
    files menu, and it will still work).
 * Added an icon to the open URL dialog (url_big.png).
 * Added two options for the config file: [i]enable_audiocd_on_windows[/i] and
   [i]enable_vcd_on_windows[/i]. It seems that mplayer on Windows doesn't have
   support for VCDs and Audio CDs (at least not the build supplied with 
   smplayer). Setting these options to "true" will enable the entries in the
   open menu.

[b]Version 0.5.44[/b]
 * Updated the Polish, German and French translations.
 * When trying to stop a video, the mplayer process will be killed if it
   doesn't finish within 3 seconds.
 * New dialog to enter a URL (the playlist check doesn't work yet).
 * Don't load actions from playlist to the actions' editor as it seems
   they are already there from the main window (in Qt 4.3 they appear twice).

[b]Version 0.5.43[/b]
 * Updated the Italian translation.
 * Small fix for Windows in the fullscreen code.
 * Removed the "&" characters in the description of the actions in the
   actions' editor.
 * Using less deprecated functions.

[b]Version 0.5.42[/b]
 * Serious bug: a lot of actions were missing in the actions' editor. Fixed.
 * More improvements with the playlist embedded in the main window: now it
   should be properly hidden/shown when toggling compact and fullscreen mode, 
   and when clicking on the systray icon. Also the playlist button in toolbar
   (and menu) should be updated when the playlist is closed by clicking
   on its close button. But you'll see that now the main window is not
   resized when the playlist is shown or hidden. I left this problem for the
   end (it's not trivial). Anyway you can press CTRL-1 to force a resize.
   This code is not compiled by default yet. If you want to see it, 
   change the value of DOCK_PLAYLIST to 1 in config.h before compiling.

[b]Version 0.5.41[/b]
 * Updated the Ukrainian and Russian translations.
 * Fixed the problem with the Video->Size menu. All options will work now
   no matter of the previous selection.
 * Some changes in Install.txt, just to mark some obsolete sections and
   make clear that it can only be compiled with Qt >= 4.2.

[b]Version 0.5.40[/b]
 * Ported to Qt 4. Easy to say but it took almost 2 months, and it's not
   completely finished yet (still using some deprecated functions).

 Some other changes since version 0.5.21 (for details read the Porting_log):

 * Now the option "Don't repaint the video background" is checked by default
   in linux.
 * Created the file create_deb.sh, specially for Ubunty users. If you run it,
   it would create a deb package.
 * Added a bat file (compile_windows.bat) to make easier the compilation in
   windows.
 * New button in the preferences dialog: Help. It will display some help
   about the options in the current section.
 * Now the configuration file will be in $HOME/.smplayer/smplayer.ini and 
   $HOME/.smplayer/screenshots will be used as the default directory to
   save the screenshots.
 * Bug fix: now the info about the demuxer, audio and video codec are updated
   after a restart of the mplayer process.
 * Fix: now reading the info about video, audio drivers, codecs and demuxers
   is done in a language independent way (it looks for tags like
   "ID_VIDEO_OUTPUTS" instead of English text).
 * Now changing a key shortcut in the actions' editor is much easier. Now you 
   double click or press enter on a shortcut (you can do it in any column)
   and a dialog will appear to ask you for the new shortcut. In this dialog
   you press the key or combination of keys that you want to assign to the
   shortcut. If you want to delete, just click on the Clear button.
   Note: this has been done by using some code from Edyuk 
   (http://www.edyuk.org)
 * By user request: added a new option in Preferences->Interface: 
   Change volume on every file. If checked SMPlayer will remember the
   volume of every file, and will be restored when played again. For new
   files the default volume will be used. That was the normal behavior until
   now. The new thing is if you uncheck it. In this case SMPlayer will never
   change the volume when a file is loaded. Problem: on startup SMPlayer 
   won't know the current volume value, the volume slider will be wrong.
 * New option for command line that I think it could be very useful: -action
   This option passes the specified action to an already running instance.
   For instance, you're watching a video in smplayer, then you type:
   [i]smplayer -action pause[/i] and the video will be paused.
   [i]smplayer -action fullscreen[/i] will toggle the video to fullscreen.
   This will allow to control smplayer with a remote control.
   You can see a list of all available actions in "Preferences->Keyboard and
   mouse". Under the "Name" column in the shortcut editor you've got all 
   action's names.
   When using -action all other parameters (except ini-path) are ignored.
   So it you want to open a movie and enter in fullscreen, this is NOT valid:
   [i]smplayer movie.avi -action fullscreen[/i]
   But you can do it in two steps:
   [i]smplayer movie.avi[/i]
   [i]smplayer -action fullscreen[/i]
   The exit code will be 0 if the -action option is successful and -1 
   if there's an error.
 * In Windows, along with the screensaver, the monitor power off will be
   disabled too.
 * (By user request) Added a new option in Preferences->Interface: 
   "Remember position and size" (of the main window). Checked by default.
 * (By user request) Added two new optins in Preferences->General->Video & audio:
   "Direct rendering" and "Double buffering".
 * Changed the behavior of "Use postprocessing" and "Volume normalization"
   in Preferences->General. Previously if you check "Use postprocessing" for
   instance, then all videos will use postprocessing, no matter of the
   setting in Video->Filter->Postprocessing. Now this specifies the
   default setting for new videos. If checked, all new videos you open
   will have the option Video->Filter->Postprocessing enabled but you
   [b]can[/b] disable it if you want. Previously this wasn't possible.
   I think this behavior is more consistent.
 * Almost all options in menus can have a shortcut.
 * Now the maximum value for volume is 100 instead of 99.
 * Recent files menu: now if the list is empty the submenu won't appear. 
   You can also set the max. number of items in the list to 0 in 
   Preferences->Interface.
 * Compilation time has been reduced.

[b]Version 0.5.21[/b]
 * Updated the Brazilian Portuguese translation.
 * Moved the video and audio sections in Preferences->General to a new
   tab, and moved also the font section in Subtitles to another tab, to
   try to make the preferences dialog smaller.

[b]Version 0.5.20[/b]
 * Updated the German, Ukrainian, Portuguese and Romanian translations.
 * Now it will exit from compact mode before playing an audio file. Otherwise
   the GUI would not have any menus or buttons at all.
 * Temporary fix: in playlist, the latest_dir won't be changed when adding
   multiple files, to avoid that wrong paths with dvd:, vcd:... could be 
   used. 

[b]Version 0.5.19[/b]
 * Updated the German and Polish translations.
 * (Windows) The priority of the SMPlayer process is changed accordingly
   to the priority of MPlayer (SMPlayer will try to run with higher priority).
   Note: not much tested.
 * As a lot of people have complained, I changed "Brazilian Portuguese" and
   "Portuguese from Portugal" to "Portuguese - Brazil" and 
   "Portuguese - Portugal".

[b]Version 0.5.18[/b]
 * Updated the Russian translation.
 * Added support for audio CDs (only tested with one disc) so please 
   test yourself and report problems. Test also if VCD and DVD still work
   properly.
   Note: I don't know if this option will work on Windows, I never
   could play an audio CD with the Windows version of MPlayer.

[b]Version 0.5.17[/b]
 * Updated the Brazilian Portuguese, Slovak, Ukrainian, German and 
   Portuguese from Portugal translations.
 * Now QCoreApplication::arguments () will be used to read the arguments from
   command line if Qt > 4.1. On NT-based Windows this should allow the program 
   to get the right characters if the filename contains characters from other
   alphabets. 

[b]Version 0.5.16[/b]
 * Updated the Ukrainian and Polish translations.
 * Added two new translations: Romanian and Portuguese from Portugal.

[b]Version 0.5.15[/b]
 * Updated the Russian, Italian, Swedish, German, Ukrainian, Polish and
   Simplified-Chinese translations.
 * (By user request) Added an option in Preferences->General to enable the 
   postprocessing filter for all videos.

[b]Version 0.5.14[/b]
 * Updated the Swedish, Ukrainian and Polish translations.
 * I think for volume normalization it's best to have a global option, so
   I added a volume normalization option in Preferences->General. If checked
   the volnorm filter will be used for all files.
 * Added an option in Preferences->General to set the maximum amplification
   level for softvol. By default 110. Valid range 10-10000.

[b]Version 0.5.13[/b]
 * Updated the Ukrainian, German and Polish translations.
 * (By user request) Now the mouse wheel can be configured to zoom the video
   (Preferences->Keyboard and mouse->Mouse).
   Note: compatibility couldn't be kept, if you have previosly changed the 
   behavior of the mouse wheel you'll need to change it again.
 * Now the options in the menu Video->Size will always be executed even if the
   option is already selected. Useful if you resized the window. Also added
   shortcuts for Size->100% and Size->200% (Ctrl+1 and Ctrl+2) and I'm very
   sorry but these shortcuts can't be changed (and these shortcuts will only
   work if the menu is visible).
 * (By user request) Added the option Audio->Filters->Volume normalization.
   Note: this option only affects the current file, if you want the filter 
   to be used for all files add "volnorm" to the audio filters field in 
   Preferences->Advanced.
 * (By user request) Clicking in the system tray icon with the mouse middle
   button pauses/unpauses the file.
 * Now tooltips for QActions are explicitly created, to try to work around 
   a bug in Qt 4.3.

[b]Version 0.5.12[/b]
 * Updated the Swedish, German and Ukrainian translations (although changes
   I've just made could have broken them...)
 * Reorganized a little bit the preferences dialog, by using several tab
   widgets. This prevents that sections grow to much.
 * Better explained the "MPlayer language" section (I hope) and added
   regular expressions for Spanish, Italian, German and French in the 
   comboboxes, taken from the MPlayer translation files (completely
   untested!).

[b]Version 0.5.11[/b]
 * Updated the Ukrainian and German translations.
 * Shortcuts for previous and next items in playlist didn't work in main
   window. Fixed.
 * Added an option in Preferences->Subtitles to use the new -subfont option
   in MPlayer. In the future SMPlayer will try to autodetect when this option
   is needed.
 * Added in Preferences a new section: MPlayer language, where the user can
   change some of the texts that SMPlayer looks for. Intended in case that 
   MPlayer displays its messages in another language. (Unfortunately MPlayer
   can't change language at runtime).

[b]Version 0.5.10[/b]
 * Moved the denoise submenu inside the video filter menu.
 * (By user request) Added the option "AC3/DTS pass-through S/PDIF" in 
   Preferences->General. It will simply add "-afm hwac3" to the command line.
 * Renamed "Yadif (mode 0)" to "Yadif (normal)", and "Yadif (mode 1)" to
   "Yadif (double framerate)".

[b]Version 0.5.9[/b]
 * Updated the Swedish, German, Ukrainian and Polish translations.
 * The application was probably getting the wrong screen resolution if 
   a virtual desktop was enabled. I hope this is fixed now.

[b]Version 0.5.8[/b]
 * Updated the Italian, Simplified-Chinese and Swedish translations.
 * Added two new options in the Video->Deinterlace menu: kerndeint and
   yadif (mode 1). The latter option should give a much more fluid motion than
   the normal yadif option, but you need a really fast computer, as this
   option uses a lot of CPU.
   Some videos require to change the field dominance to work properly, so an 
   option for this will be added in the future. Meanwhile you can pass the
   option -field-dominance to mplayer if you need it.

[b]Version 0.5.7[/b]
 * Added *.ac3 to the list of audio filters in the open dialogs.
 * On startup, if the previous height of the window is less than 200, then
   the window is resized to the default size.
 * Updated the Polish and German translations.
 * Updated the instructions to make a deb package in Install.txt.

[b]Version 0.5.6[/b]
 * Updated the German and Ukrainian translations.
 * Changed the buttons in the floating control from QPushButtons to 
   QToolButtons.
 * Added an option in Preferences to enable or disable the cache.
   (Cache could be disabled by setting it to 0, but this is clearer).
   The cache is [b]disabled[/b] by default, as it seems this option 
   causes some trouble with some video formats. As a side effect now
   videos start to play faster.

[b]Version 0.5.5[/b]
 * Added in the audio menu an option to load an external audio file (and 
   another one to unload it). This allows to watch movies on which the
   audio track is in an external file (mp3, wav...).
   Note: if you play the movie again later, you'll see two audio tracks
   in the menus (the original one, and the external one), but changing
   tracks doesn't work. Strange things may happen if you do it.
 * Added the option "dont_use_eq_options" in the config file, ([preferences]
   section). If set to true, smplayer won't pass the options -brightness,
   -contrast, -hue, and -saturation to mplayer. It seems that some graphic
   cards don't support them or have some kind of problem with them.
 * Updated the German translation.
 * Added an empty icon for gamma (to prevent this slider to be higher than the
   rest).

[b]Version 0.5.4[/b]
 * The size of the floating control can be changed, editing the config file.
   Option floating_control_width under the [default_gui] section. The value
   is a percentage (100 = all screen width, 50 = half of the screen width).
   By default, 100.
 * The size and position of the main window will be remembered.
 * (Qt 4) The balloon that remembers you that the program is already running
   in the system tray will be shown only 5 times.

[b]Version 0.5.3[/b]
 * Updated the Polish and Russian translations.
 * New fullscreen control widget, smaller than the previous one. If using Qt 4
   it's better not to use the CleanLooks style, its buttons are huge and look
   awful in this widget.
 * Fixed bug #1729705 (I hope). This has required a lot of changes, so other
   bugs may appear.

[b]Version 0.5.2[/b]
 * Updated the German and Ukrainian translations.
 * (Qt 4) Option Open->Close, now it exits from fullscreen mode before closing 
   the window.
 * Now most options in the subtitle menu are disabled if there's none subtitle 
   selected.
 * If the option Play->Repeat is enabled, files will start to play from
   the beginning.
 * (By user request) Now it's possible to choose the path of the ini file.
   This is done by the -ini-path command line option. Example:
   smplayer -ini-path /tmp
   will try to read the configuration from /tmp/smplayer.ini.
   The path is optional, if none is passed then it will use the application
   path, so "smplayer -ini-path" will read the configuration from smplayer.ini
   in the application path.
   This feature requires Qt 4. The option -ini-path (and the optional argument)
   will be ignored if compiled with Qt 3. This option won't work either with
   KDE support (and in this case you'll get an error if you try to use the
   -ini-path option).
 * Assigned the keys F5 and F6 for show_main_toolbar and show_language_toolbar,
   and updated shortcuts/default.keys with the new keys.

[b]Version 0.5.1[/b]
 * Updated the Traditional Chinese and Bulgarian translations.
 * Now the title bar shows "file name - SMPlayer", instead of 
   "SMPlayer - file name".
 * MPlayer can be compiled to display its texts in another language, but 
   SMPlayer requires the texts to be in English. Unfortunately it's not 
   possible to change the MPlayer language without recompiling. This is a 
   problem. As a work-around I've made some of the internal regular expressions 
   configurable (by editing the config file).  
   rx_endoffile should specify the text that MPlayer outputs when a file has
   arrived to the end (by default "^Exiting... \\(End of file\\)"). If SMPlayer
   fails to catch this text, the playlist won't work properly.
   rx_novideo should specify the text that MPlayer outputs when a file has
   no video, by default "^Video: no video". If SMPlayer fails to catch this 
   text, the video window won't be hidden when playing sound files.
   There are other English texts which SMPlayer looks for, but they are far
   less important (most of them are just simply displayed on the status bar).
 * (By user request) Created an action to change the window from normal size 
   to double size and vice versa (this new action doesn't appear in any of the 
   menus, it's handled by a key shortcut, by default CTRL+D).
   The best way would be to add key shortcuts to all Video->Size suboptions,
   but it's not possible for the moment (I actually can add shortcuts but 
   they won't be configurable).
 * It seems that it's not a good idea to have the debian subdirectory in the
   sources, as it can conflict with the one made by package maintainers.
   As a quick solution, for now I've just renamed it to debian-rvm. If you want
   to create a deb package with dpkg-buildpackage, just rename it back to 
   debian.

[b]Version 0.5.0[/b]
 * Updated the Italian, German and Ukrainian translations.

[b]Version 0.4.30[/b]
 * Updated the Japanese and Serbian translations.
 * Added the Traditional Chinese translation.
 * debian/control: now depends on mplayer | mplayer-nogui
 * Install.txt: explained how to create a deb package.

[b]Version 0.4.29[/b]
 * Fixed bug #1725272 (the LCD in the floating control didn't show the hours).
 * Added the debian subdirectory (created in a kubuntu 7.04). This way it's
   possible to create a deb package.
 * Updated the German and Ukrainian translations.

[b]Version 0.4.28[/b]
 * Written the documents Install.txt and Release_notes.txt, and updated
   Readme.txt.
 * Updated the Polish translation.
 * Added the Serbian translation.

[b]Version 0.4.27[/b]
 * Applied patch to fix bug #1703280.
 * Now the tooltip in the system tray icon should display the same as the window
   title.

[b]Version 0.4.26[/b]
 * Updated the Ukrainian, German, Polish, Dutch, Chinese and Turkish 
   translations.

[b]Version 0.4.25[/b]
 * Not providing a default for SSA/ASS style override, as this setting may
   affect real SSA/ASS subtitles. Added a "whatsthis" help for this field.
 * Now DESTDIR is used in the Makefile to select the installation directory, 
   and changed the smplayer.spec to use it.
 * Updated the Ukrainian and German translations.

[b]Version 0.4.24[/b]
 * Updated the Italian and Polish translations.
 * Added support for SSA/ASS style override (-ass-force-style option in 
   mplayer). As there are a lot of options for styles, I just simply added a 
   line edit so you can enter the styles you want. This option may be very 
   useful with srt/sub files when using the SSA/ASS library, as subtitles may 
   look much nicer.
   By default, it will use "Bold=1,Outline=2,Shadow=2" which provides a 
   nice black shadow.
   Info about these styles can be found at:
   http://www.perlfu.co.uk/projects/asa/ass-specs.doc (look at chapter 5)

[b]Version 0.4.23[/b]
 * Updated the Turkish, German, Ukrainian, Swedish and Polish translations.
 * Moved all translations to a subdir: src/translations.
   And if TRANSLATION_PATH is not defined on compilation, smplayer will look
   for translations in application_path/translations/ (this is intended for 
   Windows).
 * Changed the default colorkey to 0x020202 (this really was the old colorkey).
 * Made the colorkey field in preferences editable, so there's two ways to
   set the colorkey: typing it yourself or selecting a color in the color
   dialog. Warning: currently no check is performed on the typed value. If
   the value is invalid it would return 0 (black).
   The value must be in hexadecimal, this way: #RRGGBB, where RR, GG
   and BB are the red, green and blue components of the color.

[b]Version 0.4.22[/b]
 * Updated the German translation.
 * (Playlist) After removing the selected items, it tries to keep the cursor 
    on the same row it was before (previosly the cursor was always moved to 
    the 1st row).
 * Made the rest of actions translatable.
 * Added an option in the preferences dialog (subtitles tab) to select the
   default position of the subtitles. 100 means the bottom of the video window
   while 0 mean the top.
 * The colorkey is configurable now. Preferences->Advanced.

[b]Version 0.4.21[/b]
 * Updated the Turkish translation.
 * Parses the StreamTitle line from Shoutcast streams, and displays it in the
   info window and title bar.

[b]Version 0.4.20[/b]
 * Updated the Japanese, Czech, Polish, Italian and Chinese translations.
 * Floating control: don't assume that in fullscreen mode the screen starts 
   at 0x0 (it might be on a 2nd monitor). This may fix the problem on which the
   floating control may show on the wrong monitor. 
 * Playlist: the playlist is now only marked as "modified" only when changed
   by the user (and not when smplayer adds items to it, for instance, the
   files loaded from command line).
 * (By user request) New option in preferences (config file only): 
   initial_panscan_factor. It specifies the default zoom value all new videos 
   will have (by default 1.0).

[b]Version 0.4.19[/b]
 * Updated the German and Russian translations.
 * Changed the colorkey. The one in 0.4.18 didn't work on Windows with
   directx.
 * Added a system tray icon if compiled with Qt 3 and KDE support.

[b]Version 0.4.18[/b]
 * Updated the Swedish, German and Ukrainian translations.
 * Qt 4: now the time and volume sliders should work better. Previously
   it wasn't easy to drag the slider's handle if it was bigger than usual.
   Now the actual size of the handle is taken into account so dragging should
   work as expected.

[b]Version 0.4.17[/b]
 * Updated the Ukrainian, German, Russian, Polish and Bulgarian translations.
 * Added the Swedish translation.
 * Now you can open several files through command line: 
   smplayer video1.avi video2.avi music.mp3
   or
   smplayer *.mp3
   The first file will be opened by a function which is able to handle *.m3u
   files and directories. The rest will simply be added to the playlist.
   As this feature has required important changes, it might have introduced bugs.
   Report if you notice something strange.
 * Fixed a bug in the playlist. The first item played wasn't marked sometimes 
   as played.

[b]Version 0.4.16[/b]
 * Updated the Chinese and Russian translations.
 * Added support for the sub_step command (in the Subtitles menu). This allow 
   you to move to the previous or next subtitle line in the subtitle files. 
   It can help you to synchronize the subtitles.
   Note: this setting is not saved, reasons: 1) if you need to use these 
   options maybe it's because the subtitle file has a serious sinchronization 
   problem and you'll probably have to adjust the subtitles several times, 
   2) it's not easy to do it.
 * At last the "+10 seconds", "+1 minute"... options in the menus show the
   actual time to jump (if you modified the default values in preferences).

[b]Version 0.4.15[/b]
 * Updated the Italian translation.
 * Server commands: the playlist functions now work with Qt 4.
 * The function of the mouse buttons are configurable again. With this smplayer
   retrieves all functionality from 0.4.7.

[b]Version 0.4.14[/b]
 * Updated the Polish, Ukrainian and German translations.
 * The function command in server should work again. If you don't know
   what I'm talking about, do "telnet localhost 8000" (or the port configured 
   in preferences) and type "list functions". This feature allows to control
   smplayer remotely. Note: I've just realized that the playlist functions
   currently don't work if using Qt 4.

[b]Version 0.4.13[/b]
 * Updated the German, Russian and Chinese translations.
 * Added the Turkish translation.
 * Actions editor: checking for conflicts, now it will only beep due to
   conflicts after editing a shortcut. This prevents beeps when entering
   in the preferences dialog, which can be confuse for the user.
 * Actions editor: now it will display error message if the key shortcut
   file can't be saved or loaded.
 * Actions editor: Shortcuts are shown left aligned.
 * I spent some time writing a widget which would allow to enter a shortcut
   just pressing the key (or combination of keys), instead of typing it.
   I took some code from qt-3 designer, and yes, it works pretty well.
   But at the end I'm not using it... it doesn't work well with qt 4 (some
   keys can't be entered, like Tab or the cursors). And moreover with qt 3
   it isn't really possible to enter all keys. For instance with a Spanish 
   keyboard it seems impossible to enter the key ">".
   But in case you want to try it yourself, edit the file actionseditor.cpp and
   change the line 
   #define USE_KEYCHOOSER 0
   to
   #define USE_KEYCHOOSER 1

[b]Version 0.4.12[/b]
 * The actions editor is now in the preferences dialog.
 * Now smplayer will look for icons in a directory named "themes" instead
   of "icons" (defined with THEMES_PATH in Makefile). This is because in the 
   future there might be more things besides icons. 
 * smplayer will look for key shortcuts files in a directory named "shortcuts"
   (SHORTCUTS_PATH in Makefile).
 * Updated the German, Russian and Ukrainian translations.

[b]Version 0.4.11[/b]
 * Fixed a bug in actions editor: default shortcuts were lost on first run.
   If you used 0.4.10 edit the config file and delete the [actions] section.
 * More improvements in actions editor. Now it's possible to save the actions
   to a external file, and load it. It also checks for conflicts (the same
   shortcut assigned to other actions).
 * Removed the src/icons directory. Icons will be in another package 
   (and current Makefile is broken, don't try "make install").

[b]Version 0.4.10[/b]
 * Actions editor: now the actions are saved and loaded to the config file.

[b]Version 0.4.9[/b]
 * Fixed a segfault when selected Open->Quit (Qt 4).
 * Using UTF-8 for all QTextStreams in server.cpp and client.cpp.
 * Updated the Russian, Ukrainian, Chinese, Polish, Dutch and Italian 
   translations.
 * More improvements on the actions editor. Better code for Qt 4, and 
   now it shows the icon and name of the action, along with the description.
   The actions editor is far to be finished so it's hidden. If you want to see 
   it, press G. You can change the shortcuts by double clicking in the 
   shortcuts cell. The new shortcuts you define will work for the current
   session, but they won't be saved.

[b]Version 0.4.8[/b]
 * Updated the German translation.
 * Using now QActions for all key shortcuts.
 * Started to write the actions editor.

[b]Version 0.4.7[/b]
 * Updated the Polish, German, Ukrainian and Italian translations.
 * As the panscan feature seems to work well, even in Windows, I added 
   a new submenu "Panscan" in the Video menu. The videos should also remember 
   the zoom value.

[b]Version 0.4.6[/b]
 * Experimental pan&scan feature. It's possible to move the video window
   (left, right, up and down) and also zoom it. You increase zoom with key
   "E" and decrease with "W". You can move the window with ALT + cursor keys.
   This is experimental, just to test if this can be done. The settings
   are not saved anywhere, in fact resizing the window resets all values
   to the defaults. 
   Note: the zoom affects the OSD too, including subtitles.

[b]Version 0.4.5[/b]
 * The fix in 0.4.4 actually brokes smplayer on Windows. The video disappears
   when the video is resized. So now this is an option that can be enabled
   or disabled (Preferences->Advanced, Don't repaint the background of the 
   video window). This option is Off by default, as it works well in linux 
   with Qt 3 and on Windows with Qt 4. If you use Qt 4 on linux and have the 
   problem mentioned in the 0.4.4 changelog, you may check this option and see
   if it helps.

[b]Version 0.4.4[/b]
 * Updated the Slovak, German, Ukrainian and Polish translations.
 * A very important fix (at least for me). Now when the main window is
   resized the video should not flicker at all (I made this specially for
   Qt 4, where the flicker was very annoying, but at the end the result is
   much better with Qt 3). The most important is that this fixes a repaint
   problem with Qt 4. Sometimes the video window got black (totally or 
   partially) when closing another window (or menu) that was over it (I could
   reproduce it by entering in the preferences dialog, and changing the 
   language).
   I don't know if someone else had this problem (I didn't get any report
   about it), but it happened to me and it was really annoying. Now this
   is FIXED!!!

[b]Version 0.4.3[/b]
 * On startup the toolbars always appeared even if they were hidden in the
   previous session. Fixed (I hope).
 * Changes in playlist: now if the playlist has been changed, it will ask you
   to save it before loading a another playlist. It will also ask you if
   you try to open a dvd or vcd, because that clears the playlist.
   It won't ask you when you close the application, because the current
   playlist is saved to the config file and so it will retrieved on startup.
 * Merged the info window and advanced file settings in one thing: 
   "View info & properties".
 * Updated the German translation.

[b]Version 0.4.2[/b]
 * If in compact mode, on startup the toolbars were visible. Fixed.
 * Some improvements on the playlist docked in the main window, but there
   are still some issues. I'm afraid this can't be completely fixed until the 
   application is ported to Qt 4.

[b]Version 0.4.1[/b]
 * Updated the Chinese, Russian, Italian, German, Ukrainian and Polish
   translations.
 * Some options in menus didn't update the name after a language change. Fixed.
 * Some improvements in the tray icon: 
    - If the main window is hidden, it will became visible just before playing 
      a video. Now this works too with the (playlist) next and previous options. 
    - The tray icon shows a tooltip with the name of the current file.
    - Added two options to the context menu: playlist and preferences.
 * The playlist saves to the config file the current playlist just before
   quiting and loads again on startup.
 * Renamed the Exit option to Close. If the system tray icon is not activated
   then the Close option finishes the application. But if the system tray icon 
   is activated then it just hides it. The Quit option always finishes the 
   application, no matter if the tray icon is activated or not (the Quit 
   option doesn't show if Qt < 4.2).

[b]Version 0.4.0[/b]
 Initially version 0.4.0 was to be released once the key shortcuts were
 configurable. But as it seems it still takes some time for that, and 
 considering that I've implemented some things actually planned for future
 versions (VCD, system tray icon) I change to 0.4.0 now (even though I've just
 implemented the system tray icon and it may have bugs).
 Main objective for 0.5.0 is still configurable shortcuts, and I expect it to
 be soon, very soon.

 * More improvements in tray icon. Just test it. Remember that you need to
   compile at least with Qt 4.2. I think this feature is now quite usable.
   There's a known problem, though, the next and previous options in the
   context menu don't force a show() in the main window. This is ok for music.
   But if it's a video then the main window won't appear until you make
   visible yourself.
 * The main window only shows once on startup, that prevents that the main 
   window can be seen for a little moment without toolbars.
 * The width of the floating control can be configured (for now just by 
   editing the configuration file, look for floating_control_width, the value is
   the desired width in %, by default 75%).
 * Now if you select Open->VCD and the cdrom device is not configured, a
   warning will show and then the preferences dialog will open so you can
   configure it.
 * Disabled style switching again, because it crashes with Qt 4 (I find
   Qt 4 more unstable than Qt 3...)
 * Updated the Ukrainian and Bulgarian translations.

[b]Version 0.3.45[/b]
 * Updated the Ukrainian, German and Russian translations.
 * Some improvements in the tray icon. Now it has a new context menu,
   and it saves its state (mainly if the main window is visible or not) 
   to recover it on startup. Unfortunately it doesn't work well if the
   single instance option is activated.
   And if you click on the close button the application will hide but it
   will still running in the tray.

[b]Version 0.3.44[/b]
 * Added the Bulgarian translation.
 * Updated the Polish translation.
 * Qt 4: Made the repaint of the mplayer window more or less like Qt 3.
   At least this seems to fix some small cuts in the audio when resizing.
   But still the window is getting black after changing the language in
   preferences. I don't know why.
   Report if you find problems with this (more flickering than before or 
   something).
 * Started to implement the system tray icon. You need Qt 4.2 to see it.

[b]Version 0.3.43[/b]
 * Updated the Dutch translation.
 * When DOCK_PLAYLIST is set 1, the playlist was always shown when exiting from
   fullscreen, even if it was hidden previously. Fixed.
 * Qt 4: now the time (and volume) slider go to the point you click on the bar.
 * Windows: the playlist was always above the main window. This should be
   fixed now. The VCD option in the Open menu is disabled, as mplayer in
   Windows doesn't support VCDs yet. Anyway you can watch VCDs by opening the
   *.dat files you'll see in the drive.
 * STYLE_SWITCHING option in config.h activated by default now. This will
   allow you to switch the Qt style at runtime (Preferences->Interface).
   This option wasn't enabled by default because it seems it had some issues
   (some colors might not be correct). Anyway I let you to test it.

[b]Version 0.3.42[/b]
 * VCD support has triggered a problem. If title #1 of a VCD (or DVD) can't
   be played, the GUI doesn't get the info of the rest of titles (which
   probably could be played). Now the application detects that case and
   passes that info.
 * Now when a VCD or DVD start to play, all titles are added to the playlist
   (clearing all previous contents), so when a title finishes the next one 
   will be played.
 * I think those 2 previous things can improve DVD support. Because it seems
   that a lot of people got confused when the first title of a DVD didn't
   play, even thinking that smplayer can't play DVDs at all. Now if the
   first title fails the 2nd will be played. Anyway I couldn't test this,
   because I don't have any DVD which first title doesn't play.
 * Added the option vcd_initial_title for preferences (this is a config
   option, it's not in the preferences dialog yet). It specifies the
   title number which should be played when you select Open->VCD. By 
   default 2.
 * And added support for VCDs in other parts of the code. For instance
   the info window recognizes VCDs and displays a different icon for them.
   Or you can play a VCD through command line: [i]smplayer vcd://3[/i] (will 
   play title #3), or just simply [i]smplayer vcd:[/i] (which is the same
   as selecting Open->VCD).
 * Now the option Video->Aspect ratio->Autodetect will use the aspect
   ratio of the mplayer window, instead of the file aspect rato. That makes
   that some filters could work better. (Anyway I don't know if this could have
   any secondary effect...)
 * Renamed the icon them Test as Oxygen.

[b]Version 0.3.41[/b]
 * Updated the Hungarian translation.
 * Started the VCD stuff. Now you can play VCD's. But... to implement this
   feature I used a VCD created by k3b with 2 videoclips. mplayer reports
   that there are 3 titles in the disc. The first one can't be played
   (maybe it has control info or something), but that makes that smplayer
   doesn't get the info about available titles. To "fix" it smplayer will
   start to play all VCDs from title 2 (instead of 1) but of course I'm not
   sure if it is safe to assume that all discs (in mplayer) start at title 2.
   So if you have a lot of VCDs, please test. 
   BTW, I think mplayer on Windows doesn't support VCDs...

[b]Version 0.3.40[/b]
 * Added a new icon theme "Silk" created by ilGaspa 
   (http://www.phpbbplanet.com/smplayer/viewtopic.php?t=116)
 * Added another icon theme "MacLike", by Charles Barcza.
 * Updated the Ukrainian and German translations.
 * Qt 4: The video equalizer lost its icons everytime an icon theme change was
   made. Fixed.
 * It seems that drag&drop didn't work with filenames with non-latin1 
   characters if the drag was made from Konqueror. It seems the problem that
   kde encodes the filenames using the current locale but Qt expects
   to be in UTF-8. Now drag&drop from Konqueror should work but it's required
   to compile smplayer with kde support.
   Of course, if your system's encoding is UTF-8 then there's not problem at all.
 * Tried to avoid the use of double slashes (/usr//share...) in paths. 

[b]Version 0.3.39[/b]
 * Updated the Czech, Polish, French, German and Spanish translations.
 * KDE support fixes: now the embedded icons should show again. Now you
   can pass a filename to open from command line.
 * Changes in Makefile. if "make KDE_SUPPORT=1" doesn't work for you,
   edit the Makefile and change the kde paths. 
   You also can pass the paths through command line, example:
   make KDE_SUPPORT=1 KDE_INCLUDE_PATH=/usr/include/kde

[b]Version 0.3.38[/b]
 * Moved most of the single instance stuff to another class (CSManager). That
   simplifies the BaseGui code.
 * Fixed an old bug. If the server which smplayer tries to connect to 
   on startup doesn't respond anything, smplayer will wait and wait... 
   forever. Now it waits 4 seconds, after that smplayer starts and reports 
   to the user about the problem, and disables the single instance option.
 * KDE dialogs: now the Qt filters are converted to the KDE format. Now
   the KDE dialogs should work.
 * Now you can compile smplayer with KDE support just by typing:
   make KDE_SUPPORT=1
 * Updated the Japanese, Russian and Czech translations.

[b]Version 0.3.37[/b]
 * Set the focus to video window after the user has selected an audio or
   subtitle from the toolbar.
 * Now the video should keep paused the when switching to fullscreen mode.
 * Finally I could compile smplayer with kde support. Now smplayer can
   show the kde open dialogs. But it seems that the filter parameter is not
   fully compatible with the Qt dialogs, so some of the dialogs could be
   useless. I'll try to fix it anyway. There are also other problems:
   the embedded icons don't show, you'll have to use any other icon set.
   And for some reason the application path is changed to /usr/bin so
   smplayer could have problems finding its files.
   If you want to test it, edit the smplayer.pro and look for "KDE_SUPPORT"
   and uncomment the 3 lines (and change the kde paths...). I'll try to
   make it easier in future releases. Ah, don't forget to compile with Qt 3.
 * Updated the Polish translation.

[b]Version 0.3.36[/b]
 * Improved a little bit the new subtitles' code. If you're watching a
   video with subtitles and you load a new subtitle file, smplayer will
   try to keep using the same subtitle if it is still present (you may
   think that it would better to select the subtitle from the file that
   user has loaded, but it's impossible to know which one it is).
   The same would happen if you unload the subtitle file, smplayer will 
   try to keep the previous selected subtitle, if it's one of the available
   subtitles. If it's not, the none subtitle will be selected.
   On the other hand, if you load a subtitle file to a video which didn't
   have any subtitle, then smplayer may select one subtitle, according to
   the preferences settings (if subtitle autoload is activated, it will
   select the first one or the user's preferred language if found).
 * Now you can drag directories to the playlist. It will add all files
   in it (it's not recursive, it won't add files in subdirectories).
 * Now you can open DVD iso files. Just simply select the *.iso file
   in the Open->File dialog. You can also drag it to the main window or
   playlist. The file must have the extension iso to be identified. If the
   image has another extension there's another way to open it, select
   Open->DVD from folder. This dialog will only allow you to choose a
   directory but you can type after it the filename.
 * Updated the German and Georgian translations.

[b]Version 0.3.35[/b]
 * Almost all subtitle code has been rewritten. I think that now it's much
   better. For instance, now you can load a idx/sub file and you'll be able 
   to select among all languages that the file provides. You can have a 
   mkv file with embedded subtitles, load an idx/sub file (or srt, sub...) 
   and all subtitles will be available.
   There's also a new option in the subtitles menu to unload the previous
   subtitle file you might have loaded.
   This new code is still under testing, and it could have bugs. If you
   see something strange, please report.
 * Updated the Ukrainian, Czech, Georgian, Polish, Russian and Chinese 
   translations.

[b]Version 0.3.34[/b]
 * Updated the Dutch, Ukrainian, German, Polish and Italian translations.
 * Added the Czech translation by Martin Dvořák.
 * Some cosmetic changes: new about dialog, and now the language combo
   in preferences displays the language name, along with the ISO code.

[b]Version 0.3.33[/b]
 * Changes in playlist: converted the buttons and menus to QAction's. This
   has required to make the playlist a QMainWindow (it was a QWidget before).
 * And added again the previous and next buttons to main window.
 * Updated the German translation.

[b]Version 0.3.32[/b]
 * Updated the Russian and Polish translations.
 * Added options to hide the toolbars (in the Options menu).

[b]Version 0.3.31[/b]
 * Created a new floating control widget. This time it's not a toolbar so
   I hope that this finally fixes the problems with the floating control.

[b]Version 0.3.30[/b]
 * Updated the Polish, Hungarian and Chinese translations.
 * Some people report that the control widget doesn't appear where it 
   should but a little bit above the bottom. I tried to fix it by reparenting
   the widget and changing the flags. It seems to work well with Qt 3, but
   with Qt 4 it does really strange things: the widget is huge. Resize doesn't
   work or crashed the program. So finally the code is disabled (even for
   Qt 3). If you wanna to test it: edit the config.h and set 
   REPARENT_CONTROLWIDGET to 1 (and recompile).

[b]Version 0.3.29[/b]
 * Updated the German translation.
 * Fixed a crash when using Qt 4 with the new control widget.
 * Now the control widget displays over the video, not moving it.
 * You can now drag a subtitle file to the main window.
 * Tried to use the kde open dialog, unsuccessfully.

[b]Version 0.3.28[/b]
 * Updated the German, Polish and Ukrainian translations.
 * Updated the French translation by David <goondy@free.fr>
 * Now the control widget is only one toolbar, but if it gets too small
   it will replaced by another widget with less buttons. 

[b]Version 0.3.21 - 0.3.27[/b]
 * A lot of internal changes: now QAction's are used for most of the menus,
   constants have been changed to enums. Due to the amount of changes it's
   possible that something could have broken. Please test it, specially 
   audio and subtitle selection, aspect ratio options, and well... everything
   in the menus...
 * The Gui class has been divided into BaseGui and DefaultGui. The intention
   of this it to allow to create alternative GUI's easily (when I say GUI in 
   fact I mean the main window). The DefaultGui is less than 300 lines of code.
 * The new GUI has been written from scratch and it has some toolbars. This
   GUI has been written today in a few hours and it's not finished yet.
   Unfortunately the "controlwidget over the video" from previous releases
   has not been implemented yet in this GUI.
 * Updated the Italian, German, Hungarian and Russian translations.
 * Added the Georgian translation.

[b]Version 0.3.20[/b]
 * Added new icon themes by Charles Barcza.
 * Updated the German and Polish translations.
 * The controlwidget over the video now it seems that works too with Qt 3,
   so now it's activated by default. Please test it.
 * The priority options in preferences are hidden too in Qt 4 (priority is
   for Windows only).
 * Removed the old fullscreen code.

[b]Version 0.3.19[/b]
 * Updated the Chinese, Ukrainian, Russian, German and Polish translations.
 * It seems that some videos don't start at sec. 0 so now smplayer will
   try to get the starting time and subtract that time from the current time.
   That's need for the -ss option to work properly with those videos.
 * Set some "buddies" in filepreferencesdialog so it can be used with the
   keyboard.
 * Some internal changes and small fixes.
 * New compilation option in config.h: CONTROLWIDGET_OVER_VIDEO
   If set to 1, the controlwidget will be shown in fullscreen
   *over* the video (not moving the video) when the user move the mouse
   to the bottom area of the screen.
   Now if someone knows how to get rid of the KDE taskbar that appears at
   the same time...

[b]Version 0.3.18[/b]
 * Icon sets: The logo didn't change in the title bar of some windows. Fixed.
 * (Qt 3 only) Time slider: now the slider goes to the point the user has 
   clicked on. The volume slider has the same behavior.  
 * Now it's possible to choose a preferred language for subtitles. 
   (Only tested with two mkv files).
 * Added more "whatsthis" help in Preferences (Performance tab). Texts copied 
   from mplayer manpage.
 * Now the info window shows some icons, according to the media type 
   (video, audio, dvd, url). I'm afraid these icons are not customizable.

[b]Version 0.3.17[/b]
 * Updated the Polish, German and Ukrainian translations.
 * Added support for Qt 4 stylesheets. Now the icons sets, along with the
   *.png files, can contain a file named "style.qss". If that file exists
   smplayer will load it (the Test/ subdirectory includes one, based on a Qt 
   example). This allows to change color, size, style... of all Qt widgets
   (see screenshots). This feature requires Qt 4.2.
   The qss file is quite similar to a HTML css file. Detailed info:
   http://doc.trolltech.com/4.2/stylesheet.html

[b]Version 0.3.16[/b]
 * Updated the Hungarian, German and Italian translations.
 * Added the Brazilian portuguese translation.
 * Added new icon theme blackPanther-Light by Charles Barcza.
 * Added a new option: Video->Size. This is a global option. If you set it
   for instance to 150%, all videos will be played at 150% of their original 
   size. 
   (This option won't work if checked "Advanced->Run mplayer in its 
   own window").

[b]Version 0.3.15b[/b]
 * Updated the Hungarian translation.
 * Added icon theme blackPanther-VistaLike by Charles Barcza.

[b]Version 0.3.15[/b]
 * Updated the German, Ukrainian and Polish translations.
 * Fixed a bug. Now you can pass a folder through command line. If it doesn't
   contain the video_ts folder, the contents of the directory will be added
   to the playlist.
 * Options->View info now shows more info about audio tracks and subtitles.
 * Created a new icon set: "Play" which changes some icons and adds some
   more. Just an example that shows that's possible to add new icons not
   present in the default set.

[b]Version 0.3.14[/b]
 * Updated the Ukrainian, Russian, Polish, Chinese, Italian and Japanese 
   translations.
 * Fixed a problem with the new icon set feature in Windows (the icon path 
   wasn't right).
 * Fixed some bugs with the "initial volume" widgets in preferences.
 * Process communication: the 2nd instance will send to the 1st instance
   the filename to be open encoded in UTF-8.
 * New option in preferences (General) to select a preferred audio language
   for videos with multiple audio tracks. See the "whatsthis" help to know
   more about this new option.

[b]Version 0.3.13[/b]
 * Updated the Ukrainian, German and Russian translations.
 * Made the apply preferences a little bit smarter. Now the mplayer process
   will be restarted only if needed. For example, changing the video output
   or the cache settings require mplayer to be restarted, but changing the
   language or the mouse button function does not.
   There are a lot of options in the preferences dialog and I'm not tested 
   all of them. Report if some setting is ignored or something.
 * Now you can change the language of the application at runtime. This has
   required a lot of changes. Report if some string has been left untranslated.
 * Configurable icons. Now smplayer can load icon sets. In 
   Preferences->Interface you'll find an option to select an iconset.
   Currently there are two: Default (the default embeded iconset) and Test
   (for testing, I've used the oxygen icons gathered by adrian5632)

[b]Version 0.3.12[/b]
 * Added the Ukrainian translation.
 * Updated the German and Polish translations.
 * Added the option Video->Stay on top. This is a global option.
 * Added Preferences->Interface->Language.
 * Moved the logs stuff from Advanced to a new tab.

[b]Version 0.3.11[/b]
 * Updated the Hungarian and Russian translations.
 * Sometimes when a video is played, smplayer doesn't get any info about it
   (you can notice because the aspect ratio may be wrong, length is 0, 
   resolution is 0x0, no info about subtitles...). I think this happens
   when a video is restarting but you open a new one before restarting 
   is finished (usually happens with internet streams, where a video can
   take some time to start to play). I think that now this problem is
   fixed, although I'm not completely sure as this bug is quite difficult to
   reproduce.
 * Now you can force the usage of a different language (translation).
   smplayer currently tries to use the translation file according to your
   locale. Now you can change the language by editing the configuration file
   and change the value of the option "language" (under the [Preferences] 
   section). Example: [i]language=es[/i] will display the messages in Spanish, 
   [i]language=fr[/i] will display them in French, [i]language=zh_CN[/i] will 
   display them in Chinese and so on.

[b]Version 0.3.10[/b]
 * Updated the German, Polish, Dutch, Italian, Russian and Chinese translations.
 * Bug fixed: if "fast seek to chapters in dvds" was checked, the -cache
   option wasn't used for internet streams.
 * Some options for logs added (Preferences->Advanced). Now you can disable 
   the mplayer or smplayer logs. There's also an option to filter the 
   smplayer output. Added too "what's this" help for these new options.

[b]Version 0.3.9[/b]
 * Updated the German, Hungarian, Russian and Spanish translations.
 * Internal change: made pref (Preferences) a global object (I hope not, 
   but this change could have broken something...) This is needed
   for the following:
 * A long awaited feature: you can save defaults for the video equalizer.
   Two buttons have been added to the video equalizer: "reset", will reset
   all controls to 0. "Set as default value" will store the current values
   and they will be used for new videos.
 * Fixed bug #1694644.

[b]Version 0.3.8[/b]
 * Added the Japanese and Dutch translations.
 * Updated the German, Italian, Polish and Slovak translations.
 * Added the option EXTERNAL_SLEEP in config.h (this is a compilation option,
   if you change it, you'll have to recompile). If set to 1, smplayer
   will use the function usleep from unistd.h instead of QThread::msleep()
   It can be useful if your Qt doesn't have QThread support.
 * I started to add some (what's this) help in the preferences dialog. 
   Drag the question mark in the title bar to a field and a text
   will appear explaining what's that option for. Currently only works
   in the General tab.

[b]Version 0.3.7[/b]
 * Updated the German translation.
 * Made changes to try to fix a compilation error in Windows (qmake bug)
 * Added a "Clear" option in the recent files menu, to clear the list.
 * Added an option in Play menu, to repeat (loop) the current file. This
   is a global option. If activated, when the video ends, it will start to 
   play again.
   As an unintended feature, if the video didn't start from the beginning, when
   repetition starts it won't start from the beginning but from the point
   it previously started. An example will explain it better: you have a 2 
   minute video, you play it with the repeat option off. When it gets to 
   1 minute you stop it and set the repeat option on. The video will resume 
   play from minute 1. When the video gets to minute 2 (end of video) it 
   will start to play again from minute 1.
   As I said, this is unintended, but I leave this way because maybe someone
   could find it useful.

[b]Version 0.3.6[/b]
 * Updated Polish, Italian, Chinese and Russian translations.
 * All icons are now png files.
 * Using the option -nofs for the mplayer command line.

[b]Version 0.3.5[/b]
 * Fixed a serious bug if using Qt 3. The key shortcuts were saved to a
   different file and not loaded.
 * Started to move from xpm icons to png. Right now a mix of both types
   is used. All icons in the preferences dialog are now png. Some of
   the icons in playlist are png too. But most of the icons in the main
   window are still xpm. As a test I changed the smplayer logo (which in
   fact is a Vista-Inspirate icon) with a new one designed by 
   Charles Barcza.

[b]Version 0.3.4[/b]
 * Updated the German translation.
 * Now you can choose the function of the mouse wheel: media seeking or
   volume control.

[b]Version 0.3.3[/b]
 * Updated the Italian, German, Polish and Chinese translations.
 * 10s, 1m and 10m seek can be configured: Preferences->GUI. 
   Note: the previous fixed values (10s, 1m, 10m) still appear in the menus 
   and tooltips. I'll fix it soon.
 * Mouse left click and double click functions can be configured
   in Preferences->GUI. 
   Note: the left click function is executed too when double clicking. I'll
   try to fix it, for now I recommend to use one of the two mouse functions,
   not both.
 * The initial volume can be configured in Preferences->GUI.

[b]Version 0.3.2[/b]
 * Added the Polish translation.
 * Removed obsolete texts from all translations.
 * Added in preferences an option to select the maximum number of
   items that the "recent files" menu should have. And added too a
   button to clear the list.
 * Renamed the Misc section in preferences to GUI. And moved non GUI items that
   were in this section to others.
 * Added some icons in the preferences dialog.
 * Changed some icons.

[b]Version 0.3.1[/b]
 * Updated the German, Italian, Russian and Hungarian translations.
 * Added some contributed files to the contrib subdirectory.
 * Added the uninstall section in the Makefile.
 * Added a smplayer_en_US.ts. Currently it's empty. Can be used to
   correct the english text, and also can be used to start a translation
   to other language.

[b]Version 0.3.0[/b]
 This release has only one small fix, but I change the version number to
 0.3.0. I think it's time.
 * The code in mplayerprocess for Windows wasn't used. Now it should be fixed.
 * Updated the German translation.
 * Updated the instructions to compile smplayer in README.txt.

[b]Version 0.2.44[/b]
 * Added the Hungarian translation.
 * Some changes in mplayerprocess.cpp, to make it a little faster.
 * A new interesting feature has been added: remember, smplayer install
   a server to listen a port (8000 by default) initially to communicate to 
   other instances. But now that server will understand some more commands.
   You can connect with it with "telnet localhost 8000" and type "help".
   For now you can pass any of the key functions. For instance the
   command "function pause", will pause the movie that smplayer is playing.
   "function fullscreen" will toggle fullscreen mode. You can get a list
   of all available functions with "list functions".
   This feature will allow other people to write small programs or scripts
   to control smplayer remotely (from another computer) or from a remote control.

[b]Version 0.2.43[/b]
 * Not converting to local 8 bit encoding. It seems that Qt already does, so
   doing twice only cause trouble.
 * Using QString::fromLocal8Bit() instead of 
   QTextCodec::codecForLocale()->toUnicode(). I think it's the same... 
 * Updated the Russian translation.
 * If unchecked the option for remembering media settings, now the settings
   are not really saved to config file (previously they were saved but not
   loaded).
 * Activated by default for Windows, an alternative code in mplayerprocess
   which seems to be faster, and can fix some slow down problems.

[b]Version 0.2.42[/b]
 * Updated the Chinese and Russian translations.
 * Convert filename, subtitle filename, and dvd device name to local 8 bit
   encoding before pass them to mplayer. I don't know if this will fix
   something or break something.
 * Some changes in mplayerprocess, trying to fix a problem in Windows, but
   unfortunately it's not fixed yet.

[b]Version 0.2.41[/b]
 * Mouse left click and double click will work now only in the video window.
 * Modified the Makefile to make possible to compile with Qt 4 from the
   source root. ("make prep" will adapt the code for Qt 4 and "make"
   will compile it). You may need to change the QMAKE variable.
 * Write some experimental code intented to fix a problem in Windows.
   Not compiled by default.

[b]Version 0.2.40[/b]
 * Updated the Slovak and German translations.
 * On Windows smplayer saves position and size of the main window to
   be restored after exiting from fullscreen mode.
 * Mouse left click and double click, configurable. For now only by editing
   the configuration file (look for left_click_function and 
   double_click_function). Valid values are any of the key functions (the
   list of key functions appears at the beginning of the smplayer log).
   Example: left_click_function=PAUSE
   Currently there's a problem: double click executes also the left click 
   function.
 * Changed the DVD and CD icons in preferences.

[b]Version 0.2.39[/b]
 * Added the Russian translation.
 * Now the dvd and cdrom devices have no default. If the user tries to
   play a dvd before configure it, a message box will show requesting
   him to configure it. After that the preferences dialog will be
   shown, with the drive's tab selected.
 * By the way, I've added some icons to the drive's configuration.

[b]Version 0.2.38[/b]
 * Added the Simplified-Chinese translation.
 * Removed some extra trailing spaces in some phrases.
 * Added copyright text to the new files.

[b]Version 0.2.37[/b]
 * Updated Italian & German translations.
 * Added setActiveWindow() too besides raise();
 * Raised the time that smplayer waits to mplayer process to finished. 
   Sometimes it's needed to call mplayer to get some info (available
   output drivers, codecs and so on). There's a problem about terminating
   that process: if we just wait until the process is finished there's
   the possibility that smplayer freezes if the mplayer process does.
   For that reason smplayer waits, but only some time. After that smplayer
   kills the mplayer process. That time was about 1 second, but sometimes
   (specially for the first run) mplayer takes more time. Now smplayer
   will wait as much 10 seconds.

[b]Version 0.2.36[/b]
 * Improved the single instance stuff. Now it seems it works with Qt 4, too.
   Added a few commands to the server. So now you can talk to it using 
   telnet.
 * Added some options in the preferences dialog. You can activate or disable
   the single instance feature, and set the port that the server will use.
   IMPORTANT: the single instance is disabled by default!
   Changes in any of these options require smplayer to be restarted.
 * Added the French translation. It's not complete yet.

[b]Version 0.2.35[/b]
 * Started to write the single instance stuff. Now when smplayer starts
   it sets a server to listen to a port (by default 8000). When a new
   instance is run it tries to connect to that port. If it has success it
   tries to verify that it's really smplayer behind that port. After that it
   sends to the first instance the file that the user wants to open (if any)
   and closes. The first instance opens the video.
   You can change the default port in the configuration file (look for 
   connection_port). Sorry I didn't have time to add an option in the 
   preferences dialog.
   This works in Qt 3 but fails in Qt 4. I don't know why, by an unknown
   reason the server in the first instance doesn't receive the open 
   command that the client in the 2nd instance sends. 
   It's too late, I'lltry to fix it tomorrow. By the way, this is the first 
   time I write code relative to sockets, ports, servers, clients... so someone
   more experienced is welcome to take a look to the code and to try to fix it.

[b]Version 0.2.34[/b]
 * Internal changes: moved Images and Keys to global.
 * Key shortcuts are loaded from config file. That means the now it's possible
   to change key shortcuts.
 * Preferences are saved when user press Ok or Apply in the preferences dialog.
 * Moved the "Include subtitles on screenshots" from General to Subtitles tab.
 * Fixed a bug with -cache and fast dvd chapter switch. The cache was disabled
   even if not playing a dvd.

[b]Version 0.2.33[/b]
 * Made settings a global object. A lot of internal changes, something
   could have broken.

[b]Version 0.2.32[/b]
 * Fixed a little bug in playlist. 
 * No flickering at all in the video when opening menus in Windows.
 * Rewritten keys.h, keys.cpp. Key shortcuts are saved.

[b]Version 0.2.31[/b]
 * Added the Italian translation made by Giancarlo Scola.
 * Now drag&drop urls works with Firefox, if compiled with Qt 3. 
   It already worked with Qt 4!
   As a secondary effect now plain text can be dropped into smplayer (Qt 3 only).
 * New option: Options->Show frame counter. If checked the current frame
   will be displayed in the status bar. Don't work properly with some formats.

[b]Version 0.2.30[/b]
 * Ok, I've just found out how to disable double buffering in a widget.
   So the blinking problem with Qt is definitely fixed now (I hope).

[b]Version 0.2.29[/b]
 * In linux, using Qt 4, the video window has an annoying blink every time a
   menu is open. As a quick fix I'm disabling double buffering. That fixes
   that problem, but now some widgets may be displayed not completely drawn.
 * Updated the German translation.

[b]Version 0.2.28[/b]
 * Now you can drag&drop urls from a web browser. You can test it dragging
   the urls on this page: http://smplayer.sourceforge.net/streams.html
 * Added the option "include subtitles on screenshots" in Preferences. If 
   checked subtitles will appear on screenshots taken with the option
   Video->Screenshot. Otherwise subtitles won't appear on screenshots.

[b]Version 0.2.27[/b]
 * Fixed a problem with the "frame step" option. Sometimes instead of one
   frame it could advance 2 (or more?) frames.
 * Added the option Open->Playlist (it was already possible to open a playlist
   from the Open->File, but well, this way will be easier). A dialog will 
   allow you to open a m3u or m3u8 playlist. The playlist will be loaded and 
   will start to play, but the playlist window won't be opened (not because 
   I wanted that way, just because it was easier...)
 * In fullscreen mode, when you drag the time slider, the "jump to..." message
   will be displayed in the OSD.

[b]Version 0.2.26[/b]
 * Fixed some problems with the new fullscreen mode, so now it's the default.
   Please test it!
 * Added an option who people with wide screens can find useful: 
   16:9 letterbox. If you play for instance a 2.35:1 movie, this option
   will add black borders to fit 16:9. The interesting thing is that subtitles
   will appear in the bottom border.

[b]Version 0.2.25[/b]
 * Made the "experimental fullscreen mode" the default one and delete the
   the old code.
 * Written a new experimental fullscreen mode ;)
   To test it you have to edit the file config.h and change the
   FULLSCREEN_WITH_MAINWINDOW 0
   to
   FULLSCREEN_WITH_MAINWINDOW 1
   and recompile.
   With this option, the fullscreen mode will be made through the main window
   (hiding the menu bar, control widget and status bar)
   In this mode if you move the mouse near the bottom of the screen
   the control widget will be shown, and if you move it near the top
   the menu bar will appear.
   Problem: I couldn't hide everything, two grey lines appear, one on
   the top, the other on the bottom... that's why this option is set
   to 0 by default.
   I hope I can fix it in the future...

[b]Version 0.2.24[/b]
 * Added the Slovak translation by Peter Mendel.
 * Hopefully fixed a compilation error in Qt 4 under linux.
 * The playlist broke in one of the recent changes: items didn't
   start to play from the beginning. Fixed.
 * Now if the shuffle button is ON in the playlist, playing will always 
   start from a random item (not the first).
 * Parse the ID_SUBTITLE_ID tag.
 * Try to call initializeMenus() and updateWidgets() only when needed.
   initializeMenus() seems to be causing problems (crashes) in Qt 4 if
   it modifies the same menu we've just used. Now initializeMenus() is called
   only once the video has started to play, not before. 
   I hope not, but this change may have broken something. Testing needed.
   initializeMenus() is responsible of creating the audio, subtitle, dvd title 
   and chapter switching menus. updateWidgets() is responsible of updating 
   the widgets (like setting the mute button on/off), but also of keeping 
   the menus updated (setting the check mark on activated options).

[b]Version 0.2.23[/b]
 * I've realized that the latest mplayer builds for Windows don't play a dvd
   if the dvd-device ends with "/" (-dvd-device E:/ will fail). The same
   happens with folders (C:/Videos/My DVD/ will fail, C:/Videos/My DVD 
   will work). So now smplayer removes those trailing "/".

[b]Version 0.2.22[/b]
 * Improved support for playing dvds from folders. In order to properly
   identify these dvd folders, I invented a protocol. In mplayer you
   should use something like this: mplayer dvd://1. That would play
   the first title of the dvd. You can use that too with smplayer:
   smplayer dvd://1. But now you can add after it a folder, this way:
   smplayer dvd://1:/tmp/movies/dvd5 (where dvd5 is a directory
   which contains at least video_ts).
   smplayer dvd://2:/tmp/movies/dvd5 will play title 2.
   You can pass the directory only (forgeting the dvd://number)
   smplayer /tmp/movies/dvd5
 * Open->Directory will autodetect if the selected directory contains
   a ripped dvd (currently it only checks if it contains a video_ts) and
   in that case will play the dvd instead of adding the individual files
   to the playlist.
 * Drag&drop also works. You can drag a folder to the main window.
   If it contains a dvd it will play it, otherwise the files
   of the directory will be added to the playlist.
 * Accidentally you can also drag a folder containing a dvd to the
   playlist and it will work.

[b]Version 0.2.21[/b]
 * Playing a DVD from a folder: make things even clearer. Removed
   the stuff in preferences and added "Open->DVD from folder". It'll ask
   you for a directory where video_ts and audio_ts should be (it seems that
   it also work if you select the directory with the *.vob and *.ifo files).
   So now "Open->DVD" will only play real DVDs in your dvd drive.
 * Added a Open->Directory option. It will add the files in the chosen
   directory (not recursively) to the playlist (after clearing it) and start 
   playing the first item. To fix: it will start playing always the first item 
   even if the shuffle button in the playlist is on.

[b]Version 0.2.20[/b]
 * Fixes a silly bug with -brightness 0. I changed -contrast 0 instead of
   brightness...
 * Now subtitles appear on screenshots.
 * It has always been possible to play ripped dvds from hard disc,
   but for making things clearer, I've added in the preferences dialog
   some options to select a directory from hard disc which should 
   contain the video_ts (and audio_ts). 

[b]Version 0.2.19[/b]
 * The brightness issue in mplayer (windows) is giving me a headache.
   Remember: the image is brighter than it should in windows (directx)
   with -brightness 0. As a work-around I set the soft video equalizer
   as default, but that conflicts with others video output drivers as
   gl or directx:noaccel.
   So going back. The soft video equalizer is not the default, and to
   prevent the bright image -brightness 0 will not be used in Windows.
 * Added a new option in preferences: fast audio track switching. This is
   the default. If unchecked, audio track switching will restart mplayer,
   which is a little bit slow, but that should make possible to switch audio
   tracks in containers apart from avi, mpeg and mkv.

[b]Version 0.2.18[/b]
 * Reordered the recent files stuff. I hope this fixed the crash problem
   with Qt 4.
 * Now the default encoding for subtitles is ISO-8859-1 instead of latin1
   (it's the same encoding, just a name change, so it can be found in
   the new encoding list).
 * Renamed the videoequalizer2 to videoequalizer.
 * The inforeader won't wait the mplayer process to finish for ever. It'll
   wait for some seconds and if the mplayer process is not finished then 
   it will kill it. This way if the mplayer process for some reason hangs, 
   smplayer won't do the same.
 * Disable software video equalizer (-vf eq2) when using gl or gl2 as
   video output driver, as they seem to be incompatible.
 * The file passed through the command line is now send to the new open
   function with autodetection of media type. That means that you can
   pass a local file, a dvd (in the form of dvd://1, dvd://2...), a
   playlist (*.m3u or *.m3u8), or stream. 

[b]Version 0.2.17[/b]
 * Added a stereo mode menu, where you can select: stereo, left channel or
   right channel. According to mplayer manpage this seems to be only for 
   MP2/MP3.
 * At last added a "recent files" menu. Currently it shows the 10 recent
   files opened. 

[b]Version 0.2.16[/b]
 * It seems that the new way of changing dvd chapters doesn't work well
   in Windows, so now it's disabled by default but you can activate it
   in the preferences dialog.
 * The shift key is now ignored, and can't be used as modifier for key
   shortcuts.
 * Added in the preferences dialog a combobox to select the encoding
   of the subtitles.

[b]Version 0.2.15[/b]
 * Added in the preferences dialog an option to autosync audio/video.
   This is what the manpage of mplayer says about it:
       -autosync <factor>
              Gradually adjusts the A/V sync based  on  audio  delay  measure-
              ments.   Specifying  -autosync  0, the default, will cause frame
              timing to be based entirely on audio delay measurements.  Speci-
              fying  -autosync  1 will do the same, but will subtly change the
              A/V correction algorithm.  An uneven video framerate in a  movie
              which  plays  fine  with -nosound can often be helped by setting
              this to an integer value greater than 1.  The higher the  value,
              the  closer the timing will be to -nosound.  Try -autosync 30 to
              smooth out problems with sound drivers which do not implement  a
              perfect  audio delay measurement.  With this value, if large A/V
              sync offsets occur, they will only take about 1 or 2 seconds  to
              settle  out.   This delay in reaction time to sudden A/V offsets
              should be the only side-effect of turning this  option  on,  for
              all sound drivers.
 * Now the info window updates in realtime. And the filename will be
   displayed in smplayer window title.
 * New functions: prev and next chapter (keys ! and @) It should work with
   dvd chapters and matroshka chapters.
 * Now selecting a dvd chapter is much much faster (now mplayer is not
   restarted).
   Note: this new method doesn't work at least with the version of mplayer 
   I'm using (dev-SVN-r21937) if -cache is used in the command line.
   If it happens to you too, the work-around is to set the cache to 0
   in the preferences dialog.

[b]Version 0.2.14[/b]
 * On Windows the option to use the software video equalizer will be
   check by default (when running for first time), as a work-around
   for the bright image problem.
 * As suggested by Amnon82 in the forum, added a menu for selecting
   the number of audio channels (mplayer will try to used the specified
   number of channels, but it will depend on the media). Options are:
     default (the -channels options will not be passed to mplayer)
     stereo (2 channels)
     4.0 Surround (4 channels)
     5.1 Surround (6 channels)
 * Added a debugging message identifying the OS on which it's running
   (currently only linux and windows), the version of smplayer and
   the version of Qt.

[b]Version 0.2.13[/b]
 * Fixed a crash when trying to open a file being created by mencoder.
 * Catch the "Generating Index" message from mplayer and display it in
   status bar.
 * The key shortcuts work in compact mode.
 * Disabled fullscreen mode when another window (playlist, preferences...) is
   open.
 * Added the Options submenu to the popup menu (right click menu).
 * Added key shortcuts for cycling through audio and subtitle tracks:
   audio assigned to key j. subtitle assigned temporary to h.

[b]Version 0.2.12[/b]
 * Using showFullScreen() instead of a normal show() for fullscreen.
 * Compact mode hides the menu bar too. And moved the option from
   the Options menu to the Video menu. Added a key shortcut: Ctrl-C.
   TODO: now it seems that other key shortcuts (like Ctrl-F to open a file)
   don't work in this mode, at least with Qt 3.

[b]Version 0.2.11[/b]
 * Some fixes in the new code for fullscreen. Now (at least in Windows)
   changing to fullscreen mode should be very smooth (no blinks).
 * New info window (Options->View info).

[b]Version 0.2.10[/b]
 * New fullscreen mode. Using now a widget which has a parent instead of
   of a widget with no parent.
 * Added a "compact mode". In this mode, the status bar and the control
   widget are hidden.
 * Added a config.h where you can change some defines which modifies the
   behavior of some things. For instance, "DOCK_PLAYLIST 1" makes the
   playlist to be embedded in the main window.

[b]Version 0.2.9[/b]
 * Just a very small change: when going to fullscreen mode, the function
   Gui::toggleFullscreen was called twice (I think it's because button->setOn 
   emits a signal). Now it's still called twice but now the function checks 
   if there's really something to do.

[b]Version 0.2.8[/b]
 * Hopefully fixed two ancient bugs in Windows: the mplayer log with 
   blank lines and in some menus the accel letter didn't show underlined.
 * Added accels for all options in the menus. Unfortunately this change
   breaks the translations of the menus.

[b]Version 0.2.7[/b]
 * Fixed a bug in Windows. In the playlist, the symbol "/" was
   replaced with "\" in internet streams (mms:\\.... instead of
   (mms://...), avoiding them to play.

[b]Version 0.2.6[/b]
 * Added the postprocessing filter (-vf pp) with autoq. The autoq value
   can be changed in Preferences->Performance. By default: 6 (the highest).
   The postprocessing filter can be selected in Video->Filters->Postprocessing.
   This filter may "improve" the video quality.

[b]Version 0.2.5[/b]
 * The new equalizer was broken in Qt 4. I hope I fixed it.
 * Now when saving a playlist, if you typed a name without extension
   smplayer will add it for you (.m3u).
 * Updated the German translation.

[b]Version 0.2.4[/b]
 * Replaced the video equalizer with a better looking one.

[b]Version 0.2.3[/b]
 * Load m3u8 files from Open->File (and from command line).
 * Convert strings from mplayer output to unicode from system locale.
   That should allow smplayer to read properly non latin1 text in 
   mplayer output. 
 * Replaced in code all qDebug(...latin1()) with qDebug(...utf8().data()). 
   This way non latin1 characters shouldn't be lost in logs.
 * Now playlist tries to use relative paths when saving the playlist.

[b]Version 0.2.2[/b]
 * When loading a playlist, comments (lines starting with #) are ignored.
 * Now smplayer can load and save m3u8 files (same as m3u but in UTF-8).
 * Rewritten the "remove selected items" code in playlist.
 * Replaced all float's with double's. I hope this hasn't broken anything...

[b]Version 0.2.1[/b]
 * Convert strings from system locale to unicode, in arguments passed
   from command line and when reading (and saving) m3u files.

[b]Version 0.2.0[/b]
 * Now when you add a file or files to the playlist, only the
   filename appears, not the whole path.
 * Added a shortcut for playlist: Ctrl-L
 * Added shortcuts for previous and next in playlist: < and > 
 * Updated the German translation.

[b]Version 0.1.20[/b]
 * Now if the directory for screenshots is empty, the option 
   -vf-add screenshot will not be passed to mplayer. This lets smplayer
   to work with old versions of mplayer which don't have that filter.
 * More improvements in the playlist: added a play button (will play
   the selected item). Added a popup menu (right click), with 3 options:
   play, remove selected and edit. The last option lets you edit the
   name that will be shown in the playlist for the selected file. 
   With this, I think the playlist is almost finished.

[b]Version 0.1.19[/b]
 * In playlist, the Add->Files and Add->Directory update the last directory
   used for playlist.
 * Added some icons in Preferences dialog.
 * Added icons for playlist's repeat & shuffle buttons (they are ugly: 
   I did them myself...)
 * Added two new buttons in playlist: up and down. You can use them
   to move items up and down in the list.

[b]Version 0.1.18[/b]
 * Now the shuffle option in playlist should work.
 * The playlist saves the state of the repeat & shuffle buttons and
   also the size of the window.

[b]Version 0.1.17[/b]
 * Some fixes in the video equalizer.
 * Now Open->URL remembers the last url.
 * Playlist remembers the last directory used.
 * Some fixes in the spec file.

[b]Version 0.1.16[/b]
 * Added a video equalizer.

[b]Version 0.1.15[/b]
 * If "main window resize method" was "never" and you played an audio file
   and the a video file, the video window didn't show. Fixed.
 * Some other small fixes.

[b]Version 0.1.14[/b]
 * Now the minimum step in sub delay and audio delay is 100 ms (not 200).
 * Now streams can be passed through the command line.
 * Fixed a crash when duration of a file was less than 0.

[b]Version 0.1.13[/b]
 * Playlist accepts drops. Dropped files will be added to the playlist.
 * Added two button to the playlist: repeat and shuffle. Repeat works,
   shuffle not yet.
 * Now the subtitle menu (for *.srt, *.sub...) shows the name of the files
   (was in 0.1.12 but I forgot to mention).
 * Small changes and fixes.
 * Updated the German translation.

[b]Version 0.1.12[/b]
 * Added a reset button in demuxer / video & audio codec selection. Clicking
   that button will select the original option. Useful if you don't 
   remember which one was it.
 * Changes in fullscreen mode. Now fullscreen is a global setting.
   This allows to view all videos in the playlist in fullscreen mode,
   without switching to window mode everytime a video finished.
 * Also added in the preferences a new option: "Start videos in fullscreen".
   If checked all videos you open will be played in fullscreen.

[b]Version 0.1.11[/b]
 * Added a new dialog for configuring advanced settings for the current
   file. You may type additional options to be passed to mplayer (and
   also video and audio filters). This options are only for the current
   file, and they will be saved among the rest of the file settings.
   That way you could for example, add a crop filter and that filter
   will be used everytime you load that file.
   There's also the possibility of choosing the demuxer, video codec and
   audio codec. Most of the time you won't need them, but in the case
   one file gives you some trouble with the video or audio maybe you can
   fix it by selecting another codec.

[b]Version 0.1.9[/b]
 * Now you can load idx/sub subtitles. Select the *.idx in the open
   subtitle dialog.
 * Updated the German translation.

[b]Version 0.1.8[/b]
 * Now the main window accepts drags. So you can drag a video and it will
   be played. If dragged more than a file, all of them will be added to
   the playlist (the playlist is cleared first).

[b]Version 0.1.7[/b]
 * Well, it was hard to know why the mplayer process had finished 
   (end of file, stopped by user, stopped by the program). Fool of me,
   mplayer says in its output. So now I catch the "Exiting... (end of file)"
   message, so I really hope that the problems that this was giving me
   have fixed for ever.
 * Added support for matroska chapters. In order to work the file MUST
   have the extension *.mkv.
 * Not allow to add repeated files in playlist.
 * Changes in Makefile: now "make install" works.
 * Created a spec file.

[b]Version 0.1.6[/b]
 * Fixed a bug that produced a segmentation fault on startup.
 * Windows/Qt 4: when I file finished playing, playlist wasn't noticed,so
   next file didn't start to play. Fixed (I hope...)
 * Added support for monitor aspect correction.

[b]Version 0.1.5[/b]
 * More improvements in the playlist. Added some icons among other things.
 * Added 3 new buttons in the main window: playlist, previous and next.
 * Updated the German translation.
 * Updated the Spanish translation.

[b]Version 0.1.4[/b]
 * Now you can pass a m3u file from the command line.
 * Playlist: Added options to add files or a whole directory (it will add 
   everything that's there, even non playable files!
   Added options to remove the selected items or to clear the whole list.

[b]Version 0.1.3[/b]
 * Added the German translation (by Henrikx)
 * Some fixes in the playlist

[b]Version 0.1.2[/b]
 * Open->File, if you open a m3u it will passed to the playlist.
 * Now smplayer gets more info about the files (title, artist, album...).
   This is displayed in Options->View info but it's also used for the
   playlist.
 * Now it's possible to add and remove items in the playlist. The add
   button adds the current file loaded by smplayer. The remove button
   removes the selected items.
 * Added an indicator for the file which is playing (currently the 
   indicator is very simple "->", in the future will be an icon).

[b]Version 0.1.1[/b]
 * Changed the version scheme.
 * At last I have learnt how to pass defines to the Makefile created by qmake.
 * Changed the way of getting icons (images.h / images.cpp)

[b]Version 0.1-070208.13[/b]
 * Added to the config file the option initial_volume, which will be
the initial volume when smplayer starts.

[b]Version 0.1-070208.12[/b]
 * Now when a new file is loaded the volume is not changed.
 * Save in playlist works (although it's a little bit useless, there
   are not options to add files to the playlist)

[b]Version 0.1-20070208-2[/b]
 * Rewrite the playlist using a QTable instead of a QListView.
 * For proper installation in linux, the following defines will be
   taken into account:
   DATA_PATH must be set to the directory where the data files (currently
   only input.conf) are installed.
   TRANSLATION_PATH must be set to the directory where translations (*.qm) are
   installed.
   DOC_PATH must be set to the directory where the documentation is installed
   (currently there are no documentation)
   What I don't know yet is how to pass those defines to the Makefile.

[b]Version 070207-12[/b]
 * Started the playlist. Currently is very limited. You can load
a m3u file and it will be played (it must cointain absolute paths). 
Double click on a item plays that file. Streams are also supported.

[b]Version 070206-2[/b]
 * Reduced a little bit the size of button's icons.
 * New action "PLAY_PAUSE" set to MediaPlay key.

[b]Version 070204-12[/b]
 * Fixed a funny bug. Sometimes when a video is about to finish, it started
   to play again from the beginning.
 * Put the basis for configurable key shortcuts.
 * Added some key shortcuts: Alt+1 & Alt+2 change gamma. 
   Ctrl+F = Open->File, Ctrl+U = Open->URL, Ctrl+X = Open->Exit.
   Ctrl+I = Options->View Info, Ctrl+P = Options->Preferences.
 * Added support for multimedia keys: 
   MediaPlay = Pause (and resume Play)
   MediaStop = Stop
   MediaNext = +10 secs
   MediaPrev = -10 secs
   But I don't have a multimedia keyboard, so this is untested...

[b]Version 070202-2[/b]
 * Some changes in the preferences dialog.
 * Added an option to select the Qt style to use.

[b]Version 070201-2[/b]
 * Added an option to select your CDROM drive. This setting is currently
not used for anything, but in the future it will used for playing VCDs.
 * One of the main feature of smplayer is the ability to remember the
settings (audio track, subtitles, filters selected...) of every file
smplayer has opened. Now I have added two options to disable it. One of them
will disable it completely, smplayer will remember nothing. The other
just will make smplayer to not remember the time pos, so every file
will start playing always from the beginning.

[b]Version 070131-11[/b]
 * Added a new page in the preferences dialog: Performance, with the
following options:
  - Priority (only for windows)
  - Allow frame drop (-framedrop)
  - Allow hard frame drop (-hardframedrop)

[b]Version 070131-2[/b]
As expected the ASS color buttons didn't change color in Windows (or Qt 4).
I think now this is fixed.

[b]Version 070130-2[/b]
 * Now you can change the color of the SSA/ASS subtitles.

[b]Version 070129-3[/b]
Arrggg, I've just realized that the volume wasn't remembered. Fixed, I hope.

[b]Version 070129-2[/b]
 * Volume and mute: changing the volume unmutes.
 * Now the time slider should work much better. It should work either
   dragging it or clicking in any part of the bar. Furthermore now
   while dragging it, it displays the time you would go. 

[b]Version 070128-11[/b]
 * Added two new options to the preferences dialog:
   - Use software video equalizer (-vf-add eq2)
   - Use software volume control (-softvol)
 * Now the status bar shows the total time too.
 * More or less fixed a conflict with mute and setting the volume.

[b]Version 070128-2[/b]
 * Fixed a bug with the screenshot feature.
 * Now the video window hides if there's no video (audio only file or
   using the mplayer window).

[b]Version 070127-11[/b]
 * Double click on the video window toggles fullscreen.
 * Added an option to take screenshots. You must set first a directory
 for saving these screenshots, in the preferences dialog.

[b]Version 070127-2[/b]
 * Added two new options to the "Aspect ratio" sub-menu: 
    - 5:4 
    - 16:10 
 * New log window, with buttons to save the log to a file or copy the
 text to the clipboard. 
 * Some fixes in the time slider.

[b]Version 070125-11[/b]

 * Added two new video filters: 
 - Dering 
 - Add noise (which adds a little bit of noise to the image)

[b]Version 070125-2[/b]
* Added some video filters: 
 - denoise (normal) = hqdn3d 
 - denoise (soft) = hqdn3d=2:1:2 (I find the default hqdn3d too strong) 
- deblock = pp=vb/hb

[b]Version 070124-11[/b]
* Now you can scroll through the video by using the mouse wheel. By
default every wheel event will advance +30 or -30 seconds. This value
can be change in the preferences dialog. Setting to 0 disables this
feature.

[b]Version 070124-2[/b]
* Added 3 new options to the preferences dialog: 

- disable screensaver 
- resize method 
- mplayer cache 

Now I think all options in the config file can be set through the
preferences dialog.

[b]Version 070123[/b]
* Some changes in the preferences dialog:

- Now a combobox allows you to select your CD/DVD device. In linux some
usual names are used (/dev/dvd, /dvd/cdrom, etc.). In windows it should
display the drive's letters (C: D: etc) but I haven't tested yet.

- Now the user can choose the video and audio drivers from a list (shows
all available drivers in your mplayer).

[img]http://www.uploadfile.info/uploads/64e14ba167.jpg[/img]

[b]Version 070122-11[/b]
* Found an easier way to change the background color in Qt 4. The
visible change is that now the background in statusbar will be black as
in Qt 3. 
* When clicked with the mouse right button to pop up the context menu,
the main window stopped receiving keyboard events. I hope this is fix
now. 
* Changed some icons.

[b]Version 070122-2[/b]
* Now the screensaver in windows is disabled during playback (the
screensaver is disabled in x11 too since some versions ago). 
* Now the mouse cursor disappears over the video window if it's not
moved for some seconds, and appears again when it's moved.

[b]Version 070121-11[/b]
* The option autoload_sub=false didn't work. Fixed (I hope). 
* Added more options to the preferences dialog. It's a little bit ugly
but all options should work.

[b]Version 070121-2[/b]
* Started to write the preferences dialog. There's a lot of work to do,
but the options that appears in it should work.

The subtitles' page is almost complete!

[img]http://www.uploadfile.info/uploads/f57fc459d3.jpg[/img]

[b]Version 070119-2[/b]
* Well, I removed that horrible logo I made the other day and now I used
some icons from
[url=http://www.kde-look.org/content/show.php?content=31585]Vista-Inspirate[/url].
* Some new options for the [preferences] section in config file:

[b]resize_method=(int)[/b]

This options controls the way the main window should resize. The possible values are:

0 : the main window never resizes. The user is the only one allowed to
resize the window.
1 : the main window resizes every time it's needed (this is the
default).
2 : the main window resizes only after loading a new video, but not
after restarting mplayer. That means that if the user resizes the
window, the new size will be respected (until a new video is loaded).


[b]mplayer_additional_options=(string)[/b]

Here you can pass other options to mplayer. The options should be
separated by spaces. If a option requires a filename, this should NOT
contain spaces.

Example:
mplayer_additional_options=-flip -softvol

Be carefully, some options could interfere with the ones smplayer uses.

[b]mplayer_additional_video_filters=(string][/b]

Here you can add additional video filters. They should be separated by
",". Don't use spaces!

Example:
mplayer_additional_video_filters=hqdn3d,pp=vb/hb


[b]mplayer_additional_audio_filters=(string][/b]

The same but for audio.
Example:

mplayer_additional_audio_filters=volnorm,equalizer=11:11:10:5:0:-12:0:5:12:12

* I also made a (incompatible) change in the way the file preferences
are stored in the config file. That means that this version won't
remember your previous file settings.

[b]Version 070117-12[/b]

* Well, I think the only visible change is the option Options->View
info, which shows some info about the current video. 
* There are some changes in the configuration file (~/.qt/smplayerrc): 

vo=(string) 

vo is the video output driver. It already existed before. But now I
change the default value. Previously the default value was "directx" for
windows, "xv" for the rest. 

Now there is no default. If vo is empty, smplayer would get the info
from mplayer, and will save it in the config file. 
That (theorically) would allow smplayer to run in other OS where maybe
"xv" doesn't even exist. 

Added the option 
ao=(string) 

audio output driver, with the same behavior of vo. 

And finally, added the option subcp, which allows to select the font
encoding for subtitles.

[b]Version 070117-2[/b]
* Fixed a bug when parsing the A: V: line. Big big numbers weren't read
correctly.
* Added some options for the configuration file:

font_autoscale= (int)
font_textscale= (int) 

use_fontconfig= (bool)
font_name= (string)
font_file= (string)

font_autoscale and font_textscale are the equivalents to
-subfont-autoscale and -subfont-text-scale in mplayer.

If use_fontconfig is true then the font used for subtitles will be
font_name. Example:

use_fontconfig=true
font_name=Utopia

In the case use_fontconfig is false, then it will try to use font_file
(which has to be a full path to a ttf font). Example:

use_fontconfig=false
font_file=/home/ricardo/.fonts/comicbd.ttf

So now you can get something like this:
[img]http://www.uploadfile.info/uploads/c2e06dd51a.jpg[/img]

Of course, all of this will be easier when I write the preferences
dialog.

[b]Version 070116-2[/b]
* Added options for changing playback speed.

[b]Version 070115-1[/b]
* Just a very small fix with the mute option. It wasn't been remebered
between mplayer resets and audio track switches.

[b]Version 070114-2[/b]
* Fixed (I hope) a bug relative to subtitles. smplayer didn't remember
that you had selected the "none" subtitle and always loaded the first
available subtitle. Now, when you load a video for first time it will
load the first available subtitle but if you change to "none" it should
remember the next time you open the same video. 
 
* Added and option to select angle in DVDs. Unfortunately I don't have a
multiangle dvd, so this option is untested. Can anyone tell me if it
really works? 
  
* For audio, chapter, title and angle menus: added an <empty> item if
the menu is empty.

* Added a button to mute. And two nice icons borrowed from kplayer... 

[img]http://www.uploadfile.info/uploads/ac23679650.jpg[/img]
